data:extend({

  {
    type = "custom-input",
    name = "adjust-object-properties",
    key_sequence = "SHIFT + E",
    consuming = "script-only"
  },
  
})

pipepictures = function()
  return {
    straight_vertical_single =
    {
      filename = "__base__/graphics/entity/pipe/pipe-straight-vertical-single.png",
      priority = "extra-high",
      width = 80,
      height = 80,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-straight-vertical-single.png",
        priority = "extra-high",
        width = 160,
        height = 160,
        scale = 0.5
      }
    },
    straight_vertical =
    {
      filename = "__base__/graphics/entity/pipe/pipe-straight-vertical.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-straight-vertical.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
    },
    straight_vertical_window =
    {
      filename = "__base__/graphics/entity/pipe/pipe-straight-vertical-window.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-straight-vertical-window.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
    },
    straight_horizontal_window =
    {
      filename = "__base__/graphics/entity/pipe/pipe-straight-horizontal-window.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-straight-horizontal-window.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
    },
    straight_horizontal =
    {
      filename = "__base__/graphics/entity/pipe/pipe-straight-horizontal.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-straight-horizontal.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
    },
    corner_up_right =
    {
      filename = "__base__/graphics/entity/pipe/pipe-corner-up-right.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-corner-up-right.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
    },
    corner_up_left =
    {
      filename = "__base__/graphics/entity/pipe/pipe-corner-up-left.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-corner-up-left.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
    },
    corner_down_right =
    {
      filename = "__base__/graphics/entity/pipe/pipe-corner-down-right.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-corner-down-right.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
    },
    corner_down_left =
    {
      filename = "__base__/graphics/entity/pipe/pipe-corner-down-left.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-corner-down-left.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
    },
    t_up =
    {
      filename = "__base__/graphics/entity/pipe/pipe-t-up.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-t-up.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
    },
    t_down =
    {
      filename = "__base__/graphics/entity/pipe/pipe-t-down.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-t-down.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
    },
    t_right =
    {
      filename = "__base__/graphics/entity/pipe/pipe-t-right.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-t-right.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
    },
    t_left =
    {
      filename = "__base__/graphics/entity/pipe/pipe-t-left.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
         filename = "__base__/graphics/entity/pipe/hr-pipe-t-left.png",
         priority = "extra-high",
         width = 128,
         height = 128,
         scale = 0.5
      }
    },
    cross =
    {
      filename = "__base__/graphics/entity/pipe/pipe-cross.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-cross.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
    },
    ending_up =
    {
      filename = "__base__/graphics/entity/pipe/pipe-ending-up.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-ending-up.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
      },
    ending_down =
    {
      filename = "__base__/graphics/entity/pipe/pipe-ending-down.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-ending-down.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
    },
    ending_right =
    {
      filename = "__base__/graphics/entity/pipe/pipe-ending-right.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-ending-right.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
    },
    ending_left =
    {
      filename = "__base__/graphics/entity/pipe/pipe-ending-left.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-ending-left.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
    },
    horizontal_window_background =
    {
      filename = "__base__/graphics/entity/pipe/pipe-horizontal-window-background.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-horizontal-window-background.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
    },
    vertical_window_background =
    {
      filename = "__base__/graphics/entity/pipe/pipe-vertical-window-background.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-pipe-vertical-window-background.png",
        priority = "extra-high",
        width = 128,
        height = 128,
        scale = 0.5
      }
    },
    fluid_background =
    {
      filename = "__base__/graphics/entity/pipe/fluid-background.png",
      priority = "extra-high",
      width = 32,
      height = 20,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-fluid-background.png",
        priority = "extra-high",
        width = 64,
        height = 40,
        scale = 0.5
      }
    },
    low_temperature_flow =
    {
      filename = "__base__/graphics/entity/pipe/fluid-flow-low-temperature.png",
      priority = "extra-high",
      width = 160,
      height = 18
    },
    middle_temperature_flow =
    {
      filename = "__base__/graphics/entity/pipe/fluid-flow-medium-temperature.png",
      priority = "extra-high",
      width = 160,
      height = 18
    },
    high_temperature_flow =
    {
      filename = "__base__/graphics/entity/pipe/fluid-flow-high-temperature.png",
      priority = "extra-high",
      width = 160,
      height = 18
    },
    gas_flow =
    {
      filename = "__base__/graphics/entity/pipe/steam.png",
      priority = "extra-high",
      line_length = 10,
      width = 24,
      height = 15,
      frame_count = 60,
      axially_symmetrical = false,
      direction_count = 1,
      hr_version =
      {
        filename = "__base__/graphics/entity/pipe/hr-steam.png",
        priority = "extra-high",
        line_length = 10,
        width = 48,
        height = 30,
        frame_count = 60,
        axially_symmetrical = false,
        direction_count = 1
      }
    }
  }
end

local Pipes = 
{
	iron_pipe =
	{
		enabled = true,
		name = "pipe",
		icon_size = 32,
	icon = "__base__/graphics/icons/pipe.png",
		base_area = 1,
		--base_level = 0.9,
		tint = { r = 1, g = 1, b = 1 },
		max_health = 50,
		resistances = 
		{
			{
				type = "fire",
				percent = 90
			}
		},
		I_junction = "pipe-straight",
		L_junction = "pipe-elbow",
		T_junction = "pipe-junction",
		CheckPipe = "pipe-check",
		OverflowPipe = "pipe-overflow",
		sprites =
		{
			I_junction =
			{
				up =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/iron-pipes.png",
					priority = "high",
					x = 192,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-iron-pipes.png",
						priority = "high",
						x = 384,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				down =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/iron-pipes.png",
					priority = "high",
					x = 192,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-iron-pipes.png",
						priority = "high",
						x = 384,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				left =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/iron-pipes.png",
					priority = "high",
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-iron-pipes.png",
						priority = "high",
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				right =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/iron-pipes.png",
					priority = "high",
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-iron-pipes.png",
						priority = "high",
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
			},
			L_junction =
			{
				up =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/iron-pipes.png",
					priority = "high",
					x = 128,
					--y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-iron-pipes.png",
						priority = "high",
						x = 256,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				down =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/iron-pipes.png",
					priority = "high",
					x = 192,
					-- y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-iron-pipes.png",
						priority = "high",
						x = 384,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				left =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/iron-pipes.png",
					priority = "high",
					x = 256,
					-- y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-iron-pipes.png",
						priority = "high",
						x = 512,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				right =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/iron-pipes.png",
					priority = "high",
					x = 64,
					--y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-iron-pipes.png",
						priority = "high",
						x = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
			},
			T_junction =
			{
				up =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/iron-pipes.png",
					priority = "high",
					x = 384,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-iron-pipes.png",
						priority = "high",
						x = 768,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				down =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/iron-pipes.png",
					priority = "high",
					x = 576,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-iron-pipes.png",
						priority = "high",
						x = 1152,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				left =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/iron-pipes.png",
					priority = "high",
					x = 512,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-iron-pipes.png",
						priority = "high",
						x = 1024,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				right =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/iron-pipes.png",
					priority = "high",
					x = 448,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-iron-pipes.png",
						priority = "high",
						x = 896,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
			},
			CheckPipe = 
			{
				picture = 
				{
					sheet = 			
					{
						filename = "__AnonyMods__/graphics/entity/pipes/iron-checkpipe.png",
						priority = "extra-high",
						frames = 4,
						width = 64,
						height = 64,
						hr_version = {
							filename = "__AnonyMods__/graphics/entity/pipes/hr-iron-checkpipe.png",
							priority = "high",
							frames = 4,
							width = 128,
							height = 128,
							scale = 0.5
						}
					},
				},
				fluid_background =
				{
					filename = "__core__/graphics/empty.png",
					priority = "extra-high",
					width = 1,
					height = 1
				},
				window_background =
				{
					filename = "__core__/graphics/empty.png",
					priority = "extra-high",
					width = 1,
					height = 1
				},
				flow_sprite =
				{
					filename = "__core__/graphics/empty.png",
					priority = "extra-high",
					width = 1,
					height = 1
				},
				gas_flow =
				{
					filename = "__core__/graphics/empty.png",
					priority = "extra-high",
					line_length = 1,
					width = 1,
					height = 1,
					frame_count = 1,
					axially_symmetrical = false,
					direction_count = 1,
					animation_speed = 0.25,
					hr_version =
					{
					  filename = "__core__/graphics/empty.png",
					  priority = "extra-high",
					  line_length = 1,
					  width = 1,
					  height = 1,
					  frame_count = 1,
					  axially_symmetrical = false,
					  animation_speed = 0.25,
					  direction_count = 1
					}
				}
			},
			OverflowPipe =
			{
				up =
				{
					layers =
					{
						{
							filename = "__AnonyMods__/graphics/entity/pipes//iron-checkpipe.png",
							priority = "high",
							line_length = 4,
							x = 128,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-iron-checkpipe.png",
								priority = "high",
								line_length = 4,
								x = 256,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},						
						{
							filename = "__AnonyMods__/graphics/entity/pipes/arrows.png",
							priority = "high",
							line_length = 4,
							x = 128,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-arrows.png",
								priority = "high",
								line_length = 4,
								x = 256,
								width = 128,
								height = 128,
								scale = 0.5
							}	
						},
					}
				},
				down =
				{
					layers =
					{
						{
							filename = "__AnonyMods__/graphics/entity/pipes/iron-checkpipe.png",
							priority = "high",
							line_length = 4,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-iron-checkpipe.png",
								priority = "high",
								line_length = 4,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},						
						{
							filename = "__AnonyMods__/graphics/entity/pipes/arrows.png",
							priority = "high",
							line_length = 4,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-arrows.png",
								priority = "high",
								line_length = 4,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},
					}
				},
				left =
				{
					layers =
					{
						{
							filename = "__AnonyMods__/graphics/entity/pipes/iron-checkpipe.png",
							priority = "high",
							line_length = 4,
							x = 192,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-iron-checkpipe.png",
								priority = "high",
								line_length = 4,
								x = 384,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},						
						{
							filename = "__AnonyMods__/graphics/entity/pipes/arrows.png",
							priority = "high",
							line_length = 4,
							x = 192,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-arrows.png",
								priority = "high",
								line_length = 4,
								x = 384,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},
					}

				},
				right =
				{
					layers =
					{
						{
							filename = "__AnonyMods__/graphics/entity/pipes/iron-checkpipe.png",
							priority = "high",
							line_length = 4,
							x = 64,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-iron-checkpipe.png",
								priority = "high",
								line_length = 4,
								x = 128,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},						
						{
							filename = "__AnonyMods__/graphics/entity/pipes/arrows.png",
							priority = "high",
							line_length = 4,
							x = 64,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-arrows.png",
								priority = "high",
								line_length = 4,
								x = 128,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},
					}
				},
			},
		},
	},
	steel_pipe =
	{
		enabled = Config.Enabled["steel-pipe"],
		name = "steel-pipe",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/pipes/steel-pipe.png",
		base_area = 2,
		--base_level = 0.9,
		tint = { r = 1, g = 1, b = 1 },
		max_health = 100,
		resistances = 
		{
			{
				type = "fire",
				percent = 95
			}
		},
		I_junction = "steel-pipe-straight",
		L_junction = "steel-pipe-elbow",
		T_junction = "steel-pipe-junction",
		CheckPipe = "steel-pipe-check",
		OverflowPipe = "steel-pipe-overflow",
		sprites =
		{
			I_junction =
			{
				up =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/steel-pipes.png",
					priority = "high",
					x = 192,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-steel-pipes.png",
						priority = "high",
						x = 384,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				down =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/steel-pipes.png",
					priority = "high",
					x = 192,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-steel-pipes.png",
						priority = "high",
						x = 384,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				left =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/steel-pipes.png",
					priority = "high",
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-steel-pipes.png",
						priority = "high",
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				right =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/steel-pipes.png",
					priority = "high",
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-steel-pipes.png",
						priority = "high",
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
			},
			L_junction =
			{
				up =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/steel-pipes.png",
					priority = "high",
					x = 128,
					--y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-steel-pipes.png",
						priority = "high",
						x = 256,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				down =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/steel-pipes.png",
					priority = "high",
					x = 192,
					-- y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-steel-pipes.png",
						priority = "high",
						x = 384,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				left =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/steel-pipes.png",
					priority = "high",
					x = 256,
					-- y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-steel-pipes.png",
						priority = "high",
						x = 512,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				right =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/steel-pipes.png",
					priority = "high",
					x = 64,
					--y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-steel-pipes.png",
						priority = "high",
						x = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
			},
			T_junction =
			{
				up =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/steel-pipes.png",
					priority = "high",
					x = 384,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-steel-pipes.png",
						priority = "high",
						x = 768,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				down =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/steel-pipes.png",
					priority = "high",
					x = 576,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-steel-pipes.png",
						priority = "high",
						x = 1152,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				left =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/steel-pipes.png",
					priority = "high",
					x = 512,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-steel-pipes.png",
						priority = "high",
						x = 1024,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				right =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/steel-pipes.png",
					priority = "high",
					x = 448,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-steel-pipes.png",
						priority = "high",
						x = 896,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
			},
			CheckPipe = 
			{
				picture = 
				{
					sheet = 			
					{
						filename = "__AnonyMods__/graphics/entity/pipes/steel-checkpipe.png",
						priority = "extra-high",
						frames = 4,
						width = 64,
						height = 64,
						hr_version = {
							filename = "__AnonyMods__/graphics/entity/pipes/hr-steel-checkpipe.png",
							priority = "high",
							frames = 4,
							width = 128,
							height = 128,
							scale = 0.5
						}
					},
				},
				fluid_background =
				{
					filename = "__core__/graphics/empty.png",
					priority = "extra-high",
					width = 1,
					height = 1
				},
				window_background =
				{
					filename = "__core__/graphics/empty.png",
					priority = "extra-high",
					width = 1,
					height = 1
				},
				flow_sprite =
				{
					filename = "__core__/graphics/empty.png",
					priority = "extra-high",
					width = 1,
					height = 1
				},
				gas_flow =
				{
					filename = "__core__/graphics/empty.png",
					priority = "extra-high",
					line_length = 1,
					width = 1,
					height = 1,
					frame_count = 1,
					axially_symmetrical = false,
					direction_count = 1,
					animation_speed = 0.25,
					hr_version =
					{
					  filename = "__core__/graphics/empty.png",
					  priority = "extra-high",
					  line_length = 1,
					  width = 1,
					  height = 1,
					  frame_count = 1,
					  axially_symmetrical = false,
					  animation_speed = 0.25,
					  direction_count = 1
					}
				}
			},
			OverflowPipe =
			{
				up =
				{
					layers =
					{
						{
							filename = "__AnonyMods__/graphics/entity/pipes//steel-checkpipe.png",
							priority = "high",
							line_length = 4,
							x = 128,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-steel-checkpipe.png",
								priority = "high",
								line_length = 4,
								x = 256,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},						
						{
							filename = "__AnonyMods__/graphics/entity/pipes/arrows.png",
							priority = "high",
							line_length = 4,
							x = 128,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-arrows.png",
								priority = "high",
								line_length = 4,
								x = 256,
								width = 128,
								height = 128,
								scale = 0.5
							}	
						},
					}
				},
				down =
				{
					layers =
					{
						{
							filename = "__AnonyMods__/graphics/entity/pipes/steel-checkpipe.png",
							priority = "high",
							line_length = 4,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-steel-checkpipe.png",
								priority = "high",
								line_length = 4,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},						
						{
							filename = "__AnonyMods__/graphics/entity/pipes/arrows.png",
							priority = "high",
							line_length = 4,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-arrows.png",
								priority = "high",
								line_length = 4,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},
					}
				},
				left =
				{
					layers =
					{
						{
							filename = "__AnonyMods__/graphics/entity/pipes/steel-checkpipe.png",
							priority = "high",
							line_length = 4,
							x = 192,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-steel-checkpipe.png",
								priority = "high",
								line_length = 4,
								x = 384,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},						
						{
							filename = "__AnonyMods__/graphics/entity/pipes/arrows.png",
							priority = "high",
							line_length = 4,
							x = 192,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-arrows.png",
								priority = "high",
								line_length = 4,
								x = 384,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},
					}

				},
				right =
				{
					layers =
					{
						{
							filename = "__AnonyMods__/graphics/entity/pipes/steel-checkpipe.png",
							priority = "high",
							line_length = 4,
							x = 64,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-steel-checkpipe.png",
								priority = "high",
								line_length = 4,
								x = 128,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},						
						{
							filename = "__AnonyMods__/graphics/entity/pipes/arrows.png",
							priority = "high",
							line_length = 4,
							x = 64,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-arrows.png",
								priority = "high",
								line_length = 4,
								x = 128,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},
					}
				},
			},
		},
	},
	tungsten_pipe =
	{
		enabled = Config.Enabled["tungsten-pipe"],
		name = "tungsten-pipe",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/pipes/tungsten-pipe.png",
		base_area = 3,
		--base_level = 0.9,
		tint = { r = 1, g = 1, b = 1 },
		max_health = 150,
		resistances = 
		{
			{
				type = "fire",
				percent = 95
			}
		},
		I_junction = "tungsten-pipe-straight",
		L_junction = "tungsten-pipe-elbow",
		T_junction = "tungsten-pipe-junction",
		CheckPipe = "tungsten-pipe-check",
		OverflowPipe = "tungsten-pipe-overflow",
		sprites =
				{
			I_junction =
			{
				up =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/tungsten-pipes.png",
					priority = "high",
					x = 192,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-tungsten-pipes.png",
						priority = "high",
						x = 384,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				down =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/tungsten-pipes.png",
					priority = "high",
					x = 192,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-tungsten-pipes.png",
						priority = "high",
						x = 384,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				left =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/tungsten-pipes.png",
					priority = "high",
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-tungsten-pipes.png",
						priority = "high",
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				right =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/tungsten-pipes.png",
					priority = "high",
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-tungsten-pipes.png",
						priority = "high",
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
			},
			L_junction =
			{
				up =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/tungsten-pipes.png",
					priority = "high",
					x = 128,
					--y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-tungsten-pipes.png",
						priority = "high",
						x = 256,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				down =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/tungsten-pipes.png",
					priority = "high",
					x = 192,
					-- y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-tungsten-pipes.png",
						priority = "high",
						x = 384,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				left =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/tungsten-pipes.png",
					priority = "high",
					x = 256,
					-- y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-tungsten-pipes.png",
						priority = "high",
						x = 512,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				right =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/tungsten-pipes.png",
					priority = "high",
					x = 64,
					--y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-tungsten-pipes.png",
						priority = "high",
						x = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
			},
			T_junction =
			{
				up =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/tungsten-pipes.png",
					priority = "high",
					x = 384,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-tungsten-pipes.png",
						priority = "high",
						x = 768,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				down =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/tungsten-pipes.png",
					priority = "high",
					x = 576,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-tungsten-pipes.png",
						priority = "high",
						x = 1152,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				left =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/tungsten-pipes.png",
					priority = "high",
					x = 512,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-tungsten-pipes.png",
						priority = "high",
						x = 1024,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				right =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/tungsten-pipes.png",
					priority = "high",
					x = 448,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-tungsten-pipes.png",
						priority = "high",
						x = 896,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
			},
			CheckPipe = 
			{
				picture = 
				{
					sheet = 			
					{
						filename = "__AnonyMods__/graphics/entity/pipes/tungsten-checkpipe.png",
						priority = "extra-high",
						frames = 4,
						width = 64,
						height = 64,
						hr_version = {
							filename = "__AnonyMods__/graphics/entity/pipes/hr-tungsten-checkpipe.png",
							priority = "high",
							frames = 4,
							width = 128,
							height = 128,
							scale = 0.5
						}
					},
				},
				fluid_background =
				{
					filename = "__core__/graphics/empty.png",
					priority = "extra-high",
					width = 1,
					height = 1
				},
				window_background =
				{
					filename = "__core__/graphics/empty.png",
					priority = "extra-high",
					width = 1,
					height = 1
				},
				flow_sprite =
				{
					filename = "__core__/graphics/empty.png",
					priority = "extra-high",
					width = 1,
					height = 1
				},
				gas_flow =
				{
					filename = "__core__/graphics/empty.png",
					priority = "extra-high",
					line_length = 1,
					width = 1,
					height = 1,
					frame_count = 1,
					axially_symmetrical = false,
					direction_count = 1,
					animation_speed = 0.25,
					hr_version =
					{
					  filename = "__core__/graphics/empty.png",
					  priority = "extra-high",
					  line_length = 1,
					  width = 1,
					  height = 1,
					  frame_count = 1,
					  axially_symmetrical = false,
					  animation_speed = 0.25,
					  direction_count = 1
					}
				}
			},
			OverflowPipe =
			{
				up =
				{
					layers =
					{
						{
							filename = "__AnonyMods__/graphics/entity/pipes//tungsten-checkpipe.png",
							priority = "high",
							line_length = 4,
							x = 128,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-tungsten-checkpipe.png",
								priority = "high",
								line_length = 4,
								x = 256,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},						
						{
							filename = "__AnonyMods__/graphics/entity/pipes/arrows.png",
							priority = "high",
							line_length = 4,
							x = 128,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-arrows.png",
								priority = "high",
								line_length = 4,
								x = 256,
								width = 128,
								height = 128,
								scale = 0.5
							}	
						},
					}
				},
				down =
				{
					layers =
					{
						{
							filename = "__AnonyMods__/graphics/entity/pipes/tungsten-checkpipe.png",
							priority = "high",
							line_length = 4,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-tungsten-checkpipe.png",
								priority = "high",
								line_length = 4,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},						
						{
							filename = "__AnonyMods__/graphics/entity/pipes/arrows.png",
							priority = "high",
							line_length = 4,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-arrows.png",
								priority = "high",
								line_length = 4,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},
					}
				},
				left =
				{
					layers =
					{
						{
							filename = "__AnonyMods__/graphics/entity/pipes/tungsten-checkpipe.png",
							priority = "high",
							line_length = 4,
							x = 192,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-tungsten-checkpipe.png",
								priority = "high",
								line_length = 4,
								x = 384,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},						
						{
							filename = "__AnonyMods__/graphics/entity/pipes/arrows.png",
							priority = "high",
							line_length = 4,
							x = 192,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-arrows.png",
								priority = "high",
								line_length = 4,
								x = 384,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},
					}

				},
				right =
				{
					layers =
					{
						{
							filename = "__AnonyMods__/graphics/entity/pipes/tungsten-checkpipe.png",
							priority = "high",
							line_length = 4,
							x = 64,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-tungsten-checkpipe.png",
								priority = "high",
								line_length = 4,
								x = 128,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},						
						{
							filename = "__AnonyMods__/graphics/entity/pipes/arrows.png",
							priority = "high",
							line_length = 4,
							x = 64,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-arrows.png",
								priority = "high",
								line_length = 4,
								x = 128,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},
					}
				},
			},
		},
	},
	titanium_pipe =
	{
		enabled = Config.Enabled["titanium-pipe"],
		name = "titanium-pipe",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/pipes/titanium-pipe.png",
		base_area = 3,
		--base_level = 0.9,
		tint = { r = 1, g = 1, b = 1 },
		max_health = 150,
		resistances = 
		{
			{
				type = "fire",
				percent = 95
			}
		},
		I_junction = "titanium-pipe-straight",
		L_junction = "titanium-pipe-elbow",
		T_junction = "titanium-pipe-junction",
		CheckPipe = "titanium-pipe-check",
		OverflowPipe = "titanium-pipe-overflow",
		sprites =
				{
			I_junction =
			{
				up =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/titanium-pipes.png",
					priority = "high",
					x = 192,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-pipes.png",
						priority = "high",
						x = 384,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				down =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/titanium-pipes.png",
					priority = "high",
					x = 192,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-pipes.png",
						priority = "high",
						x = 384,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				left =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/titanium-pipes.png",
					priority = "high",
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-pipes.png",
						priority = "high",
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				right =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/titanium-pipes.png",
					priority = "high",
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-pipes.png",
						priority = "high",
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
			},
			L_junction =
			{
				up =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/titanium-pipes.png",
					priority = "high",
					x = 128,
					--y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-pipes.png",
						priority = "high",
						x = 256,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				down =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/titanium-pipes.png",
					priority = "high",
					x = 192,
					-- y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-pipes.png",
						priority = "high",
						x = 384,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				left =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/titanium-pipes.png",
					priority = "high",
					x = 256,
					-- y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-pipes.png",
						priority = "high",
						x = 512,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				right =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/titanium-pipes.png",
					priority = "high",
					x = 64,
					--y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-pipes.png",
						priority = "high",
						x = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
			},
			T_junction =
			{
				up =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/titanium-pipes.png",
					priority = "high",
					x = 384,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-pipes.png",
						priority = "high",
						x = 768,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				down =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/titanium-pipes.png",
					priority = "high",
					x = 576,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-pipes.png",
						priority = "high",
						x = 1152,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				left =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/titanium-pipes.png",
					priority = "high",
					x = 512,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-pipes.png",
						priority = "high",
						x = 1024,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
				right =
				{
					filename = "__AnonyMods__/graphics/entity/pipes/titanium-pipes.png",
					priority = "high",
					x = 448,
					y = 64,
					width = 64,
					height = 64,
					hr_version = {
						filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-pipes.png",
						priority = "high",
						x = 896,
						y = 128,
						width = 128,
						height = 128,
						scale = 0.5
					}
				},
			},
			CheckPipe = 
			{
				picture = 
				{
					sheet = 			
					{
						filename = "__AnonyMods__/graphics/entity/pipes/titanium-checkpipe.png",
						priority = "extra-high",
						frames = 4,
						width = 64,
						height = 64,
						hr_version = {
							filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-checkpipe.png",
							priority = "high",
							frames = 4,
							width = 128,
							height = 128,
							scale = 0.5
						}
					},
				},
				fluid_background =
				{
					filename = "__core__/graphics/empty.png",
					priority = "extra-high",
					width = 1,
					height = 1
				},
				window_background =
				{
					filename = "__core__/graphics/empty.png",
					priority = "extra-high",
					width = 1,
					height = 1
				},
				flow_sprite =
				{
					filename = "__core__/graphics/empty.png",
					priority = "extra-high",
					width = 1,
					height = 1
				},
				gas_flow =
				{
					filename = "__core__/graphics/empty.png",
					priority = "extra-high",
					line_length = 1,
					width = 1,
					height = 1,
					frame_count = 1,
					axially_symmetrical = false,
					direction_count = 1,
					animation_speed = 0.25,
					hr_version =
					{
					  filename = "__core__/graphics/empty.png",
					  priority = "extra-high",
					  line_length = 1,
					  width = 1,
					  height = 1,
					  frame_count = 1,
					  axially_symmetrical = false,
					  animation_speed = 0.25,
					  direction_count = 1
					}
				}
			},
			OverflowPipe =
			{
				up =
				{
					layers =
					{
						{
							filename = "__AnonyMods__/graphics/entity/pipes//titanium-checkpipe.png",
							priority = "high",
							line_length = 4,
							x = 128,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-checkpipe.png",
								priority = "high",
								line_length = 4,
								x = 256,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},						
						{
							filename = "__AnonyMods__/graphics/entity/pipes/arrows.png",
							priority = "high",
							line_length = 4,
							x = 128,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-arrows.png",
								priority = "high",
								line_length = 4,
								x = 256,
								width = 128,
								height = 128,
								scale = 0.5
							}	
						},
					}
				},
				down =
				{
					layers =
					{
						{
							filename = "__AnonyMods__/graphics/entity/pipes/titanium-checkpipe.png",
							priority = "high",
							line_length = 4,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-checkpipe.png",
								priority = "high",
								line_length = 4,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},						
						{
							filename = "__AnonyMods__/graphics/entity/pipes/arrows.png",
							priority = "high",
							line_length = 4,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-arrows.png",
								priority = "high",
								line_length = 4,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},
					}
				},
				left =
				{
					layers =
					{
						{
							filename = "__AnonyMods__/graphics/entity/pipes/titanium-checkpipe.png",
							priority = "high",
							line_length = 4,
							x = 192,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-checkpipe.png",
								priority = "high",
								line_length = 4,
								x = 384,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},						
						{
							filename = "__AnonyMods__/graphics/entity/pipes/arrows.png",
							priority = "high",
							line_length = 4,
							x = 192,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-arrows.png",
								priority = "high",
								line_length = 4,
								x = 384,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},
					}

				},
				right =
				{
					layers =
					{
						{
							filename = "__AnonyMods__/graphics/entity/pipes/titanium-checkpipe.png",
							priority = "high",
							line_length = 4,
							x = 64,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-checkpipe.png",
								priority = "high",
								line_length = 4,
								x = 128,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},						
						{
							filename = "__AnonyMods__/graphics/entity/pipes/arrows.png",
							priority = "high",
							line_length = 4,
							x = 64,
							width = 64,
							height = 64,
							hr_version = {
								filename = "__AnonyMods__/graphics/entity/pipes/hr-arrows.png",
								priority = "high",
								line_length = 4,
								x = 128,
								width = 128,
								height = 128,
								scale = 0.5
							}
						},
					}
				},
			},
		},
	},


}


for k, v in pairs( Pipes ) do
	
	if v.enabled == true then
	
data:extend({

	{
		type = "pipe-to-ground",
		name = v.I_junction,
		icon_size = 32,
	icon = v.icon,
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = v.name},
		max_health = v.max_health,
		corpse = "small-remnants",
		subgroup = "energy-pipe-distribution",
		order = "a[pipe]-a[pipe]",
		resistances = v.resistances,
		fast_replaceable_group = "pipe",
		collision_box = {{-0.29, -0.29}, {0.29, 0.29}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fluid_box =
		{
			base_area = v.base_area,
			pipe_covers = pipecoverspictures(),
			pipe_connections =
				{
					{ position = {0, -1} },
					{ position = {0, 1} },
				},
		},
		underground_sprite =
		{
			filename = "__core__/graphics/empty.png",
			priority = "high",
			width = 1,
			height = 1
		},
		vehicle_impact_sound =
		{
			filename = "__base__/sound/car-metal-impact.ogg",
			volume = 0.65
		},
		pictures = v.sprites.I_junction,	
	},
	{
		type = "pipe-to-ground",
		name = v.L_junction,
		icon_size = 32,
	icon = v.icon,
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = v.name},
		max_health = v.max_health,
		corpse = "small-remnants",
		subgroup = "energy-pipe-distribution",
		order = "a[pipe]-a[pipe]",
		resistances = v.resistances,
		fast_replaceable_group = "pipe",
		collision_box = {{-0.29, -0.29}, {0.29, 0.29}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fluid_box =
		{
			base_area = v.base_area,
			pipe_covers = pipecoverspictures(),
			pipe_connections =
				{
					{ position = {1, 0} },
					{ position = {0, 1} },
				},
		},
		underground_sprite =
		{
			filename = "__core__/graphics/empty.png",
			priority = "high",
			width = 1,
			height = 1
		},
		vehicle_impact_sound =
		{
			filename = "__base__/sound/car-metal-impact.ogg",
			volume = 0.65
		},
		pictures = v.sprites.L_junction,	
	},
	{
		type = "pipe-to-ground",
		name = v.T_junction,
		icon_size = 32,
	icon = v.icon,
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = v.name},
		max_health = v.max_health,
		corpse = "small-remnants",
		subgroup = "energy-pipe-distribution",
		order = "a[pipe]-a[pipe]",
		resistances = v.resistances,
		fast_replaceable_group = "pipe",
		collision_box = {{-0.29, -0.29}, {0.29, 0.29}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fluid_box =
		{
			base_area = v.base_area,
			pipe_covers = pipecoverspictures(),
			pipe_connections =
				{
					{ position = {1, 0} },
					{ position = {0, 1} },
					{ position = {-1, 0} }
				},
		},
		underground_sprite =
		{
			filename = "__core__/graphics/empty.png",
			priority = "high",
			width = 1,
			height = 1
		},
		vehicle_impact_sound =
		{
			filename = "__base__/sound/car-metal-impact.ogg",
			volume = 0.65
		},
		pictures = v.sprites.T_junction,	
	},
	{
		type = "storage-tank",
		name = v.CheckPipe,
		icon_size = 32,
	icon = v.icon,
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = v.name},
		max_health = v.max_health,
		corpse = "small-remnants",
		subgroup = "energy-pipe-distribution",
		order = "a[pipe]-a[pipe]",
		resistances = v.resistances,
		fast_replaceable_group = "pipe",
		collision_box = {{-0.29, -0.29}, {0.29, 0.29}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fluid_box =
		{
			base_area = v.base_area,
			pipe_covers = pipecoverspictures(),
			pipe_connections =
			{
				{ position = {0, 1} },
				{ position = {0, -1} },
			},
		},
		window_bounding_box = {{-0.125, 0.6875}, {0.1875, 1.1875}},
		pictures = v.sprites.CheckPipe,
		flow_length_in_ticks = 360,
		vehicle_impact_sound =
		{
			filename = "__base__/sound/car-metal-impact.ogg",
			volume = 0.65
		},
		circuit_wire_connection_points = circuit_connector_definitions["pump"].points,
		circuit_connector_sprites = circuit_connector_definitions["pump"].sprites,
		circuit_wire_max_distance = default_circuit_wire_max_distance
	},
	{
		type = "pipe-to-ground",
		name = v.OverflowPipe,
		icon_size = 32,
	icon = v.icon,
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = v.name},
		max_health = v.max_health,
		corpse = "small-remnants",
		subgroup = "energy-pipe-distribution",
		order = "a[pipe]-a[pipe]",
		resistances = v.resistances,
		fast_replaceable_group = "pipe",
		collision_box = {{-0.29, -0.29}, {0.29, 0.29}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fluid_box =
		{
			base_area = v.base_area,
			--base_level = v.base_level,
			pipe_covers = pipecoverspictures(),
			pipe_connections =
				{
					{ position = {0, -1}, type = "output" },
					{ position = {0, 1} },
				},
		},
		underground_sprite =
		{
			filename = "__core__/graphics/empty.png",
			priority = "high",
			width = 1,
			height = 1
		},
		vehicle_impact_sound =
		{
			filename = "__base__/sound/car-metal-impact.ogg",
			volume = 0.65
		},
		pictures = v.sprites.OverflowPipe,	
	},

})

	end

end


data.raw["gui-style"]["default"]["pipe_button"] =
	{
    type = "button_style",
    font = "default-button",
    default_font_color={r=1, g=1, b=1},
    align = "center",
	width = 32,
	height = 32,
	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
      default_graphical_set =
      {
        type = "composition",
        filename = "__core__/graphics/gui.png",
        priority = "extra-high-no-scale",
		tint = { r = 1, g = 1, b = 1, a = 0 },
        corner_size = {3, 3},
        position = {0, 0}
      },
      hovered_font_color={r=1, g=1, b=1},
      hovered_graphical_set =
      {
        type = "composition",
        filename = "__core__/graphics/gui.png",
        priority = "extra-high-no-scale",
		tint = { r = 1, g = 1, b = 1, a = 1 },
        corner_size = {3, 3},
        position = {0, 8}
      },
      clicked_font_color={r=1, g=1, b=1},
      clicked_graphical_set =
      {
        type = "composition",
        filename = "__core__/graphics/gui.png",
        priority = "extra-high-no-scale",
		tint = { r = 1, g = 1, b = 1, a = 0 },
        corner_size = {3, 3},
        position = {0, 40}
      },
      disabled_font_color={r=0.5, g=0.5, b=0.5},
      disabled_graphical_set =
      {
        type = "composition",
        filename = "__core__/graphics/gui.png",
        priority = "extra-high-no-scale",
		tint = { r = 1, g = 1, b = 1, a = 0 },
        corner_size = {3, 3},
        position = {0, 16}
      },
      pie_progress_color = {r=1, g=1, b=1}
    },
	
data:extend({

	{
		type="sprite",
		name="pipe_straight",
		filename = "__AnonyMods__/graphics/gui/pipe-straight.png",
		priority = "extra-high-no-scale",
		width = 32,
		height = 32,
	},
	{
		type="sprite",
		name="pipe_elbow",
		filename = "__AnonyMods__/graphics/gui/pipe-elbow.png",
		priority = "extra-high-no-scale",
		width = 32,
		height = 32,
	},
	{
		type="sprite",
		name="pipe_junction",
		filename = "__AnonyMods__/graphics/gui/pipe-junction.png",
		priority = "extra-high-no-scale",
		width = 32,
		height = 32,
	},	
	{
		type="sprite",
		name="pipe_check",
		filename = "__AnonyMods__/graphics/gui/pipe-check.png",
		priority = "extra-high-no-scale",
		width = 32,
		height = 32,
	},	
	{
		type="sprite",
		name="pipe_overflow",
		filename = "__AnonyMods__/graphics/gui/pipe-flow.png",
		priority = "extra-high-no-scale",
		width = 32,
		height = 32,
	},
  
 })





