data:extend(
{
----------- CATEGORIES ------------
  {
    type = "recipe-category",
    name = "chemical-furnace-crafting"
  },
  {
    type = "recipe-category",
    name = "mixing-furnace-crafting"
  },
  --[[{
    type = "recipe-category",
    name = "foundry-crafting"
  },--]]    
  {
    type = "recipe-category",
    name = "electrolysis"
  },
  {
    type = "recipe-category",
    name = "digging"
  },
  {
    type = "recipe-category",
    name = "growing-trees"
  },
  {
    type = "recipe-category",
    name = "compressor"
  },    
  {
    type = "recipe-category",
    name = "void-machine"
  },
  { 
    type = "recipe-category",
    name = "pump"
  },
  { 
    type = "recipe-category",
    name = "offshore-pump"
  },  
  { 
    type = "recipe-category",
    name = "electric-boiler"
  },      
  { 
    type = "recipe-category",
    name = "duplicating"
  },     
  { 
    type = "recipe-category",
    name = "metallurgy-crushing"
  },     
  { 
    type = "recipe-category",
    name = "metallurgy-washing"
  },   
  { 
    type = "recipe-category",
    name = "metallurgy-leaching"
  },   
  { 
    type = "recipe-category",
    name = "metallurgy-purifying"
  },    
  { 
    type = "recipe-category",
    name = "metallurgy-crystalizing"
  },   
  { 
    type = "recipe-category",
    name = "metallurgy-sorting"
  },     
  --[[{
    type = "resource-category",
    name = "basic-solid"
  },--]]
  {
    type = "module-category",
    name = "duplicator"
  },  
  {
    type = "module-category",
    name = "recycling"
  },
  {
    type = "damage-type",
    name = "freeze"
  },  
  {
    type = "damage-type",
    name = "piercing"
  },  
  {
    type = "damage-type",
    name = "radioactive"
  },
	----------- ITEM GORUPS ------------
	-------------RESOURCES--------------
  {
    type = "item-group",
    name = "AnonyMods-Resources",
    icon = "__AnonyMods__/graphics/icons/categories/resources.png",
	icon_size = 64,
    inventory_order = "c",
    order = "cc"
  },
  
  {
    type = "item-subgroup",
    name = "AnonyMods-Resources-Raw",
    group = "AnonyMods-Resources",
    order = "a",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Resources-Metal",
    group = "AnonyMods-Resources",
    order = "b",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Resources-NonMetal",
    group = "AnonyMods-Resources",
    order = "c",
  },  
  {
    type = "item-subgroup",
    name = "AnonyMods-Resources-Chemistry",
    group = "AnonyMods-Resources",
    order = "d",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Resources-Electrolysis",
    group = "AnonyMods-Resources",
    order = "e",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Resources-Organics",
    group = "AnonyMods-Resources",
    order = "f",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Resources-Other",
    group = "AnonyMods-Resources",
    order = "g",
  },  
  {
    type = "item-subgroup",
    name = "AnonyMods-Resources-Metallurgy-0",
    group = "AnonyMods-Resources",
    order = "za",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Resources-Metallurgy-1",
    group = "AnonyMods-Resources",
    order = "zb",
  },  
  {
    type = "item-subgroup",
    name = "AnonyMods-Resources-Metallurgy-2",
    group = "AnonyMods-Resources",
    order = "zc",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Resources-Metallurgy-3",
    group = "AnonyMods-Resources",
    order = "zd",
  },  
  {
    type = "item-subgroup",
    name = "AnonyMods-Resources-Metallurgy-4",
    group = "AnonyMods-Resources",
    order = "ze",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Resources-Metallurgy-5",
    group = "AnonyMods-Resources",
    order = "zf",
  },  
  
  -----------------------------------
  ----------FLUIDS AND GASES---------
  
  {
    type = "item-group",
    name = "AnonyMods-FluidsGases",
    icon = "__AnonyMods__/graphics/icons/categories/fluidsgases.png",
	icon_size = 64,
    inventory_order = "cc",
    order = "ccc"
  },
  
  {
    type = "item-subgroup",
    name = "AnonyMods-FluidsGases-Electrolysis",
    group = "AnonyMods-FluidsGases",
    order = "a",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-FluidsGases-Mixing",
    group = "AnonyMods-FluidsGases",
    order = "b",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-FluidsGases-Oil",
    group = "AnonyMods-FluidsGases",
    order = "c",
  },  
  {
    type = "item-subgroup",
    name = "AnonyMods-FluidsGases-Filtration",
    group = "AnonyMods-FluidsGases",
    order = "d",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-FluidsGases-Barreling",
    group = "AnonyMods-FluidsGases",
    order = "za",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-FluidsGases-UnBarreling",
    group = "AnonyMods-FluidsGases",
    order = "zb",
  },
  
  -----------------------------------
  -----------ELECTRONICS-------------
  
  {
    type = "item-group",
    name = "AnonyMods-Electronics",
    icon = "__AnonyMods__/graphics/icons/categories/electronics.png",
	icon_size = 64,
    inventory_order = "ccc",
    order = "cccc"
  },
  
  {
    type = "item-subgroup",
    name = "AnonyMods-Electronics-Components",
    group = "AnonyMods-Electronics",
    order = "a",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Electronics-Boards-Empty",
    group = "AnonyMods-Electronics",
    order = "b",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Electronics-Boards-Easy",
    group = "AnonyMods-Electronics",
    order = "c",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Electronics-Boards-Medium",
    group = "AnonyMods-Electronics",
    order = "d",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Electronics-Boards-Hard",
    group = "AnonyMods-Electronics",
    order = "e",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Electronics-Products",
    group = "AnonyMods-Electronics",
    order = "f",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Electronics-CircuitNetwork",
    group = "AnonyMods-Electronics",
    order = "ff",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Electronics-Modules-Speed",
    group = "AnonyMods-Electronics",
    order = "g",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Electronics-Modules-Effectivity",
    group = "AnonyMods-Electronics",
    order = "h",
  },  
  {
    type = "item-subgroup",
    name = "AnonyMods-Electronics-Modules-Recycling",
    group = "AnonyMods-Electronics",
    order = "i",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Electronics-Modules-Productivity",
    group = "AnonyMods-Electronics",
    order = "j",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Electronics-Modules-Duplicator",
    group = "AnonyMods-Electronics",
    order = "k",
  },  
  {
    type = "item-subgroup",
    name = "AnonyMods-Electronics-Modules-Beacons",
    group = "AnonyMods-Electronics",
    order = "l",
  },
  {
    type = "item-subgroup",
    name = "AnonyMods-Electronics-Modules-Duplicator-Recipes",
    group = "AnonyMods-Electronics",
    order = "z",
  }, 
  
  -----------------------------------
  --- Logistics
  
  {
    type = "item-subgroup",
    name = "AnonyMods-SmallPumps",
    group = "logistics",
    order = "da",
  }, 

  {
    type = "item-subgroup",
    name = "AnonyMods-Pipes",
    group = "logistics",
    order = "db",
  },
  
  {
    type = "item-subgroup",
    name = "AnonyMods-UndergroundPipes",
    group = "logistics",
    order = "dc",
  },  
  {
    type = "item-subgroup",
    name = "AnonyMods-Construction-Robots",
    group = "logistics",
    order = "fa",
  }, 
  {
    type = "item-subgroup",
    name = "AnonyMods-Logistics-Robots",
    group = "logistics",
    order = "fb",
  },

  -----------------------------------
  --- Intermediate-products
  
  {
    type = "item-subgroup",
    name = "AnonyMods-GearsSticks",
    group = "intermediate-products",
    order = "da",
  },
  
  {
    type = "item-subgroup",
    name = "AnonyMods-BallsBearings",
    group = "intermediate-products",
    order = "db",
  },

  -----------------------------------
  --- Production
  
  {
    type = "item-subgroup",
    name = "AnonyMods-Boilers",
    group = "production",
    order = "ba",
  },

  {
    type = "item-subgroup",
    name = "AnonyMods-SteamEngines",
    group = "production",
    order = "bb",
  },
  
  {
    type = "item-subgroup",
    name = "AnonyMods-AccumulatorsSolar",
    group = "production",
    order = "bc",
  },

  {
    type = "item-subgroup",
    name = "AnonyMods-ChemicalFurnaces",
    group = "production",
    order = "da",
  },  
  {
    type = "item-subgroup",
    name = "AnonyMods-MixingFurnaces",
    group = "production",
    order = "db",
  },  
  {
    type = "item-subgroup",
    name = "AnonyMods-Assemblers",
    group = "production",
    order = "dc",
  },  
  {
    type = "item-subgroup",
    name = "AnonyMods-Electrolyzers",
    group = "production",
    order = "dd",
  }, 
  {
    type = "item-subgroup",
    name = "AnonyMods-ChemPlants",
    group = "production",
    order = "de",
  },  
  {
    type = "item-subgroup",
    name = "AnonyMods-Refineries",
    group = "production",
    order = "df",
  },  
  {
    type = "item-subgroup",
    name = "AnonyMods-Compressors",
    group = "production",
    order = "dg",
  },  
  {
    type = "item-subgroup",
    name = "AnonyMods-Pumps",
    group = "production",
    order = "dh",
  },
  
  -----------------------------------
  --- Combat
  
  {
    type = "item-subgroup",
    name = "AnonyMods-Bullets",
    group = "combat",
    order = "ba",
  }, 
  
  {
    type = "item-subgroup",
    name = "AnonyMods-Pellets",
    group = "combat",
    order = "bb",
  },
  
  {
    type = "item-subgroup",
    name = "AnonyMods-Rockets",
    group = "combat",
    order = "bc",
  },
  
   {
    type = "item-subgroup",
    name = "AnonyMods-Gun-Turrets",
    group = "combat",
    order = "ga",
   },  

   {
    type = "item-subgroup",
    name = "AnonyMods-Laser-Turrets",
    group = "combat",
    order = "gb",
   },   
   
   {
    type = "item-subgroup",
    name = "AnonyMods-Flamethrower-Turrets",
    group = "combat",
    order = "gc",
   },   
   
   {
    type = "item-subgroup",
    name = "AnonyMods-Sniper-Turrets",
    group = "combat",
    order = "gd",
   },   
   
   {
    type = "item-subgroup",
    name = "AnonyMods-Rocket-Turrets",
    group = "combat",
    order = "ge",
   },  

   {
    type = "item-subgroup",
    name = "AnonyMods-Cryo-Turrets",
    group = "combat",
    order = "gf",
   },   
   
   {
    type = "item-subgroup",
    name = "AnonyMods-Shotgun-Turrets",
    group = "combat",
    order = "gh",
   },

  
})

data.raw["item-subgroup"]["fill-barrel"].order = "za"
data.raw["item-subgroup"]["fill-barrel"].group = "AnonyMods-FluidsGases"
data.raw["item-subgroup"]["empty-barrel"].order = "zb"
data.raw["item-subgroup"]["empty-barrel"].group = "AnonyMods-FluidsGases"
