data:extend({

 {
    type = "assembling-machine",
    name = Prototypes["greenhouse"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/assembly-machines/greenhouse.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 5, result = Prototypes["greenhouse"]["names"].entity},
    max_health = 650,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
    collision_box = {{-5.5, -5.5}, {5.5, 5.5}},
    selection_box = {{-5.6, -5.6}, {5.6, 5.6}},
	fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, 6} }}
      },      
	  {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, -6} }}
      },      
	  {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-6, 0} }}
      },
	  {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {6, 0} }}
      },
      off_when_no_fluid_recipe = false,
    },
    --fast_replaceable_group = "assembling-machine",
	working_visualisations =
    {
		{
		north_position = {0, 0},
        west_position = {0, 0},
        south_position = {0, 0},
        east_position = {0, 0},
		light = {intensity = 2, size = 40},
		animation =
        {
			priority = "extra-high",
			width = 1,
			height = 1,
			line_length = 1,
			shift = {1.155, -0.955},
			tint = { r = 0, g = 0, b = 0, a = 0 },
			filename = "__AnonyMods__/graphics/entity/greenhouse/greenhouse.png",
			frame_count = 1,
        },
		}		
    },
	animation =
    {
	    priority = "extra-high",
        width = 480,
        height = 480,
        line_length = 1,
        shift = {1.155, -0.955},
        filename = "__AnonyMods__/graphics/entity/greenhouse/greenhouse.png",
        frame_count = 1,
    },
    working_sound =
    {
      sound = { filename = "__AnonyMods__/sound/greenhouse.ogg" }
    },
    crafting_categories = {"growing-trees"},
    crafting_speed = 1,
    ingredient_count = 6,
	energy_usage = "30kW",
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0
    },
    --[[module_specification =
    {
      module_slots = 2
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"}--]]
  }
  
})  
  
  