data:extend({

 {
    type = "assembling-machine",
    name = Prototypes["ground_digger"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/assembly-machines/ground-digger.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = Prototypes["ground_digger"]["names"].entity},
	selectable_in_game = true,
    max_health = 125,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
	fixed_recipe = "grass",
    collision_box = {{-0.85, -0.85}, {0.85, 0.85}},
    selection_box = {{-1, -1}, {1, 1}},
    fast_replaceable_group = "assembling-machine",
    animation =
    {
      filename = "__AnonyMods__/graphics/entity/ground-digger/ground-digger.png",
      priority = "high",
      width = 96,
      height = 96,
      frame_count = 4,
      line_length = 4,
      shift = {0.5, 0}
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = 
	  {           
			filename = "__base__/sound/burner-mining-drill.ogg",
			volume = 0.8 
	  }
    },
    crafting_categories = {"digging"},
    crafting_speed = 1,
    energy_usage = "85kW",
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.01
    },
    ingredient_count = 1,
  }
  
})  
  
  