data:extend({

  {
    type = "pipe-to-ground",
    name = Prototypes["titanium_pipe_to_ground"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/pipes/titanium-pipe-to-ground.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = Prototypes["titanium_pipe_to_ground"]["names"].item},
    max_health = 200,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 85
      }
    },
    collision_box = {{-0.29, -0.29}, {0.29, 0.2}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    fluid_box =
    {
      base_area = 4,
      pipe_covers = pipecoverspictures(),
      pipe_connections =
      {
        { position = {0, -1} },
        {
          position = {0, 1},
          max_underground_distance = 25
        }
      },
    },
    underground_sprite =
    {
      filename = "__core__/graphics/arrows/underground-lines.png",
      priority = "extra-high-no-scale",
      width = 64,
      height = 64,
      scale = 0.5
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    pictures =
    {
      up =
      {
        filename = "__AnonyMods__/graphics/entity/pipes/titanium-underground-pipes.png",
        priority = "high",
		x = 192,
        width = 64,
        height = 64,
		hr_version = {
			filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-underground-pipes.png",
			priority = "high",
			x = 384,
			width = 128,
			height = 128,
			scale = 0.5
		}
      },
      down =
      {
        filename = "__AnonyMods__/graphics/entity/pipes/titanium-underground-pipes.png",
        priority = "high",
        width = 64,
        height = 64,
		hr_version = {
			filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-underground-pipes.png",
			priority = "high",
			width = 128,
			height = 128,
			scale = 0.5
		}
      },
      left =
      {
        filename = "__AnonyMods__/graphics/entity/pipes/titanium-underground-pipes.png",
        priority = "high",
		x = 64,
        width = 64,
        height = 64,
		hr_version = {
			filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-underground-pipes.png",
			priority = "high",
			x = 128,
			width = 128,
			height = 128,
			scale = 0.5
		}
      },
      right =
      {
        filename = "__AnonyMods__/graphics/entity/pipes/titanium-underground-pipes.png",
        priority = "high",
		x = 128,	
        width = 64,
        height = 64,
		hr_version = {
			filename = "__AnonyMods__/graphics/entity/pipes/hr-titanium-underground-pipes.png",
			priority = "high",
			x = 256,
			width = 128,
			height = 128,
			scale = 0.5
		}
      },
    }
  },
  
})  
  
  