
data:extend({
	-------- AUTOPLACE-CONTROLS --------
	
	{
    type = "autoplace-control",
    name = "natural-gas",
    richness = true,
    category = "resource",
	order = "n"
	},
	
	----------- NOISE-LAYERS -----------
	
	{
      type = "noise-layer",
      name = "natural-gas"
    },
	
	-------------- ENTITY --------------
	
  	{
    type = "resource",
    name = Prototypes["natural_gas"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/natural-gas.png",
    flags = {"placeable-neutral"},
    category = "basic-fluid",
    order="n",
    infinite = true,
    highlight = true,
    minimum = 60000,
    normal = 300000,
    infinite_depletion_amount = 10,
    resource_patch_search_radius = 12,
    minable =
    {
      hardness = 1,
      mining_time = 1,
      results =
      {
        {
          type = "fluid",
          name = "natural-gas",
          amount_min = 10,
          amount_max = 10,
          probability = 1
        }
      }
    },
    collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
	autoplace =
    {
      control = "natural-gas",
      sharpness = 0.99,
      max_probability = 0.02,
      richness_base = 240000,
      richness_multiplier = 300000,
      richness_multiplier_distance_bonus = 3000,
      coverage = 0.02, -- Cover on average 2% of surface area.
      peaks =
      {
        {
          noise_layer = "natural-gas",
          noise_octaves_difference = -1,
          noise_persistence = 0.4,
        }
      }
    },
    stage_counts = {0},
    stages =
    {
      sheet =
      {
        filename = "__AnonyMods__/graphics/entity/resources/natural-gas.png",
        priority = "extra-high",
        width = 75,
        height = 61,
        frame_count = 4,
        variation_count = 1
      }
    },
    map_color = {r=0.31, g=0.1, b=0.95},
    map_grid = false
	},
	
})