
---------------------- Wooden BELT PICTURES ----------------------
ending_patch_prototype_wooden =
  {
    sheet =
    {
      filename = "__AnonyMods__/graphics/entity/wooden-transport-belt/wooden-start-end-integration-patches.png",
      width = 40,
      height = 40,
      priority = "extra-high"
    }
  }

wooden_belt_horizontal =
  {
    filename = "__AnonyMods__/graphics/entity/wooden-transport-belt/wooden-transport-belt.png",
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32
  }
wooden_belt_vertical =
  {
    filename = "__AnonyMods__/graphics/entity/wooden-transport-belt/wooden-transport-belt.png",
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 40
  }
wooden_belt_ending_top =
  {
    filename = "__AnonyMods__/graphics/entity/wooden-transport-belt/wooden-transport-belt.png",
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 80
  }
wooden_belt_ending_bottom =
  {
    filename = "__AnonyMods__/graphics/entity/wooden-transport-belt/wooden-transport-belt.png",
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 120
  }
wooden_belt_ending_side =
  {
    filename = "__AnonyMods__/graphics/entity/wooden-transport-belt/wooden-transport-belt.png",
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 160
  }
wooden_belt_starting_top =
  {
    filename = "__AnonyMods__/graphics/entity/wooden-transport-belt/wooden-transport-belt.png",
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 200
  }
wooden_belt_starting_bottom =
  {
    filename = "__AnonyMods__/graphics/entity/wooden-transport-belt/wooden-transport-belt.png",
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 240
  }
wooden_belt_starting_side =
  {
    filename = "__AnonyMods__/graphics/entity/wooden-transport-belt/wooden-transport-belt.png",
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 280
  }

data:extend({
	
  	{
    type = "transport-belt",
    name = Prototypes["wooden_transport_belt"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/transport-belts/wooden-transport-belt.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.2, result = "wooden-transport-belt"},
    max_health = 25,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 15
      }
    },
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    --[[working_sound =
    {
      sound =
      {
        filename = "__AnonyMods__/sound/wooden-transport-belt/wooden-transport-belt.ogg",
        volume = 0.4
      },
      max_sounds_per_type = 3
    },--]]
    animation_speed_coefficient = 16,
    animations =
    {
      filename = "__AnonyMods__/graphics/entity/wooden-transport-belt/wooden-transport-belt.png",
      priority = "extra-high",
      width = 40,
      height = 40,
      frame_count = 32,
      direction_count = 12,
    },
    belt_horizontal = wooden_belt_horizontal,
    belt_vertical = wooden_belt_vertical,
    ending_top = wooden_belt_ending_top,
    ending_bottom = wooden_belt_ending_bottom,
    ending_side = wooden_belt_ending_side,
    starting_top = wooden_belt_starting_top,
    starting_bottom = wooden_belt_starting_bottom,
    starting_side = wooden_belt_starting_side,
    ending_patch = ending_patch_prototype_wooden,
    fast_replaceable_group = "transport-belt",
    speed = 0.015625,
	connector_frame_sprites = transport_belt_connector_frame_sprites,
    circuit_connector_sprites = transport_belt_circuit_connector_sprites,
    circuit_wire_connection_point = transport_belt_circuit_wire_connection_point,
    circuit_wire_max_distance = transport_belt_circuit_wire_max_distance
    },
	
})