data:extend({
	
	{
    type = "ammo",
    name = Prototypes["explosive_bullet_magazine"]["names"].item,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/combat/explosive-bullet-magazine.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "bullet",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          source_effects =
          {
              type = "create-explosion",
              entity_name = "explosion-gunshot"
          },
          target_effects =
          {
            {
              type = "create-entity",
              entity_name = "explosion-hit"
            },
			{
            type = "nested-result",
            action =
				{
				  type = "area",
				  radius = 2,
				  action_delivery =
				  {
					type = "instant",
					target_effects =
					{
					  {
						type = "damage",
						damage = {amount = 5, type = "explosion"}
					  },
					  {
						type = "create-entity",
						entity_name = "explosion"
					  }
					}
				  }
				},
			},
            {
              type = "damage",
              damage = { amount = 7 , type = "explosion"}
            }
          }
        }
      }
    },
    magazine_size = 30,
    subgroup = "AnonyMods-Bullets",
    order = "e",
    stack_size = 200
  }

})