data:extend({
	
	{
    type = "ammo-category",
    name = "laser-ammo"
    },
	
	{
    type = "ammo",
    name = Prototypes["laser_ammo"]["names"].item,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/combat/laser-ammo.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "laser-ammo",
      --target_type = "direction",
      --source_effects =
      --{
      --  type = "create-explosion",
       -- entity_name = "explosion-gunshot"
      --},
      action =
        {
          type = "direct",
          action_delivery =
          {
            type = "projectile",
            projectile = "rifle-laser",
            starting_speed = 0.28,
            --direction_deviation = 0.3,
            --range_deviation = 0.3,
            --max_range = 15
          }
        }
    },
    magazine_size = 100,
    subgroup = "ammo",
    order = "c",
    stack_size = 100
  },
  
  {
    type = "projectile",
    name = "rifle-laser",
    flags = {"not-on-map"},
    acceleration = 0.005,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            entity_name = "laser-bubble"
          },
          {
            type = "damage",
            damage = { amount = 25, type = "laser"}
          }
        }
      }
    },
    light = {intensity = 0.5, size = 10},
    animation =
    {
      filename = "__base__/graphics/entity/laser/laser-to-tint-medium.png",
      tint = {r=1, g=1, b=1},
      frame_count = 1,
      width = 12,
      height = 33,
      priority = "high",
      blend_mode = "additive"
    },
    speed = 0.15
  },

})