data:extend({
	
	{
    type = "ammo",
    name = Prototypes["poison_bullet_magazine"]["names"].item,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/combat/poison-bullet-magazine.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "bullet",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          source_effects =
          {
              type = "create-explosion",
              entity_name = "explosion-gunshot"
          },
          target_effects =
          {
            {
              type = "create-entity",
              entity_name = "explosion-hit"
            },
			{
              type = "create-entity",
              entity_name = "bullet-poison"
            },
            {
              type = "damage",
              damage = { amount = 6 , type = "poison"}
            }
          }
        }
      }
    },
    magazine_size = 30,
    subgroup = "AnonyMods-Bullets",
    order = "g",
    stack_size = 100
  },
  
  {
    type = "smoke-with-trigger",
    name = "bullet-poison",
    flags = {"not-on-map"},
    show_when_smoke_off = true,
    animation =
    {
      filename = "__base__/graphics/entity/cloud/cloud-45-frames.png",
      flags = { "compressed" },
      priority = "low",
      width = 256,
      height = 256,
      frame_count = 45,
      animation_speed = 0.5,
      line_length = 7,
      scale = 0.6,
    },
    slow_down_factor = 0,
    affected_by_wind = false,
    cyclic = true,
    duration = 3 * 60,
    fade_away_duration = 1 * 60,
    spread_duration = 10,
    color = { r = 0.2, g = 0.9, b = 0.2, a = 0.5 },
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          type = "nested-result",
          action =
          {
            type = "area",
            radius = 1.5,
            entity_flags = {"breaths-air"},
            action_delivery =
            {
              type = "instant",
              target_effects =
              {
                type = "damage",
                damage = { amount = 6, type = "poison"}
              }
            }
          }
        }
      }
    },
    action_frequency = 30
  },

})