data:extend({

  {
    type = "equipment-grid",
    name = "power-armor-mk3",
    width = 13,
    height = 13,
    equipment_categories = {"armor"}
  },
  {
    type = "armor",
    name = Prototypes["power_armor_mk3"]["names"].item,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/combat/power-armor-mk3.png",
    flags = {"goes-to-main-inventory"},
    resistances =
    {
      {
        type = "physical",
        decrease = 12,
        percent = 40
      },
      {
        type = "acid",
        decrease = 14,
        percent = 35
      },
      {
        type = "explosion",
        decrease = 12,
        percent = 36
      },
      {
        type = "fire",
        decrease = 2,
        percent = 70
      },      
	  {
        type = "laser",
        decrease = 6,
        percent = 45
      },	  
	  {
        type = "electric",
        decrease = 2,
        percent = 20
      },	  
	  {
        type = "impact",
        decrease = 5,
        percent = 35
      },
    },
    durability = 30000,
    subgroup = "armor",
    order = "ee",
    stack_size = 1,
    equipment_grid = "power-armor-mk3",
    inventory_size_bonus = 40
  }

})