data:extend({
  
  {
    type = "equipment-grid",
    name = "power-armor-mk5",
    width = 20,
    height = 20,
    equipment_categories = {"armor"}
  },
  {
    type = "armor",
    name = Prototypes["power_armor_mk5"]["names"].item,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/combat/power-armor-mk5.png",
    flags = {"goes-to-main-inventory"},
    resistances =
    {
      {
        type = "physical",
        decrease = 20,
        percent = 50
      },
      {
        type = "acid",
        decrease = 20,
        percent = 50
      },
      {
        type = "explosion",
        decrease = 20,
        percent = 50
      },
      {
        type = "fire",
        decrease = 5,
        percent = 80
      },      
	  {
        type = "laser",
        decrease = 10,
        percent = 60
      },	  
	  {
        type = "electric",
        decrease = 5,
        percent = 40
      },	  
	  {
        type = "impact",
        decrease = 10,
        percent = 45
      },
    },
    durability = 50000,
    subgroup = "armor",
    order = "eeee",
    stack_size = 1,
    equipment_grid = "power-armor-mk5",
    inventory_size_bonus = 60
  }

})