data:extend({

	{
    type = "item",
    name = Prototypes["personal_roboport_equipment_3"]["names"].item,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/equipment/personal-roboport-equipment-3.png",
	placed_as_equipment_result = Prototypes["personal_roboport_equipment_3"]["names"].item,
    flags = {"goes-to-main-inventory"},
    subgroup = "equipment",
    order = "hc",
    stack_size = 5
    },
	
    {
    type = "roboport-equipment",
    name = Prototypes["personal_roboport_equipment_3"]["names"].item,
    take_result = Prototypes["personal_roboport_equipment_3"]["names"].item,
    sprite =
    {
      filename = "__AnonyMods__/graphics/equipment/personal-roboport-equipment-3.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "45MJ",
      input_flow_limit = "4500KW",
      usage_priority = "secondary-input"
    },
    charging_energy = "2000kW",
    energy_consumption = "40kW",

    robot_limit = 20,
    construction_radius = 25,
    spawn_and_station_height = 0.4,
    charge_approach_distance = 2.6,

    recharging_animation =
    {
      filename = "__base__/graphics/entity/roboport/roboport-recharging.png",
      priority = "high",
      width = 37,
      height = 35,
      frame_count = 16,
      scale = 1.5,
      animation_speed = 0.5
    },
    recharging_light = {intensity = 0.4, size = 5},
    stationing_offset = {0, -0.6},
    charging_station_shift = {0, 0.5},
    charging_station_count = 6,
    charging_distance = 1.6,
    charging_threshold_distance = 5,
    categories = {"armor"}
  }

})