require ("prototypes/items/modules/duplicating-limitations")

function productivitylimitation()
	
	local productivityitems = {
        "sulfuric-acid",
        "basic-oil-processing",
        "advanced-oil-processing",
        "coal-liquefaction",
        "heavy-oil-cracking",
        "light-oil-cracking",
        "solid-fuel-from-light-oil",
        "solid-fuel-from-heavy-oil",
        "solid-fuel-from-petroleum-gas",
        "lubricant",
        "wood",
        "iron-plate",
        "copper-plate",
        "steel-plate",
        "stone-brick",
        "sulfur",
        "plastic-bar",
        "empty-barrel",
        "uranium-processing",
        "copper-cable",
        "iron-stick",
        "iron-gear-wheel",
        "electronic-circuit",
        "advanced-circuit",
        "processing-unit",
        "engine-unit",
        "electric-engine-unit",
        "uranium-fuel-cell",
        "explosives",
        "battery",
        "flying-robot-frame",
        "low-density-structure",
        "rocket-fuel",
        "rocket-control-unit",
        "rocket-part",
        "science-pack-1",
        "science-pack-2",
        "science-pack-3",
        "military-science-pack",
        "production-science-pack",
        "high-tech-science-pack"
      }
	  
	local items = {
		"resistor",
		"transistor",
		"capacitor",
		"inductor",
		"solder",
		"tin_cable",
		"wooden_basic_circuit_board",
		"wooden_circuit_board",
		"semi_conductive_board",
		"metal_board",
		"electronic_arithmetic_circuit",
		"memory_storage_unit",
		"power_supply_unit",
		"basic_motherboard",
		"advanced_motherboard",
		"logic_motherboard",
		"nitric_acid",
		"glycerol",
		"tungstic_acid",
		"perchloric_acid",
		"ferric_chloride",
		"hydrochloric_acid",
		"sulfuric_acid_sulfur_dioxide",
		"solid_fuel_benzene",
		"iron_chloride_solution",
		"salt_water_electrolysis",
		"water_electrolysis",
		"basic_natural_gas_processing",
		"advanced_natural_gas_processing",
		"nitrogen",
		"sulfur_dioxide",
		"nitrogen_dioxide",
		"steel_gear_wheel",
		"steel_stick",
		"steel_bearing",
		"steel_ball",
		"titanium_gear_wheel",
		"titanium_stick",
		"titanium_bearing",
		"titanium_ball",
		"tungsten_gear_wheel",
		"tungsten_stick",
		"tungsten_bearing",
		"tungsten_ball",
		"iron_bearing",
		"iron_ball",
		"gas_cylinder",
		"canister",
		"diesel",
		"gasoline",
		"propanebutane_mixture",
		"car_parts",
		"engine_v2",
		"engine_v4",
		"engine_v6",
		"thermometer",
		"barometer",
		"carbon",
		"resin",
		"salt",
		"paper",
		"bleach",
		"aluminum_plate",
		"bronze_plate",
		"brass_plate",
		"cobalt_plate",
		"gold",
		"gold_plate",
		"invar_plate",
		"lead_plate",
		"mercury",
		"nickel_plate",
		"nitinol_plate",
		"silver_plate",
		"silver",
		"solder_plate",
		"tin_plate",
		"titanium_plate",
		"tungsten_plate",
		"zinc_plate",
		"aluminum_oxide",
		"calcium_hydroxide",
		"cobalt_chloride",
		"cobalt_oxide",
		"glass",
		"iron_chloride",
		"lime",
		"lithium_chloride",
		"phosphorus_white",
		"phosphorus_red",
		"phosphorus_black",
		"powdered_tungsten",
		"silicon_nitride",
		"sodium_perchlorate",
		"zinc_oxide",
		"calcium_chloride",
		"calcium_silicate",
		"magnesium_chloride",
		"magnesium_hydroxide",
		"tungsten_oxide",
		"calcium",
		"lithium",
		"magnesium",
		"silicon",
		"sodium",
		"pn_junction",
		"diode",
		"circuit_board",
		"multi_layer_board",
		"coal_cracking",
		"wood_coal",
		"solid_fuel_coal",
		"petroleum_gas_cracking",
		"flying_robot_frame_2",
		"flying_robot_frame_3",
		"flying_robot_frame_4",
		"flying_robot_frame_5",
		"cobalt_chloride_plate",
		"thermal_water_electrolysis",
		"turret_frame",
		"lithium_ion_battery",
		"silver_zinc_battery",
		"basic_module_board",
		"advanced_module_board",
		"processing_module_board",
		"logic_module_board",
		"salt_water",
		"benzene",
		"clay",
		"fertilizer",
		"filtration_medium",
		"liquid_nitrogen",
		"dirt_water",
		"cellulose",
		"algae_cellulose",
		"sugar",
		"alcohol",
		"explosives_toluene",
		"deep_water_electrolysis",
		"slime",
		"mud",
		"clay_mud",
		"mineral_water",
		"carbon_dioxide",
		"amonia_gas",
		"phosphoric_acid",
		"acylglycerol",
		"nitrogenous_base",
		"alien_dna",
		"carboxylic_acid",
		"protein",
		"hatching_enzymes",
		"alien_egg",

	}
	  
	for k, v in pairs ( items ) do
	
		if Prototypes[v]["enabled"] == true then
		
			table.insert( productivityitems, Prototypes[v]["names"].recipe )
		
			for i = 1, 5 do
			
				if Prototypes[v]["names"]["recipe_"..i] then
			
					table.insert( productivityitems, Prototypes[v]["names"]["recipe_"..i] )
				
				end
				
			end
		
		end
	
	end

	return productivityitems
	
end

function SetProductivityRecipes( module )

	if Config.GlobalProductivity == true then

		--[[local all_recipes = {}

		for k,v in pairs ( data.raw["recipe"] ) do
		
			table.insert( all_recipes, v.name )
		
		end--]]

		return nil
		
	else
	
		local products = {}
	
		--[[if limit == 1 then
		
			if Config.Enabled["duplicator"] == true then
			
				for k, v in pairs( GetDuplicatorRecipes( module ) ) do
				
					table.insert( products, k, v )
				
				end
			else
			
				for k, v in pairs( productivitylimitation() ) do
				
					table.insert( products, k, v )
				
				end
				
			end
		
		else
		
			for k, v in pairs( productivitylimitation() ) do
				
					table.insert( products, k, v )
				
			end
		
		end--]]
		
		if Config.Enabled["duplicator"] == true then
		
			for k, v in pairs( GetDuplicatorRecipes( module ) ) do
			
				table.insert( products, k, v )
			
			end
			
		end
		
		for k, v in pairs( productivitylimitation() ) do
		
			table.insert( products, k, v )
		
		end

		return products

	end

end

