
data.raw["recipe"]["electric-mining-drill"]["normal"].ingredients = CheckRecipe( Modifications["electric_mining_drill"].recipe )
data.raw["recipe"]["electric-mining-drill"]["expensive"].ingredients = CheckRecipe( Modifications["electric_mining_drill"].recipe )

data.raw["mining-drill"]["electric-mining-drill"].energy_source =
    {
      type = "electric",
      -- will produce this much * energy pollution units per tick
      emissions = 0.1,
      usage_priority = "secondary-input"
    }
data.raw["mining-drill"]["electric-mining-drill"].energy_usage = "65.0kW"
data.raw["mining-drill"]["electric-mining-drill"].mining_power = 2.5
data.raw["mining-drill"]["electric-mining-drill"].mining_speed = 0.35
data.raw["mining-drill"]["electric-mining-drill"].icon = "__AnonyMods__/graphics/icons/mining/electric-mining-drill.png"
data.raw["mining-drill"]["electric-mining-drill"].icon_size = 32
data.raw["item"]["electric-mining-drill"].icon = "__AnonyMods__/graphics/icons/mining/electric-mining-drill.png"
data.raw["item"]["electric-mining-drill"].icon_size = 32
data.raw["recipe"]["electric-mining-drill"].icon = "__AnonyMods__/graphics/icons/mining/electric-mining-drill.png"
data.raw["recipe"]["electric-mining-drill"].icon_size = 32

data.raw["item"]["electric-mining-drill"].subgroup = "extraction-machine"
data.raw["item"]["electric-mining-drill"].order = "ba"

data.raw["recipe"]["electric-mining-drill"]["normal"].enabled = ( not Research["electric_mining_drills_1"]["enabled"] )
data.raw["recipe"]["electric-mining-drill"]["expensive"].enabled = ( not Research["electric_mining_drills_1"]["enabled"] )

data.raw["mining-drill"]["electric-mining-drill"].module_specification =
    {
      module_slots = 1
    }
