
data.raw["ammo"]["piercing-rounds-magazine"].subgroup = "AnonyMods-Bullets"
data.raw["ammo"]["piercing-rounds-magazine"].order = "b"

data.raw["recipe"]["piercing-rounds-magazine"].ingredients = CheckRecipe( Modifications["piercing_rounds_magazine"].recipe )
data.raw["recipe"]["piercing-rounds-magazine"].energy_required = 8

data.raw["ammo"]["piercing-rounds-magazine"].ammo_type =
    {
      category = "bullet",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          source_effects =
          {
              type = "create-explosion",
              entity_name = "explosion-gunshot"
          },
          target_effects =
          {
            {
              type = "create-entity",
              entity_name = "explosion-hit"
            },
            {
              type = "damage",
              damage = { amount = 9.5 , type = "piercing"}
            }
          }
        }
      }
    }

if Research["armor_piercing_bullets"]["enabled"] == true then
	data.raw["recipe"]["piercing-rounds-magazine"].enabled = not Research["armor_piercing_bullets"]["enabled"]
	data.raw["technology"]["military-2"].effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "grenade"
		  }
		}
else
	data.raw["technology"]["military-2"].effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "piercing-rounds-magazine"
		  },
		  {
			type = "unlock-recipe",
			recipe = "grenade"
		  }
		}
end