data:extend({

	{
    type = "recipe",
    name = Prototypes["pump_1"]["names"].recipe,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/assembly-machines/pump-1.png",
    enabled = not Research["pumps_1"]["enabled"],
    energy_required = 1,
    ingredients = CheckRecipe( Prototypes["pump_1"].recipe ),
    results=
    {
      {"pump-1",1}
    },
    },
	--[[
	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_2_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-water-in.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="fluid", name="water", amount=25},
      {type="item", name="empty-barrel", amount=1}
	},
    results=
    {
      {type="item", name="water-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "a"
    },
	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_2_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-water-out.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="item", name="water-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="water", amount=25},
      {type="item", name="empty-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "aa"
    },
	
	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_3_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-light-oil-in.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="fluid", name="light-oil", amount=25},
      {type="item", name="empty-barrel", amount=1}
	},
    results=
    {
      {type="item", name="light-oil-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "c"
    },
	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_3_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-light-oil-out.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="item", name="light-oil-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="light-oil", amount=25},
      {type="item", name="empty-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "cc"
    },
	
	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_4_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-heavy-oil-in.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="fluid", name="heavy-oil", amount=25},
      {type="item", name="empty-barrel", amount=1}
	},
    results=
    {
      {type="item", name="heavy-oil-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "d"
    },
	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_4_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-heavy-oil-out.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="item", name="heavy-oil-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="heavy-oil", amount=25},
      {type="item", name="empty-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "dd"
    },	
	
	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_5_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-lubricant-in.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="fluid", name="lubricant", amount=25},
      {type="item", name="empty-barrel", amount=1}
	},
    results=
    {
      {type="item", name="lubricant-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "e"
    },
	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_5_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-lubricant-out.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="item", name="lubricant-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="lubricant", amount=25},
      {type="item", name="empty-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "ee"
    },	
	
	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_6_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-sulfuric-acid-in.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="fluid", name="sulfuric-acid", amount=25},
      {type="item", name="empty-barrel", amount=1}
	},
    results=
    {
      {type="item", name="sulfuric-acid-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "f"
    },
	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_6_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-sulfuric-acid-out.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="item", name="sulfuric-acid-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="sulfuric-acid", amount=25},
      {type="item", name="empty-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "ff"
    },

	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_7_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-ferric-chloride-in.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="fluid", name="ferric-chloride", amount=25},
      {type="item", name="empty-barrel", amount=1}
	},
    results=
    {
      {type="item", name="ferric-chloride-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "g"
    },
	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_7_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-ferric-chloride-out.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="item", name="ferric-chloride-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="ferric-chloride", amount=25},
      {type="item", name="empty-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "gg"
    },

	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_8_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-hydrochloric-acid-in.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="fluid", name="hydrochloric-acid", amount=25},
      {type="item", name="empty-barrel", amount=1}
	},
    results=
    {
      {type="item", name="hydrochloric-acid-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "h"
    },
	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_8_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-hydrochloric-acid-out.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="item", name="hydrochloric-acid-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="hydrochloric-acid", amount=25},
      {type="item", name="empty-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "hh"
    },

	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_9_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-perchloric-acid-in.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="fluid", name="perchloric-acid", amount=25},
      {type="item", name="empty-barrel", amount=1}
	},
    results=
    {
      {type="item", name="perchloric-acid-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "i"
    },
	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_9_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-perchloric-acid-out.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="item", name="perchloric-acid-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="perchloric-acid", amount=25},
      {type="item", name="empty-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "ii"
    },

	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_10_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-tungstic-acid-in.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="fluid", name="tungstic-acid", amount=25},
      {type="item", name="empty-barrel", amount=1}
	},
    results=
    {
      {type="item", name="tungstic-acid-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "j"
    },
	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_10_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-tungstic-acid-out.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="item", name="tungstic-acid-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="tungstic-acid", amount=25},
      {type="item", name="empty-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "jj"
    },

	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_11_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-nitric-acid-in.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="fluid", name="nitric-acid", amount=25},
      {type="item", name="empty-barrel", amount=1}
	},
    results=
    {
      {type="item", name="nitric-acid-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "k"
    },
	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_11_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-nitric-acid-out.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="item", name="nitric-acid-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="nitric-acid", amount=25},
      {type="item", name="empty-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "kk"
    },

	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_12_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-glycerol-in.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="fluid", name="glycerol", amount=25},
      {type="item", name="empty-barrel", amount=1}
	},
    results=
    {
      {type="item", name="glycerol-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "l"
    },
	{
    type = "recipe",
    name = Prototypes["pump"]["names"].recipe_12_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/pump-glycerol-out.png",
    enabled = true,
    energy_required = 1,
	category = "pump",
    ingredients = 
	{
	  {type="item", name="glycerol-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="glycerol", amount=25},
      {type="item", name="empty-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-Barreling",
    order = "ll"
    },--]]

})