
data:extend({
  
  	{
    type = "recipe",
    name = Prototypes["petroleum_gas_cracking"]["names"].recipe,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/petroleum-gas-cracking.png",
    enabled = not Research["advanced_natural_gas_processing_research"]["enabled"],
	category = "chemistry",
	crafting_machine_tint =
    {
      primary = {r = 0, g = 0.5, b = 0.6, a = 0.9},
      secondary = {r = 0, g = 0.25, b = 0.25, a = 0.6},
      tertiary = {r = 0, g = 0.25, b = 0.25, a = 0.1},
    },
    energy_required = 5,
    ingredients = CheckRecipe( Prototypes["petroleum_gas_cracking"].recipe ),
    results=
    {
      { type="fluid", name="propane", amount=10 },
      { type="fluid", name="butane", amount=5 },
    },
    subgroup = "AnonyMods-FluidsGases-Oil",
    order = "cccc"
    }
  
})
