
local crafting_machine_tint_color = {
			primary = {r = 0.708, g = 0.629, b = 0.810, a = 0.9},
			secondary = {r = 0.508, g = 0.429, b = 0.610, a = 0.8},
			tertiary = {r = 0.508, g = 0.429, b = 0.610, a = 0.9},
		}

data:extend({
  
  	{
		type = "recipe",
		name = Prototypes["metallurgy"]["names"].recipe_3.."-crushed",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/igneous-crushed.png",
		enabled = true,
		category = "metallurgy-crushing",
		energy_required = 1,
		crafting_machine_tint = crafting_machine_tint_color,
		ingredients = CheckRecipe( Prototypes["metallurgy"].recipe_3_1 ),
		results=
		{
			{"igneous-crushed",1},
		},
		main_product = "",
		subgroup = "AnonyMods-Resources-Metallurgy-1",
		order = "z"
    },  
	{
		type = "recipe",
		name = Prototypes["metallurgy"]["names"].recipe_3.."-chunk",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/igneous-chunk.png",
		enabled = true,
		category = "metallurgy-washing",
		energy_required = 1,
		crafting_machine_tint = crafting_machine_tint_color,
		ingredients = CheckRecipe( Prototypes["metallurgy"].recipe_3_2 ),
		results=
		{
			{"igneous-chunk",1},
			{type="fluid", name="dirt-water", amount=10},
		},
		main_product = "",
		subgroup = "AnonyMods-Resources-Metallurgy-2",
		order = "z"
    },  	
	{
		type = "recipe",
		name = Prototypes["metallurgy"]["names"].recipe_3.."-filtered",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/igneous-filtered.png",
		enabled = true,
		category = "metallurgy-leaching",
		energy_required = 1,
		crafting_machine_tint = crafting_machine_tint_color,
		ingredients = CheckRecipe( Prototypes["metallurgy"].recipe_3_3 ),
		results=
		{
			{"igneous-filtered",1},
			{type="fluid", name="sewage-chloric", amount=10},
		},
		main_product = "",
		subgroup = "AnonyMods-Resources-Metallurgy-3",
		order = "z"
    },	
	{
		type = "recipe",
		name = Prototypes["metallurgy"]["names"].recipe_3.."-purified",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/igneous-purified.png",
		enabled = true,
		category = "metallurgy-purifying",
		energy_required = 1,
		crafting_machine_tint = crafting_machine_tint_color,
		ingredients = CheckRecipe( Prototypes["metallurgy"].recipe_3_4 ),
		results=
		{
			{"igneous-purified",1},
			{type="fluid", name="carbon-dioxide", amount=10},
		},
		main_product = "",
		subgroup = "AnonyMods-Resources-Metallurgy-4",
		order = "z"
    }, 	
	{
		type = "recipe",
		name = Prototypes["metallurgy"]["names"].recipe_3.."-crystal",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/igneous-crystal.png",
		enabled = true,
		category = "metallurgy-crystalizing",
		energy_required = 1,
		crafting_machine_tint = crafting_machine_tint_color,
		ingredients = CheckRecipe( Prototypes["metallurgy"].recipe_3_5 ),
		results=
		{
			{"igneous-crystal",1},
		},
		main_product = "",
		subgroup = "AnonyMods-Resources-Metallurgy-5",
		order = "z"
    },  
  
})
