
local crafting_machine_tint_color = {
			primary = {r = 0.625, g = 0.855, b = 0.765, a = 0.9},
			secondary = {r = 0.425, g = 0.655, b = 0.565, a = 0.8},
			tertiary = {r = 0.425, g = 0.655, b = 0.565, a = 0.9},
		}

data:extend({
  
  	{
		type = "recipe",
		name = Prototypes["metallurgy"]["names"].recipe_2.."-crushed",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/metamorphic-crushed.png",
		enabled = true,
		category = "metallurgy-crushing",
		energy_required = 1,
		crafting_machine_tint = crafting_machine_tint_color,
		ingredients = CheckRecipe( Prototypes["metallurgy"].recipe_2_1 ),
		results=
		{
			{"metamorphic-crushed",1},
		},
		main_product = "",
		subgroup = "AnonyMods-Resources-Metallurgy-1",
		order = "y"
    },  
	{
		type = "recipe",
		name = Prototypes["metallurgy"]["names"].recipe_2.."-chunk",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/metamorphic-chunk.png",
		enabled = true,
		category = "metallurgy-washing",
		energy_required = 1,
		crafting_machine_tint = crafting_machine_tint_color,
		ingredients = CheckRecipe( Prototypes["metallurgy"].recipe_2_2 ),
		results=
		{
			{"metamorphic-chunk",1},
			{type="fluid", name="dirt-water", amount=10},
		},
		main_product = "",
		subgroup = "AnonyMods-Resources-Metallurgy-2",
		order = "y"
    },  	
	{
		type = "recipe",
		name = Prototypes["metallurgy"]["names"].recipe_2.."-filtered",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/metamorphic-filtered.png",
		enabled = true,
		category = "metallurgy-leaching",
		energy_required = 1,
		crafting_machine_tint = crafting_machine_tint_color,
		ingredients = CheckRecipe( Prototypes["metallurgy"].recipe_2_3 ),
		results=
		{
			{"metamorphic-filtered",1},
			{type="fluid", name="sewage-nitric", amount=10},
		},
		main_product = "",
		subgroup = "AnonyMods-Resources-Metallurgy-3",
		order = "y"
    },	
	{
		type = "recipe",
		name = Prototypes["metallurgy"]["names"].recipe_2.."-purified",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/metamorphic-purified.png",
		enabled = true,
		category = "metallurgy-purifying",
		energy_required = 1,
		crafting_machine_tint = crafting_machine_tint_color,
		ingredients = CheckRecipe( Prototypes["metallurgy"].recipe_2_4 ),
		results=
		{
			{"metamorphic-purified",1},
			{type="fluid", name="carbon-dioxide", amount=10},
		},
		main_product = "",
		subgroup = "AnonyMods-Resources-Metallurgy-4",
		order = "y"
    }, 	
	{
		type = "recipe",
		name = Prototypes["metallurgy"]["names"].recipe_2.."-crystal",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/metamorphic-crystal.png",
		enabled = true,
		category = "metallurgy-crystalizing",
		energy_required = 1,
		crafting_machine_tint = crafting_machine_tint_color,
		ingredients = CheckRecipe( Prototypes["metallurgy"].recipe_2_5 ),
		results=
		{
			{"metamorphic-crystal",1},
		},
		main_product = "",
		subgroup = "AnonyMods-Resources-Metallurgy-5",
		order = "y"
    },  
  
})
