data:extend({

	{
    type = "recipe",
    name = Prototypes["calcium_chloride"]["names"].recipe,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/solids/calcium-chloride.png",
    enabled = not Research["calcium_processing"]["enabled"],
	category = "chemistry",
	crafting_machine_tint =
    {
      primary = {r = 0.6, g = 0, b = 0.45, a = 0.75},
      secondary = {r = 0, g = 0.6, b = 0, a = 0.2},
      tertiary = {r = 0.9, g = 0, b = 0.1, a = 0.05},
    },
    energy_required = 4,
    ingredients = CheckRecipe( Prototypes["calcium_chloride"].recipe ),
    results=
    {
      {"calcium-chloride",1},
	  { type="fluid", name="water", amount=10 }
    },
	main_product = "calcium-chloride",
    subgroup = "AnonyMods-Resources-Chemistry",
    order = "c"
    }

})