data:extend({

	{
    type = "recipe",
    name = Prototypes["magnesium_hydroxide"]["names"].recipe,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/solids/magnesium-hydroxide.png",
    enabled = not Research["magnesium_processing"]["enabled"],
	category = "chemistry",
	crafting_machine_tint =
    {
      primary = {r = 0.85, g = 0.6, b = 0, a = 0.8},
      secondary = {r = 0.3, g = 0, b = 0.9, a = 0.25},
      tertiary = {r = 0.85, g = 0.6, b = 0, a = 0.5},
    },
    energy_required = 4,
    ingredients = CheckRecipe( Prototypes["magnesium_hydroxide"].recipe ),
    results=
    {
      {"magnesium-hydroxide",1},
      {"calcium-chloride",1}
    },
	main_product = "magnesium-hydroxide",
    subgroup = "AnonyMods-Resources-Chemistry",
    order = "m"
    }

})