
data:extend({

	{
		type = "technology",
		name = Research["advanced_material_processing_4"]["names"].technology,
		icon = "__base__/graphics/technology/advanced-material-processing.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "advanced_material_processing_4" } ),
		prerequisites = CheckResearchPrerequisites( { "advanced_material_processing_3", "advanced-electronics-2", "titanium_processing", "nitinol_processing", "cobalt_processing", "brass_processing" } ),
		unit =
		{
			count = 400,
			time = 40,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 4 }, 
				{ name = "science-pack-2", count = 3 }, 
				{ name = "science-pack-3", count = 2 }, 
				{ name = "production-science-pack", count = 1 }, 
				{ name = "high-tech-science-pack", count = 1 }, 
	
			}),
		},
		order = "a-m-p"
	}
	
})

