
data:extend({

	{
		type = "technology",
		name = Research["advanced_material_processing_5"]["names"].technology,
		icon = "__base__/graphics/technology/advanced-material-processing.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "advanced_material_processing_5" } ),
		prerequisites = CheckResearchPrerequisites( { "advanced_material_processing_4", "expert_electronics", "nitinol_processing", "silver_processing", "gold_processing", "bronze_processing", "nitrogen_processing", } ),
		unit =
		{
			count = 500,
			time = 50,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 5 }, 
				{ name = "science-pack-2", count = 4 }, 
				{ name = "science-pack-3", count = 3 }, 
				{ name = "production-science-pack", count = 2 }, 
				{ name = "high-tech-science-pack", count = 1 }, 
				{ name = "military-science-pack", count = 2 }, 
				 
	
			}),
		},
		order = "a-m-p"
	}
	
})

