
data.raw["technology"]["energy-shield-equipment"].upgrade = true
data.raw["technology"]["energy-shield-mk2-equipment"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["energy_shield_equipment_3"]["names"].technology,
		icon = "__AnonyMods__/graphics/technology/energy-shield-equipment-3.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "energy_shield_equipment_3" } ),
		prerequisites = CheckResearchPrerequisites( { "energy-shield-mk2-equipment", } ),
		unit =
		{
			count = 300,
			time = 45,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 2 }, 
				{ name = "science-pack-2", count = 1 }, 
				{ name = "science-pack-3", count = 1 },
				{ name = "military-science-pack", count = 1 },
				{ name = "production-science-pack", count = 1 },
				 
	
			}),
		},
		order = "e-s-e"
	}
	
})

