
data.raw["technology"]["exoskeleton-equipment"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["exoskeleton_equipment_4"]["names"].technology,
		icon = "__base__/graphics/technology/exoskeleton-equipment.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "exoskeleton_equipment_4" } ),
		prerequisites = CheckResearchPrerequisites( { "exoskeleton_equipment_3", } ),
		unit =
		{
			count = 450,
			time = 90,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 4 }, 
				{ name = "science-pack-2", count = 3 }, 
				{ name = "science-pack-3", count = 2 },
				{ name = "military-science-pack", count = 1 },
				{ name = "production-science-pack", count = 1 },
				{ name = "high-tech-science-pack", count = 1 },
				 
	
			}),
		},
		order = "e-e"
	}
	
})

