
data.raw["technology"]["fusion-reactor-equipment"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["fusion_reactor_equipment_2"]["names"].technology,
		icon = "__base__/graphics/technology/fusion-reactor-equipment.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "fusion_reactor_equipment_2" } ),
		prerequisites = CheckResearchPrerequisites( { "fusion-reactor-equipment", } ),
		unit =
		{
			count = 300,
			time = 45,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 2 }, 
				{ name = "science-pack-2", count = 2 }, 
				{ name = "science-pack-3", count = 2 }, 
				{ name = "military-science-pack", count = 1 }, 
				{ name = "production-science-pack", count = 1 }, 
				 
	
			}),
		},
		order = "f-r-e"
	}
	
})

