
data.raw["technology"]["fusion-reactor-equipment"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["fusion_reactor_equipment_4"]["names"].technology,
		icon = "__base__/graphics/technology/fusion-reactor-equipment.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "fusion_reactor_equipment_4" } ),
		prerequisites = CheckResearchPrerequisites( { "fusion_reactor_equipment_3", } ),
		unit =
		{
			count = 500,
			time = 85,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 6 }, 
				{ name = "science-pack-2", count = 6 }, 
				{ name = "science-pack-3", count = 6 }, 
				{ name = "military-science-pack", count = 4 }, 
				{ name = "production-science-pack", count = 3 }, 
				{ name = "high-tech-science-pack", count = 2 }, 
				{ name = "space-science-pack", count = 1 }, 
				 
	
			}),
		},
		order = "f-r-e"
	}
	
})

