
data:extend({

	{
		type = "technology",
		name = Research["laser_gun_damage_6"]["names"].technology,
		icon = "__AnonyMods__/graphics/technology/laser-gun-damage.png",
		icon_size = 128,
		upgrade = true,
		max_level = "infinite",
		effects = {
			{
				type = "ammo-damage",
				ammo_category = "laser-ammo",
				modifier = "0.7"
			},
        },
		prerequisites = CheckResearchPrerequisites( { "laser_gun_damage_5", } ),
		unit =
		{
			time = 60,
			count_formula = "2^(L-7)*1000",
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 1 }, 
				{ name = "science-pack-2", count = 1 }, 
				{ name = "science-pack-3", count = 1 },
				{ name = "military-science-pack", count = 1 },
				{ name = "production-science-pack", count = 1 }, 
				{ name = "high-tech-science-pack", count = 1 }, 
				{ name = "space-science-pack", count = 1 }, 
				 
	
			}),
		},
		order = "l-g-d"
	}
	
})

