
data:extend({

	{
		type = "technology",
		name = Research["laser_gun_speed_4"]["names"].technology,
		icon = "__AnonyMods__/graphics/technology/laser-gun-speed.png",
		icon_size = 128,
		upgrade = true,
		effects = {
			{
				type = "gun-speed",
				ammo_category = "laser-ammo",
				modifier = "0.4"
			},
        },
		prerequisites = CheckResearchPrerequisites( { "laser_gun_speed_3", } ),
		unit =
		{
			count = 500,
			time = 45,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 1 }, 
				{ name = "science-pack-2", count = 1 }, 
				{ name = "science-pack-3", count = 1 }, 
				{ name = "production-science-pack", count = 1 },
				{ name = "military-science-pack", count = 1 }, 				
	
			}),
		},
		order = "l-g-s"
	}
	
})

