data.raw["technology"]["laser-turrets"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["laser_turrets_4"]["names"].technology,
		icon = "__base__/graphics/technology/laser-turrets.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "laser_turrets_4" } ),
		prerequisites = CheckResearchPrerequisites( { "laser_turrets_3", "titanium_processing", "invar_processing", } ),
		unit =
		{
			count = 400,
			time = 60,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 4 }, 
				{ name = "science-pack-2", count = 3 }, 
				{ name = "science-pack-3", count = 2 },
				{ name = "military-science-pack", count = 1 },
				{ name = "production-science-pack", count = 1 },
				 
	
			}),
		},
		order = "l-t"
	}
	
})

