data.raw["technology"]["laser-turrets"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["laser_turrets_5"]["names"].technology,
		icon = "__base__/graphics/technology/laser-turrets.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "laser_turrets_5" } ),
		prerequisites = CheckResearchPrerequisites( { "laser_turrets_4", "nitinol_processing", "gold_processing", "silver_processing", } ),
		unit =
		{
			count = 500,
			time = 75,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 5 }, 
				{ name = "science-pack-2", count = 4 }, 
				{ name = "science-pack-3", count = 3 },
				{ name = "military-science-pack", count = 2 },
				{ name = "production-science-pack", count = 1 },
				{ name = "high-tech-science-pack", count = 1 },
				 
	
			}),
		},
		order = "l-t"
	}
	
})

