
data:extend({

	{
		type = "technology",
		name = Research["lithium_ion_battery"]["names"].technology,
		icon = "__AnonyMods__/graphics/technology/lithium-ion-battery.png",
		icon_size = 128,
		effects = CheckResearchUnlock( { "lithium_ion_battery" } ),
		prerequisites = CheckResearchPrerequisites( { "battery", "lithium_processing", "phosphorus_processing", "cobalt_processing", } ),
		unit =
		{
			count = 150,
			time = 30,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 3 }, 
				{ name = "science-pack-2", count = 2 }, 
				{ name = "science-pack-3", count = 1 }, 
	
			}),
		},
		order = "l-i-b"
	}
	
})

