
data.raw["technology"]["logistic-robotics"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["logistic_robotics_3"]["names"].technology,
		icon = "__base__/graphics/technology/logistic-robotics.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "logistic_robotics_3" } ),
		prerequisites = CheckResearchPrerequisites( { "logistic_robotics_2", "robotics_3" } ),
		unit =
		{
			count = 300,
			time = 60,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 1 },
				{ name = "science-pack-2", count = 1 }, 
				{ name = "science-pack-3", count = 1 },
				{ name = "production-science-pack", count = 1 },				
	
			}),
		},
		order = "l-r"
	}
	
})

