
data.raw["technology"]["logistic-robotics"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["logistic_robotics_5"]["names"].technology,
		icon = "__base__/graphics/technology/logistic-robotics.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "logistic_robotics_5" } ),
		prerequisites = CheckResearchPrerequisites( { "logistic_robotics_4", "robotics_5" } ),
		unit =
		{
			count = 500,
			time = 85,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 3 }, 
				{ name = "science-pack-2", count = 2 }, 
				{ name = "science-pack-3", count = 1 },
				{ name = "production-science-pack", count = 1 },
				{ name = "high-tech-science-pack", count = 1 },				
				{ name = "military-science-pack", count = 1 },
				 
	
			}),
		},
		order = "l-r"
	}
	
})

