
data.raw["technology"]["battery-mk2-equipment"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["personal_laser_defense_equipment_3"]["names"].technology,
		icon = "__base__/graphics/technology/personal-laser-defense-equipment.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "personal_laser_defense_equipment_3" } ),
		prerequisites = CheckResearchPrerequisites( { "personal_laser_defense_equipment_2", } ),
		unit =
		{
			count = 150,
			time = 90,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 3 }, 
				{ name = "science-pack-2", count = 2 }, 
				{ name = "science-pack-3", count = 1 },
				{ name = "military-science-pack", count = 1 },
				{ name = "production-science-pack", count = 1 },
				 
	
			}),
		},
		order = "l-b-e"
	}
	
})

