
data.raw["technology"]["robotics"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["robotics_3"]["names"].technology,
		icon = "__base__/graphics/technology/robotics.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "robotics_3" } ),
		prerequisites = CheckResearchPrerequisites( { "robotics_2", "logistic_robotics_2", "construction_robotics_2"  } ),
		unit =
		{
			count = 400,
			time = 50,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 3 }, 
				{ name = "science-pack-2", count = 2 },  
				{ name = "science-pack-3", count = 1 }, 
				{ name = "production-science-pack", count = 1 },  
	
			}),
		},
		order = "r"
	}
	
})

