
data.raw["technology"]["robotics"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["robotics_4"]["names"].technology,
		icon = "__base__/graphics/technology/robotics.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "robotics_4" } ),
		prerequisites = CheckResearchPrerequisites( { "robotics_3", "logistic_robotics_3", "construction_robotics_3"  } ),
		unit =
		{
			count = 600,
			time = 60,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 4 }, 
				{ name = "science-pack-2", count = 3 },
				{ name = "science-pack-3", count = 2 },
				{ name = "production-science-pack", count = 2 },
				{ name = "high-tech-science-pack", count = 1 },
				 				
	
			}),
		},
		order = "r"
	}
	
})

