
data.raw["technology"]["robotics"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["robotics_5"]["names"].technology,
		icon = "__base__/graphics/technology/robotics.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "robotics_5" } ),
		prerequisites = CheckResearchPrerequisites( { "robotics_4", "logistic_robotics_4", "construction_robotics_4"  } ),
		unit =
		{
			count = 800,
			time = 70,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 6 }, 
				{ name = "science-pack-2", count = 4 },  
				{ name = "science-pack-3", count = 3 },
				{ name = "production-science-pack", count = 3 },
				{ name = "high-tech-science-pack", count = 2 },				
				{ name = "military-science-pack", count = 1 },				
				  
	
			}),
		},
		order = "r"
	}
	
})

