require ("prototypes/technology/turret-damage-shared")

data:extend({

	{
		type = "technology",
		name = Research["sniper_turret_damage_7"]["names"].technology,
		icon = "__AnonyMods__/graphics/technology/sniper-turret-damage.png",
		icon_size = 128,
		upgrade = true,
		max_level = "infinite",
		effects = TurretDamageEffects( { "sniper_turret_1", "sniper_turret_2", "sniper_turret_3", "sniper_turret_4", "sniper_turret_5", }, 0.7  ),
		prerequisites = CheckResearchPrerequisites( { "sniper_turret_damage_6", } ),
		unit =
		{
			count_formula = "2^(L-7)*1000",
			time = 60,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 1 }, 
				{ name = "science-pack-2", count = 1 }, 
				{ name = "science-pack-3", count = 1 }, 
				{ name = "military-science-pack", count = 1 }, 
				{ name = "production-science-pack", count = 1 }, 
				{ name = "high-tech-science-pack", count = 1 },  
				{ name = "space-science-pack", count = 1 },  
	
			}),
		},
		order = "s-t-d"
	}
	
})

