
function TurretDamageEffects( turretTable, turretModifier )

	turrets = {}

	for k, v in pairs( turretTable ) do
	
		if Prototypes[v] == nil then
		
			table.insert( turrets, 	{
			  type = "turret-attack",
			  turret_id = v,
			  modifier = turretModifier,
			} )
		
		elseif Prototypes[v].enabled == true then
		
				table.insert( turrets, 	{
				  type = "turret-attack",
				  turret_id = Prototypes[v]["names"].entity,
				  modifier = turretModifier,
				} )
		
		end
	
	end
	
	return turrets

end

