data.raw["technology"]["turrets"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["turrets_5"]["names"].technology,
		icon = "__base__/graphics/technology/turrets.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "turrets_5" } ),
		prerequisites = CheckResearchPrerequisites( { "turrets_4", "nitinol_processing", "aluminum_processing", "cobalt_processing", "gold_processing", "silver_processing", } ),
		unit =
		{
			count = 300,
			time = 50,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 4 }, 
				{ name = "science-pack-2", count = 3 }, 
				{ name = "science-pack-3", count = 2 },
				{ name = "military-science-pack", count = 1 },
				{ name = "production-science-pack", count = 1 },
				{ name = "high-tech-science-pack", count = 1 },
				 
	
			}),
		},
		order = "t"
	}
	
})

