
function PlaceElectricOffshorePump ( event )

	local ent = event.created_entity

	if not ent.valid then return end
	
	if ent.name == "dummy-electric-offshore-pump" then
	
		local offset = 
		{
			direction_0 = { x = 0, y = -0.5 },
			direction_2 = { x = 0.5, y = 0 },
			direction_4 = { x = 0, y = 0.5 },
			direction_6 = { x = -0.5, y = 0 },
		}

		DebugPrint( "Dummy electric offshore pump placed" )
	
		local X = ent.position.x
		local Y = ent.position.y
		local dir = ent.direction
		local pump = ent.surface.create_entity{ name = "electric-offshore-pump", position = { X + offset["direction_"..dir].x, Y + offset["direction_"..dir].y }, force = game.forces.player, direction = ent.direction }

		--pump.direction = ent.direction
		--pump.recipe = "electric-offshore-pumping"
		pump.rotatable = false
		
		ent.destroy()
		
		DebugPrint( "Dummy electric offshore pump replaced" )
	
	end


end

AddEventFunction( "on_built_entity", PlaceElectricOffshorePump )
AddEventFunction( "on_robot_built_entity", PlaceElectricOffshorePump )

--script.on_event( defines.events.on_built_entity, PlaceElectricOffshorePump )
--script.on_event( defines.events.on_robot_built_entity, PlaceElectricOffshorePump )
