
function SetTile ( name )
	
	local tiles = {
		grass = {
		"grass-1",
		"grass-2",
		"grass-3",
		"grass-4",
		},
		dirt = {
		"dry-dirt",
		"dirt-1",
		"dirt-2",
		"dirt-3",
		"dirt-4",
		"dirt-5",
		"dirt-6",
		"dirt-7",
		},
		sand = {
		"sand-1",
		"sand-2",
		"sand-3",
		},
		desert = {
		"red-desert-0",
		"red-desert-1",
		"red-desert-2",
		"red-desert-3",
		},
	}
	
	for k, v in pairs ( tiles ) do
	
		for i, tile in pairs ( v ) do
		
			if tile == name then return k end
		
		end
	
	end
	
	return "grass"
	
end

function CheckTile ( tile )

	local valid = { 
	
	"grass-1",
	"grass-2",
	"grass-3",
	"grass-4",
	"dry-dirt",
	"dirt-1",
	"dirt-2",
	"dirt-3",
	"dirt-4",
	"dirt-5",
	"dirt-6",
	"dirt-7",
	"sand-1",
	"sand-2",
	"sand-3",
	"red-desert-0",
	"red-desert-1",
	"red-desert-2",
	"red-desert-3",
	
	}
	
	for k, v in pairs( valid ) do
	
		if v == tile then
		
			return true
		
		end
	
	end

	return false
	
end


function PlaceDigger ( event )

	local ent = event.created_entity
	
	if not ent.valid then return end
	
	if ent.name == "ground-digger" then

		DebugPrint( ent.surface.get_tile( ent.position.x, ent.position.y ).name )		
	
		if CheckTile( ent.surface.get_tile( ent.position.x, ent.position.y ).name ) == true then
	
			ent.set_recipe( SetTile( ent.surface.get_tile( ent.position.x, ent.position.y ).name ) )
		
		end
	
	end


end

AddEventFunction( "on_built_entity", PlaceDigger )
AddEventFunction( "on_robot_built_entity", PlaceDigger )

--script.on_event( defines.events.on_built_entity, PlaceDigger )
--script.on_event( defines.events.on_robot_built_entity, PlaceDigger )
