
local InserterButtons = {
	
	CloseButton = 
	{
		name = "CloseButton", 
		output = function ( event )
		
			local ply = game.players[event.player_index]
			RemoveInserterGui( ply, "center", "inserter-adjustment" )
		
		end,
	},
}
	
local InserterCheckboxes = {

	OffsetCheckbox = 
	{
		name = "OffsetCheckbox",
		frame_table = "Offset",
		flow = "OffsetFlow",
		output = function ( event ) end,
	},
	--------------------------------------------------------
	PickLeftLeftLeftTopTopTopCheckbox = 
	{
		name = "PickLeftLeftLeftTopTopTopCheckbox",
		frame_table = "Pick",
		flow = "LeftLeftLeft",
		position = { x = -3, y = -3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftLeftLeftTopTopTopCheckbox" )
		
		end,
	},
	PickLeftLeftLeftTopTopCheckbox = 
	{
		name = "PickLeftLeftLeftTopTopCheckbox",
		frame_table = "Pick",
		flow = "LeftLeftLeft",
		position = { x = -3, y = -2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftLeftLeftTopTopCheckbox" )
		
		end,
	},
	PickLeftLeftLeftTopCheckbox = 
	{
		name = "PickLeftLeftLeftTopCheckbox",
		frame_table = "Pick",
		flow = "LeftLeftLeft",
		position = { x = -3, y = -1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftLeftLeftTopCheckbox" )
		
		end,
	},
	PickLeftLeftLeftMiddleCheckbox = 
	{
		name = "PickLeftLeftLeftMiddleCheckbox",
		frame_table = "Pick",
		flow = "LeftLeftLeft",
		position = { x = -3, y = 0 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftLeftLeftMiddleCheckbox" )
		
		end,
	},
	PickLeftLeftLeftBottomCheckbox = 
	{
		name = "PickLeftLeftLeftBottomCheckbox",
		frame_table = "Pick",
		flow = "LeftLeftLeft",
		position = { x = -3, y = 1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftLeftLeftBottomCheckbox" )
		
		end,
	},
	PickLeftLeftLeftBottomBottomCheckbox = 
	{
		name = "PickLeftLeftLeftBottomBottomCheckbox",
		frame_table = "Pick",
		flow = "LeftLeftLeft",
		position = { x = -3, y = 2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftLeftLeftBottomBottomCheckbox" )
		
		end,
	},
	PickLeftLeftLeftBottomBottomBottomCheckbox = 
	{
		name = "PickLeftLeftLeftBottomBottomBottomCheckbox",
		frame_table = "Pick",
		flow = "LeftLeftLeft",
		position = { x = -3, y = 3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftLeftLeftBottomBottomBottomCheckbox" )
		
		end,
	},
	--------------------------------
	PickLeftLeftTopTopTopCheckbox = 
	{
		name = "PickLeftLeftTopTopTopCheckbox",
		frame_table = "Pick",
		flow = "LeftLeft",
		position = { x = -2, y = -3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftLeftTopTopTopCheckbox" )
		
		end,
	},
	PickLeftLeftTopTopCheckbox = 
	{
		name = "PickLeftLeftTopTopCheckbox",
		frame_table = "Pick",
		flow = "LeftLeft",
		position = { x = -2, y = -2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftLeftTopTopCheckbox" )
		
		end,
	},
	PickLeftLeftTopCheckbox = 
	{
		name = "PickLeftLeftTopCheckbox",
		frame_table = "Pick",
		flow = "LeftLeft",
		position = { x = -2, y = -1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftLeftTopCheckbox" )
		
		end,
	},
	PickLeftLeftMiddleCheckbox = 
	{
		name = "PickLeftLeftMiddleCheckbox",
		frame_table = "Pick",
		flow = "LeftLeft",
		position = { x = -2, y = 0 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftLeftMiddleCheckbox" )
		
		end,
	},
	PickLeftLeftBottomCheckbox = 
	{
		name = "PickLeftLeftBottomCheckbox",
		frame_table = "Pick",
		flow = "LeftLeft",
		position = { x = -2, y = 1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftLeftBottomCheckbox" )
		
		end,
	},
	PickLeftLeftBottomBottomCheckbox = 
	{
		name = "PickLeftLeftBottomBottomCheckbox",
		frame_table = "Pick",
		flow = "LeftLeft",
		position = { x = -2, y = 2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftLeftBottomBottomCheckbox" )
		
		end,
	},
	PickLeftLeftBottomBottomBottomCheckbox = 
	{
		name = "PickLeftLeftBottomBottomBottomCheckbox",
		frame_table = "Pick",
		flow = "LeftLeft",
		position = { x = -2, y = 3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftLeftBottomBottomBottomCheckbox" )
		
		end,
	},
	--------------------------------
	PickLeftTopTopTopCheckbox = 
	{
		name = "PickLeftTopTopTopCheckbox",
		frame_table = "Pick",
		flow = "Left",
		position = { x = -1, y = -3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftTopTopTopCheckbox" )
		
		end,
	},
	PickLeftTopTopCheckbox = 
	{
		name = "PickLeftTopTopCheckbox",
		frame_table = "Pick",
		flow = "Left",
		position = { x = -1, y = -2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftTopTopCheckbox" )
		
		end,
	},
	PickLeftTopCheckbox = 
	{
		name = "PickLeftTopCheckbox",
		frame_table = "Pick",
		flow = "Left",
		position = { x = -1, y = -1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftTopCheckbox" )
		
		end,
	},
	PickLeftMiddleCheckbox = 
	{
		name = "PickLeftMiddleCheckbox",
		frame_table = "Pick",
		flow = "Left",
		position = { x = -1, y = 0 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftMiddleCheckbox" )
		
		end,
	},
	PickLeftBottomCheckbox = 
	{
		name = "PickLeftBottomCheckbox",
		frame_table = "Pick",
		flow = "Left",
		position = { x = -1, y = 1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftBottomCheckbox" )
		
		end,
	},
	PickLeftBottomBottomCheckbox = 
	{
		name = "PickLeftBottomBottomCheckbox",
		frame_table = "Pick",
		flow = "Left",
		position = { x = -1, y = 2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftBottomBottomCheckbox" )
		
		end,
	},
	PickLeftBottomBottomBottomCheckbox = 
	{
		name = "PickLeftBottomBottomBottomCheckbox",
		frame_table = "Pick",
		flow = "Left",
		position = { x = -1, y = 3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickLeftBottomBottomBottomCheckbox" )
		
		end,
	},
	--------------------------------
	PickMiddleTopTopTopCheckbox = 
	{
		name = "PickMiddleTopTopTopCheckbox",
		frame_table = "Pick",
		flow = "Middle",
		position = { x = 0, y = -3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickMiddleTopTopTopCheckbox" )
		
		end,
	},
	PickMiddleTopTopCheckbox = 
	{
		name = "PickMiddleTopTopCheckbox",
		frame_table = "Pick",
		flow = "Middle",
		position = { x = 0, y = -2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickMiddleTopTopCheckbox" )
		
		end,
	},
	PickMiddleTopCheckbox = 
	{
		name = "PickMiddleTopCheckbox",
		frame_table = "Pick",
		flow = "Middle",
		position = { x = 0, y = -1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickMiddleTopCheckbox" )
		
		end,
	},
	PickMiddleMiddleCheckbox = 
	{
		name = "PickMiddleMiddleCheckbox",
		frame_table = "Pick",
		flow = "Middle",
	},
	PickMiddleBottomCheckbox = 
	{
		name = "PickMiddleBottomCheckbox",
		frame_table = "Pick",
		flow = "Middle",
		position = { x = 0, y = 1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickMiddleBottomCheckbox" )
		
		end,
	},
	PickMiddleBottomBottomCheckbox = 
	{
		name = "PickMiddleBottomBottomCheckbox",
		frame_table = "Pick",
		flow = "Middle",
		position = { x = 0, y = 2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickMiddleBottomBottomCheckbox" )
		
		end,
	},
	PickMiddleBottomBottomBottomCheckbox = 
	{
		name = "PickMiddleBottomBottomBottomCheckbox",
		frame_table = "Pick",
		flow = "Middle",
		position = { x = 0, y = 3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickMiddleBottomBottomBottomCheckbox" )
		
		end,
	},
	--------------------------------
	PickRightTopTopTopCheckbox = 
	{
		name = "PickRightTopTopTopCheckbox",
		frame_table = "Pick",
		flow = "Right",
		position = { x = 1, y = -3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightTopTopTopCheckbox" )
		
		end,
	},
	PickRightTopTopCheckbox = 
	{
		name = "PickRightTopTopCheckbox",
		frame_table = "Pick",
		flow = "Right",
		position = { x = 1, y = -2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightTopTopCheckbox" )
		
		end,
	},
	PickRightTopCheckbox = 
	{
		name = "PickRightTopCheckbox",
		frame_table = "Pick",
		flow = "Right",
		position = { x = 1, y = -1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightTopCheckbox" )
		
		end,
	},
	PickRightMiddleCheckbox = 
	{
		name = "PickRightMiddleCheckbox",
		frame_table = "Pick",
		flow = "Right",
		position = { x = 1, y = 0 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightMiddleCheckbox" )
		
		end,
	},
	PickRightBottomCheckbox = 
	{
		name = "PickRightBottomCheckbox",
		frame_table = "Pick",
		flow = "Right",
		position = { x = 1, y = 1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightBottomCheckbox" )
		
		end,
	},
	PickRightBottomBottomCheckbox = 
	{
		name = "PickRightBottomBottomCheckbox",
		frame_table = "Pick",
		flow = "Right",
		position = { x = 1, y = 2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightBottomBottomCheckbox" )
		
		end,
	},
	PickRightBottomBottomBottomCheckbox = 
	{
		name = "PickRightBottomBottomBottomCheckbox",
		frame_table = "Pick",
		flow = "Right",
		position = { x = 1, y = 3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightBottomBottomBottomCheckbox" )
		
		end,
	},
	--------------------------------
	PickRightRightTopTopTopCheckbox = 
	{
		name = "PickRightRightTopTopTopCheckbox",
		frame_table = "Pick",
		flow = "RightRight",
		position = { x = 2, y = -3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightRightTopTopTopCheckbox" )
		
		end,
	},
	PickRightRightTopTopCheckbox = 
	{
		name = "PickRightRightTopTopCheckbox",
		frame_table = "Pick",
		flow = "RightRight",
		position = { x = 2, y = -2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightRightTopTopCheckbox" )
		
		end,
	},
	PickRightRightTopCheckbox = 
	{
		name = "PickRightRightTopCheckbox",
		frame_table = "Pick",
		flow = "RightRight",
		position = { x = 2, y = -1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightRightTopCheckbox" )
		
		end,
	},
	PickRightRightMiddleCheckbox = 
	{
		name = "PickRightRightMiddleCheckbox",
		frame_table = "Pick",
		flow = "RightRight",
		position = { x = 2, y = 0 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightRightMiddleCheckbox" )
		
		end,
	},
	PickRightRightBottomCheckbox = 
	{
		name = "PickRightRightBottomCheckbox",
		frame_table = "Pick",
		flow = "RightRight",
		position = { x = 2, y = 1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightRightBottomCheckbox" )
		
		end,
	},
	PickRightRightBottomBottomCheckbox = 
	{
		name = "PickRightRightBottomBottomCheckbox",
		frame_table = "Pick",
		flow = "RightRight",
		position = { x = 2, y = 2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightRightBottomBottomCheckbox" )
		
		end,
	},
	PickRightRightBottomBottomBottomCheckbox = 
	{
		name = "PickRightRightBottomBottomBottomCheckbox",
		frame_table = "Pick",
		flow = "RightRight",
		position = { x = 2, y = 3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightRightBottomBottomBottomCheckbox" )
		
		end,
	},
	--------------------------------
	PickRightRightRightTopTopTopCheckbox = 
	{
		name = "PickRightRightRightTopTopTopCheckbox",
		frame_table = "Pick",
		flow = "RightRightRight",
		position = { x = 3, y = -3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightRightRightTopTopTopCheckbox" )
		
		end,
	},
	PickRightRightRightTopTopCheckbox = 
	{
		name = "PickRightRightRightTopTopCheckbox",
		frame_table = "Pick",
		flow = "RightRightRight",
		position = { x = 3, y = -2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightRightRightTopTopCheckbox" )
		
		end,
	},
	PickRightRightRightTopCheckbox = 
	{
		name = "PickRightRightRightTopCheckbox",
		frame_table = "Pick",
		flow = "RightRightRight",
		position = { x = 3, y = -1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightRightRightTopCheckbox" )
		
		end,
	},
	PickRightRightRightMiddleCheckbox = 
	{
		name = "PickRightRightRightMiddleCheckbox",
		frame_table = "Pick",
		flow = "RightRightRight",
		position = { x = 3, y = 0 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightRightRightMiddleCheckbox" )
		
		end,
	},
	PickRightRightRightBottomCheckbox = 
	{
		name = "PickRightRightRightBottomCheckbox",
		frame_table = "Pick",
		flow = "RightRightRight",
		position = { x = 3, y = 1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightRightRightBottomCheckbox" )
		
		end,
	},
	PickRightRightRightBottomBottomCheckbox = 
	{
		name = "PickRightRightRightBottomBottomCheckbox",
		frame_table = "Pick",
		flow = "RightRightRight",
		position = { x = 3, y = 2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightRightRightBottomBottomCheckbox" )
		
		end,
	},
	PickRightRightRightBottomBottomBottomCheckbox = 
	{
		name = "PickRightRightRightBottomBottomBottomCheckbox",
		frame_table = "Pick",
		flow = "RightRightRight",
		position = { x = 3, y = 3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterPickChange ( ply, event.player_index, "PickRightRightRightBottomBottomBottomCheckbox" )
		
		end,
	},
	----------------------------------------------------------------------------
	DropLeftLeftLeftTopTopTopCheckbox = 
	{
		name = "DropLeftLeftLeftTopTopTopCheckbox",
		frame_table = "Drop",
		flow = "LeftLeftLeft",
		position = { x = -3.2, y = -3.2 },
		offset_position = { x = -3, y = -3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftLeftLeftTopTopTopCheckbox" )
		
		end,
	},
	DropLeftLeftLeftTopTopCheckbox = 
	{
		name = "DropLeftLeftLeftTopTopCheckbox",
		frame_table = "Drop",
		flow = "LeftLeftLeft",
		position = { x = -3.2, y = -2.2 },
		offset_position = { x = -3, y = -2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftLeftLeftTopTopCheckbox" )
		
		end,
	},
	DropLeftLeftLeftTopCheckbox = 
	{
		name = "DropLeftLeftLeftTopCheckbox",
		frame_table = "Drop",
		flow = "LeftLeftLeft",
		position = { x = -3.2, y = -1.2 },
		offset_position = { x = -3, y = -1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftLeftLeftTopCheckbox" )
		
		end,
	},
	DropLeftLeftLeftMiddleCheckbox = 
	{
		name = "DropLeftLeftLeftMiddleCheckbox",
		frame_table = "Drop",
		flow = "LeftLeftLeft",
		position = { x = -3.2, y = 0 },
		offset_position = { x = -3, y = 0 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftLeftLeftMiddleCheckbox" )
		
		end,
	},
	DropLeftLeftLeftBottomCheckbox = 
	{
		name = "DropLeftLeftLeftBottomCheckbox",
		frame_table = "Drop",
		flow = "LeftLeftLeft",
		position = { x = -3.2, y = 1.2 },
		offset_position = { x = -3, y = 1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftLeftLeftBottomCheckbox" )
		
		end,
	},
	DropLeftLeftLeftBottomBottomCheckbox = 
	{
		name = "DropLeftLeftLeftBottomBottomCheckbox",
		frame_table = "Drop",
		flow = "LeftLeftLeft",
		position = { x = -3.2, y = 2.2 },
		offset_position = { x = -3, y = 2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftLeftLeftBottomBottomCheckbox" )
		
		end,
	},
	DropLeftLeftLeftBottomBottomBottomCheckbox = 
	{
		name = "DropLeftLeftLeftBottomBottomBottomCheckbox",
		frame_table = "Drop",
		flow = "LeftLeftLeft",
		position = { x = -3.2, y = 3.2 },
		offset_position = { x = -3, y = 3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftLeftLeftBottomBottomBottomCheckbox" )
		
		end,
	},
	--------------------------------
	DropLeftLeftTopTopTopCheckbox = 
	{
		name = "DropLeftLeftTopTopTopCheckbox",
		frame_table = "Drop",
		flow = "LeftLeft",
		position = { x = -2.2, y = -3.2 },
		offset_position = { x = -2, y = -3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftLeftTopTopTopCheckbox" )
		
		end,
	},
	DropLeftLeftTopTopCheckbox = 
	{
		name = "DropLeftLeftTopTopCheckbox",
		frame_table = "Drop",
		flow = "LeftLeft",
		position = { x = -2.2, y = -2.2 },
		offset_position = { x = -2, y = -2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftLeftTopTopCheckbox" )
		
		end,
	},
	DropLeftLeftTopCheckbox = 
	{
		name = "DropLeftLeftTopCheckbox",
		frame_table = "Drop",
		flow = "LeftLeft",
		position = { x = -2.2, y = -1.2 },
		offset_position = { x = -2, y = -1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftLeftTopCheckbox" )
		
		end,
	},
	DropLeftLeftMiddleCheckbox = 
	{
		name = "DropLeftLeftMiddleCheckbox",
		frame_table = "Drop",
		flow = "LeftLeft",
		position = { x = -2.2, y = 0 },
		offset_position = { x = -2, y = 0 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftLeftMiddleCheckbox" )
		
		end,
	},
	DropLeftLeftBottomCheckbox = 
	{
		name = "DropLeftLeftBottomCheckbox",
		frame_table = "Drop",
		flow = "LeftLeft",
		position = { x = -2.2, y = 1.2 },
		offset_position = { x = -2, y = 1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftLeftBottomCheckbox" )
		
		end,
	},
	DropLeftLeftBottomBottomCheckbox = 
	{
		name = "DropLeftLeftBottomBottomCheckbox",
		frame_table = "Drop",
		flow = "LeftLeft",
		position = { x = -2.2, y = 2.2 },
		offset_position = { x = -2, y = 2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftLeftBottomBottomCheckbox" )
		
		end,
	},
	DropLeftLeftBottomBottomBottomCheckbox = 
	{
		name = "DropLeftLeftBottomBottomBottomCheckbox",
		frame_table = "Drop",
		flow = "LeftLeft",
		position = { x = -2.2, y = 3.2 },
		offset_position = { x = -2, y = 3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftLeftBottomBottomBottomCheckbox" )
		
		end,
	},
	--------------------------------
	DropLeftTopTopTopCheckbox = 
	{
		name = "DropLeftTopTopTopCheckbox",
		frame_table = "Drop",
		flow = "Left",
		position = { x = -1.2, y = -3.2 },
		offset_position = { x = -1, y = -3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftTopTopTopCheckbox" )
		
		end,
	},
	DropLeftTopTopCheckbox = 
	{
		name = "DropLeftTopTopCheckbox",
		frame_table = "Drop",
		flow = "Left",
		position = { x = -1.2, y = -2.2 },
		offset_position = { x = -1, y = -2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftTopTopCheckbox" )
		
		end,
	},
	DropLeftTopCheckbox = 
	{
		name = "DropLeftTopCheckbox",
		frame_table = "Drop",
		flow = "Left",
		position = { x = -1.2, y = -1.2 },
		offset_position = { x = -1, y = -1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftTopCheckbox" )
		
		end,
	},
	DropLeftMiddleCheckbox = 
	{
		name = "DropLeftMiddleCheckbox",
		frame_table = "Drop",
		flow = "Left",
		position = { x = -1.2, y = 0 },
		offset_position = { x = -1, y = 0 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftMiddleCheckbox" )
		
		end,
	},
	DropLeftBottomCheckbox = 
	{
		name = "DropLeftBottomCheckbox",
		frame_table = "Drop",
		flow = "Left",
		position = { x = -1.2, y = 1.2 },
		offset_position = { x = -1, y = 1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftBottomCheckbox" )
		
		end,
	},
	DropLeftBottomBottomCheckbox = 
	{
		name = "DropLeftBottomBottomCheckbox",
		frame_table = "Drop",
		flow = "Left",
		position = { x = -1.2, y = 2.2 },
		offset_position = { x = -1, y = 2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftBottomBottomCheckbox" )
		
		end,
	},
	DropLeftBottomBottomBottomCheckbox = 
	{
		name = "DropLeftBottomBottomBottomCheckbox",
		frame_table = "Drop",
		flow = "Left",
		position = { x = -1.2, y = 3.2 },
		offset_position = { x = -1, y = 3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropLeftBottomBottomBottomCheckbox" )
		
		end,
	},
	--------------------------------
	DropMiddleTopTopTopCheckbox = 
	{
		name = "DropMiddleTopTopTopCheckbox",
		frame_table = "Drop",
		flow = "Middle",
		position = { x = 0, y = -3.2 },
		offset_position = { x = 0, y = -3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropMiddleTopTopTopCheckbox" )
		
		end,
	},
	DropMiddleTopTopCheckbox = 
	{
		name = "DropMiddleTopTopCheckbox",
		frame_table = "Drop",
		flow = "Middle",
		position = { x = 0, y = -2.2 },
		offset_position = { x = 0, y = -2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropMiddleTopTopCheckbox" )
		
		end,
	},
	DropMiddleTopCheckbox = 
	{
		name = "DropMiddleTopCheckbox",
		frame_table = "Drop",
		flow = "Middle",
		position = { x = 0, y = -1.2 },
		offset_position = { x = 0, y = -1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropMiddleTopCheckbox" )
		
		end,
	},
	DropMiddleMiddleCheckbox = 
	{
		name = "DropMiddleMiddleCheckbox",
		frame_table = "Drop",
		flow = "Middle",
	},
	DropMiddleBottomCheckbox = 
	{
		name = "DropMiddleBottomCheckbox",
		frame_table = "Drop",
		flow = "Middle",
		position = { x = 0, y = 1.2 },
		offset_position = { x = 0, y = 1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropMiddleBottomCheckbox" )
		
		end,
	},
	DropMiddleBottomBottomCheckbox = 
	{
		name = "DropMiddleBottomBottomCheckbox",
		frame_table = "Drop",
		flow = "Middle",
		position = { x = 0, y = 2.2 },
		offset_position = { x = 0, y = 2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropMiddleBottomBottomCheckbox" )
		
		end,
	},
	DropMiddleBottomBottomBottomCheckbox = 
	{
		name = "DropMiddleBottomBottomBottomCheckbox",
		frame_table = "Drop",
		flow = "Middle",
		position = { x = 0, y = 3.2 },
		offset_position = { x = 0, y = 3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropMiddleBottomBottomBottomCheckbox" )
		
		end,
	},
	--------------------------------
	DropRightTopTopTopCheckbox = 
	{
		name = "DropRightTopTopTopCheckbox",
		frame_table = "Drop",
		flow = "Right",
		position = { x = 1.2, y = -3.2 },
		offset_position = { x = 1, y = -3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightTopTopTopCheckbox" )
		
		end,
	},
	DropRightTopTopCheckbox = 
	{
		name = "DropRightTopTopCheckbox",
		frame_table = "Drop",
		flow = "Right",
		position = { x = 1.2, y = -2.2 },
		offset_position = { x = 1, y = -2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightTopTopCheckbox" )
		
		end,
	},
	DropRightTopCheckbox = 
	{
		name = "DropRightTopCheckbox",
		frame_table = "Drop",
		flow = "Right",
		position = { x = 1.2, y = -1.2 },
		offset_position = { x = 1, y = -1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightTopCheckbox" )
		
		end,
	},
	DropRightMiddleCheckbox = 
	{
		name = "DropRightMiddleCheckbox",
		frame_table = "Drop",
		flow = "Right",
		position = { x = 1.2, y = 0 },
		offset_position = { x = 1, y = 0 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightMiddleCheckbox" )
		
		end,
	},
	DropRightBottomCheckbox = 
	{
		name = "DropRightBottomCheckbox",
		frame_table = "Drop",
		flow = "Right",
		position = { x = 1.2, y = 1.2 },
		offset_position = { x = 1, y = 1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightBottomCheckbox" )
		
		end,
	},
	DropRightBottomBottomCheckbox = 
	{
		name = "DropRightBottomBottomCheckbox",
		frame_table = "Drop",
		flow = "Right",
		position = { x = 1.2, y = 2.2 },
		offset_position = { x = 1, y =2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightBottomBottomCheckbox" )
		
		end,
	},
	DropRightBottomBottomBottomCheckbox = 
	{
		name = "DropRightBottomBottomBottomCheckbox",
		frame_table = "Drop",
		flow = "Right",
		position = { x = 1.2, y = 3.2 },
		offset_position = { x = 1, y = 3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightBottomBottomBottomCheckbox" )
		
		end,
	},
	--------------------------------
	DropRightRightTopTopTopCheckbox = 
	{
		name = "DropRightRightTopTopTopCheckbox",
		frame_table = "Drop",
		flow = "RightRight",
		position = { x = 2.2, y = -3.2 },
		offset_position = { x = 2, y = -3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightRightTopTopTopCheckbox" )
		
		end,
	},
	DropRightRightTopTopCheckbox = 
	{
		name = "DropRightRightTopTopCheckbox",
		frame_table = "Drop",
		flow = "RightRight",
		position = { x = 2.2, y = -2.2 },
		offset_position = { x = 2, y = -2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightRightTopTopCheckbox" )
		
		end,
	},
	DropRightRightTopCheckbox = 
	{
		name = "DropRightRightTopCheckbox",
		frame_table = "Drop",
		flow = "RightRight",
		position = { x = 2.2, y = -1.2 },
		offset_position = { x = 2, y = -1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightRightTopCheckbox" )
		
		end,
	},
	DropRightRightMiddleCheckbox = 
	{
		name = "DropRightRightMiddleCheckbox",
		frame_table = "Drop",
		flow = "RightRight",
		position = { x = 2.2, y = 0 },
		offset_position = { x = 2, y = 0 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightRightMiddleCheckbox" )
		
		end,
	},
	DropRightRightBottomCheckbox = 
	{
		name = "DropRightRightBottomCheckbox",
		frame_table = "Drop",
		flow = "RightRight",
		position = { x = 2.2, y = 1.2 },
		offset_position = { x = 2, y = 1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightRightBottomCheckbox" )
		
		end,
	},
	DropRightRightBottomBottomCheckbox = 
	{
		name = "DropRightRightBottomBottomCheckbox",
		frame_table = "Drop",
		flow = "RightRight",
		position = { x = 2.2, y = 2.2 },
		offset_position = { x = 2, y = 2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightRightBottomBottomCheckbox" )
		
		end,
	},
	DropRightRightBottomBottomBottomCheckbox = 
	{
		name = "DropRightRightBottomBottomBottomCheckbox",
		frame_table = "Drop",
		flow = "RightRight",
		position = { x = 2.2, y = 3.2 },
		offset_position = { x = 2, y = 3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightRightBottomBottomBottomCheckbox" )
		
		end,
	},
	--------------------------------
	DropRightRightRightTopTopTopCheckbox = 
	{
		name = "DropRightRightRightTopTopTopCheckbox",
		frame_table = "Drop",
		flow = "RightRightRight",
		position = { x = 3.2, y = -3.2 },
		offset_position = { x = 3, y = -3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightRightRightTopTopTopCheckbox" )
		
		end,
	},
	DropRightRightRightTopTopCheckbox = 
	{
		name = "DropRightRightRightTopTopCheckbox",
		frame_table = "Drop",
		flow = "RightRightRight",
		position = { x = 3.2, y = -2.2 },
		offset_position = { x = 3, y = -2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightRightRightTopTopCheckbox" )
		
		end,
	},
	DropRightRightRightTopCheckbox = 
	{
		name = "DropRightRightRightTopCheckbox",
		frame_table = "Drop",
		flow = "RightRightRight",
		position = { x = 3.2, y = -1.2 },
		offset_position = { x = 3, y = -1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightRightRightTopCheckbox" )
		
		end,
	},
	DropRightRightRightMiddleCheckbox = 
	{
		name = "DropRightRightRightMiddleCheckbox",
		frame_table = "Drop",
		flow = "RightRightRight",
		position = { x = 3.2, y = 0 },
		offset_position = { x = 3, y = 0 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightRightRightMiddleCheckbox" )
		
		end,
	},
	DropRightRightRightBottomCheckbox = 
	{
		name = "DropRightRightRightBottomCheckbox",
		frame_table = "Drop",
		flow = "RightRightRight",
		position = { x = 3.2, y = 1.2 },
		offset_position = { x = 3, y = 1 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightRightRightBottomCheckbox" )
		
		end,
	},
	DropRightRightRightBottomBottomCheckbox = 
	{
		name = "DropRightRightRightBottomBottomCheckbox",
		frame_table = "Drop",
		flow = "RightRightRight",
		position = { x = 3.2, y = 2.2 },
		offset_position = { x = 3, y = 2 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightRightRightBottomBottomCheckbox" )
		
		end,
	},
	DropRightRightRightBottomBottomBottomCheckbox = 
	{
		name = "DropRightRightRightBottomBottomBottomCheckbox",
		frame_table = "Drop",
		flow = "RightRightRight",
		position = { x = 3.2, y = 3.2 },
		offset_position = { x = 3, y = 3 },
		output = function ( event )
		
			local ply = game.players[event.player_index]
			InserterDropChange ( ply, event.player_index, "DropRightRightRightBottomBottomBottomCheckbox" )
		
		end,
	},
	----------------------------------------------------------------------------
	
}


function ChangePosition( id, pos, operation )

	local inserter = Inserters[id]
	local direction = inserter.direction
	
	inserter[operation] = { inserter.position.x + pos.x, inserter.position.y + pos.y }
	inserter.direction = direction

end

function InserterPickChange ( ply, id, checkbox )
	
	for k, v in pairs ( InserterCheckboxes ) do
	
		if v.frame_table == "Pick" then
		
			if v.name ~= checkbox then
		
				frame[v.frame_table][v.flow][v.name].state = false
				DebugPrint( v.name.." = "..tostring( frame[v.frame_table][v.flow][v.name].state ) )
			
			else
			
				frame[v.frame_table][v.flow][v.name].state = true
				ChangePosition( id, v.position, "pickup_position" )
			
			end
		
		end
	
	end

end

function InserterDropChange ( ply, id, checkbox )
	
	for k, v in pairs ( InserterCheckboxes ) do
	
		if v.frame_table == "Drop" then
		
			if v.name ~= checkbox then
		
				frame[v.frame_table][v.flow][v.name].state = false
				DebugPrint( v.name.." = "..tostring( frame[v.frame_table][v.flow][v.name].state ) )
			
			else
			
				frame[v.frame_table][v.flow][v.name].state = true
				if frame["Offset"]["OffsetFlow"]["OffsetCheckbox"].state == true then
					ChangePosition( id, v.offset_position, "drop_position" )
				else
					ChangePosition( id, v.position, "drop_position" )
				end
			
			end
		
		end
	
	end
	
end

local function GuiButtonClickInserter( event )

	
	--DebugPrint( InserterButtons[event.element.name] == true )
	if game.players[event.player_index].gui.center["inserter-adjustment"] == nil then return end
	
	if Inserters[event.player_index] == nil or 
	Inserters[event.player_index].valid == false or 
	event.element.valid ~= true
	then 
	
		DebugPrint( "Triggered inserter" )
		RemoveInserterGui( game.players[event.player_index], "center", "inserter-adjustment" )
		return
		
	end

	if event.element.type == "button" then
	
		if InserterButtons[event.element.name] then
	
			if InserterButtons[event.element.name].output then
	
				InserterButtons[event.element.name].output( event )
			
			end
		
		end
	
		return
	
	end

	if event.element.type == "checkbox" then

		if InserterCheckboxes[event.element.name] then
	
			if InserterCheckboxes[event.element.name].output then
		
				InserterCheckboxes[event.element.name].output( event )
			
			end
		
		end
		
		return
	
	end


end

function RemoveInserterGui( ply, pos, frame_name )
	
	if ply.gui[pos][frame_name] and Inserters[ply.index] then Inserters[ply.index] = nil end
	
	--if ply.gui[pos][frame_name] then ply.gui[pos][frame_name].destroy() end
	
	for k, v in pairs( { frame_name, "pipe-junctions" } ) do
	
		if ply.gui[pos][v] then ply.gui[pos][v].destroy() end
	
	end

end

function InitInserterGui( ply, ent )

	RemoveInserterGui( ply, "center", "inserter-adjustment" )

	frame = ply.gui["center"].add{type="frame", name="inserter-adjustment", caption = "Inserter", direction='horizontal'} --style='naked_frame_style'

	frame.add( { type="frame", name="Pick", direction="horizontal",      caption="Pickup position"} )
	frame.add( { type="frame", name="Drop", direction="horizontal",      caption="Drop position  "} )
	frame.add( { type="frame", name="Offset", direction="horizontal",    caption="Near drop offset"} )
	frame.add( { type="button", name=InserterButtons["CloseButton"].name, caption="X", } ) --style = "button_style"
	frame.Pick.add( {type="flow",name="LeftLeftLeft",caption="",direction="vertical"} )
	frame.Pick.add( {type="flow",name="LeftLeft",caption="",direction="vertical"} )
	frame.Pick.add( {type="flow",name="Left",caption="",direction="vertical"} )
	frame.Pick.add( {type="flow",name="Middle",caption="",direction="vertical"} )
	frame.Pick.add( {type="flow",name="Right",caption="",direction="vertical"} )
	frame.Pick.add( {type="flow",name="RightRight",caption="",direction="vertical"} )
	frame.Pick.add( {type="flow",name="RightRightRight",caption="",direction="vertical"} )
	frame.Drop.add( {type="flow",name="LeftLeftLeft",caption="",direction="vertical"} )
	frame.Drop.add( {type="flow",name="LeftLeft",caption="",direction="vertical"} )
	frame.Drop.add( {type="flow",name="Left",caption="",direction="vertical"} )
	frame.Drop.add( {type="flow",name="Middle",caption="",direction="vertical"} )
	frame.Drop.add( {type="flow",name="Right",caption="",direction="vertical"} )	
	frame.Drop.add( {type="flow",name="RightRight",caption="",direction="vertical"} )	
	frame.Drop.add( {type="flow",name="RightRightRight",caption="",direction="vertical"} )	
	frame.Offset.add( {type="flow",name="OffsetFlow",caption="",direction="vertical"} )
	
	for k, v in pairs( InserterCheckboxes ) do
		
		if v.output ~= nil then
		
			frame[v.frame_table][v.flow].add( { type="checkbox", name=v.name, caption=v.caption or "", state = false, style = "inserter_checkbox" } )
		
			if v.frame_table == "Drop" then
		
				if ( ( ent.drop_position.x - 0.25 < ent.position.x + v.position.x and ent.drop_position.x + 0.25 > ent.position.x + v.position.x ) and 
				( ent.drop_position.y - 0.25 < ent.position.y + v.position.y and ent.drop_position.y + 0.25 > ent.position.y + v.position.y ) ) then
				
					DebugPrint( "Pos" )
					frame[v.frame_table][v.flow][v.name].state = true
				
				end
				
				if ( ent.drop_position.x == ent.position.x + v.offset_position.x and ent.drop_position.y == ent.position.y + v.offset_position.y ) then
				
					DebugPrint( "Offset Pos" )
					frame[v.frame_table][v.flow][v.name].state = true
					frame["Offset"]["OffsetFlow"]["OffsetCheckbox"].state = true
				
				end
			
			elseif v.frame_table == "Pick" then
			
				if ( ( ent.pickup_position.x - 0.25 < ent.position.x + v.position.x and ent.pickup_position.x + 0.25 > ent.position.x + v.position.x ) and 
				( ent.pickup_position.y - 0.25 < ent.position.y + v.position.y and ent.pickup_position.y + 0.25 > ent.position.y + v.position.y ) ) then
				
					DebugPrint( "PickPos" )
					frame[v.frame_table][v.flow][v.name].state = true
				
				end
			
			end
		
		else
		
			frame[v.frame_table][v.flow].add( { type="checkbox", name=v.name, caption=v.caption or "", state = false, style = "inserter_direction_middle" } )
		
		end
		
	end
	

end

function AdjustInserter( ply, ent )

	InitInserterGui( ply, ent )

end

Inserters = {}

function AdjustInserterProperties ( event )

	local player = game.players[event.player_index]
	local id = event.player_index
	local ent = player.selected

	if ( ent ~= nil ) and ( ent.type == "inserter" ) and ( player.can_reach_entity(ent) ) then

		RemoveInserterGui( player, "center", "inserter-adjustment" )
	
		table.insert( Inserters, id, ent )
		AdjustInserter( player, ent )


	end


end

AddEventFunction( "adjust_object_properties", AdjustInserterProperties )
AddEventFunction( "on_gui_click", GuiButtonClickInserter )

