data:extend({

  {
    type = "custom-input",
    name = "adjust-object-properties",
    key_sequence = "SHIFT + E",
    consuming = "script-only"
  },
  
})

data.raw["gui-style"]["default"]["inserter_checkbox"] =
    {
      type = "checkbox_style",
      font = "default",
      font_color = {r=1, g=1, b=1},
	  top_padding = 0,
	  right_padding = 0,
	  bottom_padding = 0,
	  left_padding = 0,
	  width = 34,
	  height = 34,
      default_background =
      {
        filename = "__AnonyMods__/graphics/gui/checkbox.png",
        priority = "extra-high-no-scale",
		tint = { r=1, g=1, b=1, a=0.5 },
		shift = { 10, 0 },
		scale = 2,
        width = 64,
        height = 64,
      },
      hovered_background =
      {
        filename = "__AnonyMods__/graphics/gui/checkbox-hover.png",
        priority = "extra-high-no-scale",
		tint = { r=1, g=1, b=1, a=0.5 },
		shift = { 10, 0 },
		scale = 2,
        width = 64,
        height = 64,
      },
      clicked_background =
      {
        filename = "__AnonyMods__/graphics/gui/checkbox-clicked.png",
        priority = "extra-high-no-scale",
		tint = { r=1, g=1, b=1, a=0.5 },
		shift = { 10, 0 },
		scale = 2,
        width = 64,
        height = 64,
      },
      checked =
      {
        filename = "__AnonyMods__/graphics/gui/checkbox-checked.png",
        priority = "extra-high-no-scale",
		tint = { r=1, g=1, b=1, a=1 },
		shift = { 10, 0 },
		x = 0,
		y = 0,
		scale = 1,
        width = 64,
        height = 64,
      }
    }

data.raw["gui-style"]["default"]["inserter_direction_middle"] =
    {
      type = "checkbox_style",
      font = "default",
      font_color = {r=1, g=1, b=1},
	  width = 34,
	  height = 34,
      default_background =
      {
        filename = "__AnonyMods__/graphics/gui/cardinal.png",
        priority = "extra-high-no-scale",
		shift = { 10, 0 },
		scale = 2,
        width = 64,
        height = 64,
      },
      hovered_background =
      {
        filename = "__AnonyMods__/graphics/gui/cardinal.png",
        priority = "extra-high-no-scale",
		shift = { 10, 0 },
		scale = 2,
        width = 64,
        height = 64,
      },
      clicked_background =
      {
        filename = "__AnonyMods__/graphics/gui/cardinal.png",
        priority = "extra-high-no-scale",
		shift = { 10, 0 },
		scale = 2,
        width = 64,
        height = 64,
      },
      checked =
      {
        filename = "__core__/graphics/empty.png",
        priority = "extra-high-no-scale",
		shift = { 0, 0 },
		scale = 1,
        width = 1,
        height = 1,
      }
    }

data.raw["gui-style"]["default"]["inserter_label_style"] =
	{
      type = "label_style",
      font = "default",
	  height = 35,
      font_color = {r=1, g=1, b=1}
    }





