data:extend({

 {
    type = "assembling-machine",
    name = Prototypes["compressor_4"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/assembly-machines/compressor-4.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = Prototypes["compressor_4"]["names"].entity},
    max_health = 400,
    corpse = "small-remnants",
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-0.5, 1.5} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ type="output", position = {-0.5, -1.5} }}
      },
      off_when_no_fluid_recipe = false
    },
    collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{-1, -1}, {1, 1}},
    fast_replaceable_group = "assembling-machine",
    animation =
    {
      north =
      {
        filename = "__AnonyMods__/graphics/entity/compressor/compressor-4/compressor-north.png",
        width = 96,
        height = 96,
        frame_count = 1,
        shift = {0, 0},
      },
      east =
      {
        filename = "__AnonyMods__/graphics/entity/compressor/compressor-4/compressor-east.png",
        width = 96,
        height = 96,
        frame_count = 1,
        shift = {0.5, 0.5},
      },
      south =
      {
        filename = "__AnonyMods__/graphics/entity/compressor/compressor-4/compressor-south.png",
        width = 96,
        height = 96,
        frame_count = 1,
        shift = {0, 0},
      },
      west =
      {
        filename = "__AnonyMods__/graphics/entity/compressor/compressor-4/compressor-west.png",
        width = 96,
        height = 96,
        frame_count = 1,
        shift = {0.5, 0},
      }
    },
    --open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    --close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = 
	  {           
			filename = "__AnonyMods__/sound/compressor.ogg",
			volume = 0.6
	  }
    },
    crafting_categories = {"compressor"},
    crafting_speed = 4,
    energy_usage = "180kW",
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.023
    },
    ingredient_count = 4,
    module_specification =
    {
      module_slots = 4
    },
    allowed_effects = {"consumption", "speed", "pollution"},
  }
  
})  
  
  