require ("prototypes/items/modules/productivity-limitations")

--[[for k, v in pairs( data.raw["furnace"] ) do

	if v.allowed_effects then
	
		v.allowed_effects = {"consumption", "speed", "pollution"}
	
	end

end--]]

data:extend({

 {
    type = "furnace",
    name = Prototypes["duplicator"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/assembly-machines/duplicator.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = Prototypes["duplicator"]["names"].entity},
	selectable_in_game = true,
    max_health = 100,
    corpse = "small-remnants",
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    fast_replaceable_group = "assembling-machine",
    animation =
    {
		filename = "__AnonyMods__/graphics/entity/duplicator/duplicator.png",
		width = 113,
		height = 91,
		frame_count = 33,
		line_length = 11,
		animation_speed = 0.5,
		shift = {0.2, 0.15}
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = 
	  {           
			filename = "__base__/sound/lab.ogg",
			volume = 0.8 
	  }
    },
    crafting_categories = {"duplicating"},
    crafting_speed = 1,
    energy_usage = "10000kW",
    result_inventory_size = 1,
    source_inventory_size = 1,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.001
    },
    ingredient_count = 6,
    module_specification =
    {
      module_slots = 6
    },
    allowed_effects = {"consumption", "productivity", "pollution", "speed"},
  }
  
})  
  
  