data:extend({

 {
    type = "assembling-machine",
    name = Prototypes["electrolyzer_1"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/assembly-machines/electrolyzer-1.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 1, result = Prototypes["electrolyzer_1"]["names"].entity},
    max_health = 250,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-1, -2} }}
      },
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {1, -2} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ position = {-1, 2} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ position = {1, 2} }}
      },
      off_when_no_fluid_recipe = false
    },
    collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    fast_replaceable_group = "assembling-machine",
    animation =
    {
	  north =
      {
        filename = "__AnonyMods__/graphics/entity/electrolyzer/electrolyzer-1/front.png",
        width = 160,
        height = 160,
        frame_count = 1,
		scale = 1,
        shift = {0.5, 0}
      },
      west =
      {
        filename = "__AnonyMods__/graphics/entity/electrolyzer/electrolyzer-1/side.png",
        width = 160,
        height = 160,
        frame_count = 1,
		scale = 1,
        shift = {0.5, 0}
	  },
      south =
      {
        filename = "__AnonyMods__/graphics/entity/electrolyzer/electrolyzer-1/front.png",
        width = 160,
        height = 160,
        frame_count = 1,
		scale = 1,
        shift = {0.5, 0}
      },
      east =
      {
        filename = "__AnonyMods__/graphics/entity/electrolyzer/electrolyzer-1/side.png",
        width = 160,
        height = 160,
        frame_count = 1,
		scale = 1,
        shift = {0.5, 0}
	  },
    },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = 
	  {           
			filename = "__AnonyMods__/sound/electrolyzer.ogg",
			volume = 0.7 
	  }
    },
    crafting_categories = {"electrolysis"},
    crafting_speed = 1,
    energy_usage = "120kW",
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.01
    },
    ingredient_count = 6,
    module_specification =
    {
      module_slots = 1
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
  }
  
})  
  
  