data:extend({

 {
    type = "assembling-machine",
    name = Prototypes["pump_4"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/assembly-machines/pump-4.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = Prototypes["pump_4"]["names"].entity},
    max_health = 400,
    corpse = "big-remnants",
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-0.5, 1.5} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {-0.5, -1.5} }}
      },
      off_when_no_fluid_recipe = false
    },
    collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{-1, -1}, {1, 1}},
    fast_replaceable_group = "assembling-machine",
    animation =
    {
	 north =
	 {
	    priority = "extra-high",
        width = 128,
        height = 128,
        line_length = 1,
        shift = {0, 0},
        filename = "__AnonyMods__/graphics/entity/pump/pump-4/pump-north.png",
        frame_count = 1,
	  },
	  east =
      {
        priority = "extra-high",
        width = 128,
        height = 128,
        line_length = 1,
        shift = {0, 0},
        filename = "__AnonyMods__/graphics/entity/pump/pump-4/pump-east.png",
        frame_count = 1,
      },
      south =
      {
        priority = "extra-high",
        width = 128,
        height = 128,
        line_length = 1,
        shift = {0, 0},
        filename = "__AnonyMods__/graphics/entity/pump/pump-4/pump-south.png",
        frame_count = 1,
      },
      west =
      {
        priority = "extra-high",
        width = 128,
        height = 128,
        line_length = 1,
        shift = {0, 0},
        filename = "__AnonyMods__/graphics/entity/pump/pump-4/pump-west.png",
        frame_count = 1,
      }
    },
    --open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    --close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = 
	  {           
			filename = "__base__/sound/pipe.ogg",
			volume = 1 
	  }
    },
    crafting_categories = {"pump"},
    crafting_speed = 4,
    energy_usage = "140kW",
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0
    },
    ingredient_count = 4,
    module_specification =
    {
      module_slots = 4
    },
    allowed_effects = {"consumption", "speed", "pollution"},
  }
  
})  
  
  