
data.raw["beacon"]["beacon"].fast_replaceable_group = "container"

data:extend({

 {
    type = "beacon",
    name = Prototypes["beacon_2"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/beacons/beacon-2.png",
    flags = {"placeable-player", "player-creation"},
    minable = {mining_time = 1, result = Prototypes["beacon_2"]["names"].item},
    max_health = 300,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
	fast_replaceable_group = "container",
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    allowed_effects = {"consumption", "speed", "pollution"},
    base_picture =
    {
      filename = "__AnonyMods__/graphics/entity/beacon-2/beacon-base-2.png",
      width = 116,
      height = 93,
      shift = { 0.34375, 0.046875}
    },
    animation =
    {
      filename = "__AnonyMods__/graphics/entity/beacon-2/beacon-antenna-2.png",
      width = 54,
      height = 50,
      line_length = 8,
      frame_count = 32,
      shift = { -0.03125, -1.71875},
      animation_speed = 0.5
    },
    animation_shadow =
    {
      filename = "__base__/graphics/entity/beacon/beacon-antenna-shadow.png",
      width = 63,
      height = 49,
      line_length = 8,
      frame_count = 32,
      shift = { 3.140625, 0.484375},
      animation_speed = 0.5
    },
    radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/beacon/beacon-radius-visualization.png",
      width = 12,
      height = 12
    },
    supply_area_distance = 6,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    energy_usage = "960kW",
    distribution_effectivity = 0.75,
    module_specification =
    {
      module_slots = 4,
      module_info_icon_shift = {0, 0.5},
      module_info_multi_row_initial_height_modifier = -0.3
    }
  },
  
})  
  
  