data:extend({

	{
    type = "radar",
    name = Prototypes["slow_radar"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/combat/slow-radar.png",
    flags = {"placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = Prototypes["slow_radar"]["names"].item},
    max_health = 150,
    corpse = "big-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
    collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    energy_per_sector = "20MJ",
    max_distance_of_sector_revealed = 28,
    max_distance_of_nearby_sector_revealed = 1,
    energy_per_nearby_scan = "250kJ",
	fast_replaceable_group = "assembling-machine",
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_usage = "600kW",
    pictures =
    {
      filename = "__AnonyMods__/graphics/entity/slow-radar/slow-radar.png",
      priority = "low",
      width = 153,
      height = 131,
      apply_projection = false,
      direction_count = 64,
      line_length = 8,
      shift = {0.875, -0.34375}
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = {
        {
          filename = "__base__/sound/radar.ogg"
        }
      },
      apparent_volume = 2,
    }
  },

})