data:extend({

  {
    type = "furnace",
    name = Prototypes["brick_furnace"]["names"].item,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/furnaces/brick-furnace.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 0.5, result = Prototypes["brick_furnace"]["names"].item},
    max_health = 75,
    corpse = "small-remnants",
    dying_explosion = "medium-explosion",
    light = {intensity = 1, size = 10},
    resistances =
    {
      {
        type = "fire",
        percent = 85
      }
    },
    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-0.8, -1}, {0.8, 1}},
    crafting_categories = {"smelting"},
    result_inventory_size = 1,
    crafting_speed = 1,
    energy_usage = "180kW",
    source_inventory_size = 1,
    energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
      smoke =
      {
		{
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 5,
          position = {0.0, -1.05},
          starting_vertical_speed = 0.08,
          starting_frame_deviation = 60
        }
      }
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = { filename = "__base__/sound/furnace.ogg" }
    },
    animation =
    {
      filename = "__AnonyMods__/graphics/entity/brick-furnace/brick-furnace.png",
      priority = "high",
      width = 128,
      height = 128,
      frame_count = 1,
      line_length = 1,
      shift = {0.35, 0},
	  scale = 0.7,
    },
	working_visualisations =
    {
      {
        north_position = {0.0, -1.25},
        east_position = {0.0, -1.25},
        south_position = {0.0, -1.25},
        west_position = {0.0, -1.25},
        animation =
        {
          filename = "__AnonyMods__/graphics/entity/brick-furnace/brick-furnace-effects.png",
          priority = "extra-high",
          line_length = 32,
		  frame_count = 32,
          width = 32,
          height = 32,
          animation_speed = 0.75,
          axially_symmetrical = false,
          direction_count = 1,
          shift = {0, 0.38},
		  scale = 0.7,
        },
        light = {intensity = 1, size = 1}
      }
    },
    fast_replaceable_group = "furnace"
  },
  
})  
  
  