data:extend({ 

  {
    type = "lab",
    name = Prototypes["basic_lab"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/labs/basic-lab.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.3, mining_time = 0.5, result = Prototypes["basic_lab"]["names"].entity},
    max_health = 100,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    --light = {intensity = 0.75, size = 8},
    light = nil,
    on_animation =
    {
      filename = "__AnonyMods__/graphics/entity/basic-lab/basic-lab.png",
      width = 160,
      height = 160,
      frame_count = 16,
      line_length = 8,
      animation_speed = 1 / 3,
      shift = {0.5, -0.25}
    },
    off_animation =
    {
      filename = "__AnonyMods__/graphics/entity/basic-lab/basic-lab-off.png",
      width = 160,
      height = 160,
      frame_count = 1,
      shift = {0.5, -0.25}
    },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/assembling-machine-t1-2.ogg",
        volume = 0.7
      },
      apparent_volume = 1
    },
    energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0,
    },
    energy_usage = "150kW",
    researching_speed = 0.5,
    inputs =
    {
      "science-pack-1",
      "science-pack-2",
    },
  }
 
}) 
  
  