data:extend({
  
    {
    type = "lamp",
    name = Prototypes["floodlight"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/lamps/floodlight.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = Prototypes["floodlight"]["names"].item},
    max_health = 60,
    corpse = "small-remnants",
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_usage_per_tick = "20KW",
    light = {intensity = 3, size = 90},
    light_when_colored = {intensity = 1, size = 6},
    glow_size = 12,
    glow_color_intensity = 0.135,
    picture_off =
    {
      filename = "__AnonyMods__/graphics/entity/floodlight/off.png",
      priority = "high",
      width = 64,
      height = 64,
      frame_count = 1,
      axially_symmetrical = false,
      direction_count = 1,
      shift = {0.5, 0},
    },
    picture_on =
    {
      filename = "__AnonyMods__/graphics/entity/floodlight/on.png",
      priority = "high",
      width = 64,
      height = 64,
      frame_count = 1,
      axially_symmetrical = false,
      direction_count = 1,
      shift = {0.5, 0},
    },
    signal_to_color_mapping =
    {
      {type="virtual", name="signal-red", color={r=1,g=0,b=0}},
      {type="virtual", name="signal-green", color={r=0,g=1,b=0}},
      {type="virtual", name="signal-blue", color={r=0,g=0,b=1}},
      {type="virtual", name="signal-yellow", color={r=1,g=1,b=0}},
      {type="virtual", name="signal-pink", color={r=1,g=0,b=1}},
      {type="virtual", name="signal-cyan", color={r=0,g=1,b=1}},
    },

    circuit_wire_connection_point = circuit_connector_definitions["lamp"].points,
    circuit_connector_sprites = circuit_connector_definitions["lamp"].sprites,
    circuit_wire_max_distance = 0

  },
  
})  
  
  