data:extend({

 {
    type = "assembling-machine",
    name = Prototypes["ore_crusher_burner"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/ore-crusher-burner.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = Prototypes["ore_crusher_burner"]["names"].entity},
    max_health = 100,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 50
      }
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    fast_replaceable_group = "assembling-machine",
    animation =
    {
          filename = "__AnonyMods__/graphics/entity/metallurgy/ore-crusher/ore-crusher-burner.png",
          priority = "high",
          width = 128,
          height = 128,
          frame_count = 32,
          line_length = 8,
		  animation_speed = 2,
          shift = { 0.5, -0.25 },
		  hr_version = {
			filename = "__AnonyMods__/graphics/entity/metallurgy/ore-crusher/hr-ore-crusher-burner.png",
			priority = "high",
			width = 256,
			height = 256,
			frame_count = 32,
			line_length = 8,
			animation_speed = 2,
			shift = { 0.5, -0.25 },
			scale = 0.5
			},
    },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = {
        {
          filename = "__AnonyMods__/sound/metallurgy-crusher.ogg",
          volume = 0.7
        },
      },
      apparent_volume = 1,
    },
    crafting_categories = {"metallurgy-crushing",},
    crafting_speed = 0.5,
    energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.02,
	  light = {intensity = 0, size = 0},
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 5,
          position = {0.0, -0.8},
          starting_vertical_speed = 0.08,
          starting_frame_deviation = 60
        }
      }
    },
    energy_usage = "300kW",
    ingredient_count = 10,
    --[[module_specification =
    {
      module_slots = 1
    },
    allowed_effects = {"consumption", "speed", "pollution"}--]]
  }
  
})  
  