data:extend({

 {
    type = "assembling-machine",
    name = Prototypes["ore_crystalizer_3"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/ore-crystalizer-3.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = Prototypes["ore_crystalizer_3"]["names"].entity},
    max_health = 300,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    fast_replaceable_group = "assembling-machine",
    animation =
    {
          filename = "__AnonyMods__/graphics/entity/metallurgy/ore-crystalizer/ore-crystalizer-3.png",
          priority = "high",
          width = 128,
          height = 128,
          frame_count = 1,
          line_length = 1,
          shift = { 0.5, -0.5 },
		  hr_version = {
			filename = "__AnonyMods__/graphics/entity/metallurgy/ore-crystalizer/hr-ore-crystalizer-3.png",
			priority = "high",
			width = 256,
			height = 256,
			frame_count = 1,
			line_length = 1,
			shift = { 0.5, -0.5 },
			scale = 0.5
			},
    },
	working_visualisations =
    {
		{
			north_position = {0,0},
			west_position = {0,0},
			south_position = {0,0},
			east_position = {0,0},
			apply_recipe_tint = "primary",
			animation =
			{
				  filename = "__AnonyMods__/graphics/entity/metallurgy/ore-crystalizer/crystalizer-effect.png",
				  priority = "extra-high",
				  width = 128,
				  height = 128,
				  frame_count = 1,
				  shift = { 0.5, -0.5 },
				  hr_version = {
					filename = "__AnonyMods__/graphics/entity/metallurgy/ore-crystalizer/hr-crystalizer-effect.png",
					priority = "extra-high",
					width = 256,
					height = 256,
					frame_count = 1,
					shift = { 0.5, -0.5 },
					scale = 0.5
					},
			}
		},
	},
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = {
        {
          filename = "__base__/sound/chemical-plant.ogg",
          volume = 0.9
        },

      },
      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
      apparent_volume = 1.2,
    },
    crafting_categories = {"metallurgy-crystalizing",},
    crafting_speed = 3,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.02
    },
    energy_usage = "360kW",
    ingredient_count = 10,
    module_specification =
    {
      module_slots = 3
    },
    allowed_effects = {"consumption", "speed", "pollution"}
  }
  
})  
  
  