data:extend({

  {
    type = "offshore-pump",
    name = Prototypes["small_offshore_pump"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/pipes/small-offshore-pump.png",
    flags = {"placeable-neutral", "player-creation", "filter-directions"},
	collision_mask = { "ground-tile", "object-layer" },
    fluid_box_tile_collision_test = { "ground-tile" },
    adjacent_tile_collision_test = { "water-tile" },
    minable = {mining_time = 1, result = Prototypes["small_offshore_pump"]["names"].entity},
    max_health = 20,
    corpse = "small-remnants",
    fluid = "water",
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
    collision_box = {{-0.3, -0.15}, {0.3, 0.15}},
    selection_box = {{-0.5, -0.745}, {0.5, 0.245}},
    fluid_box =
    {
      base_area = 1,
      pipe_covers = pipecoverspictures(),
      pipe_connections =
      {
        { position = {0, 1} },
      },
    },
    pumping_speed = 2,
    tile_width = 1,
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    picture =
    {
      north =
      {
        filename = "__base__/graphics/entity/offshore-pump/offshore-pump.png",
        priority = "high",
		scale = 0.5,
        shift = {0.5, 0.25},
        width = 160,
        height = 102
      },
      east =
      {
        filename = "__base__/graphics/entity/offshore-pump/offshore-pump.png",
        priority = "high",
		scale = 0.5,
        shift = {0.225, 0.15},
        x = 160,
        width = 160,
        height = 102
      },
      south =
      {
        filename = "__base__/graphics/entity/offshore-pump/offshore-pump.png",
        priority = "high",
		scale = 0.5,
        shift = {0.5, 0},
        x = 320,
        width = 160,
        height = 102
      },
      west =
      {
        filename = "__base__/graphics/entity/offshore-pump/offshore-pump.png",
        priority = "high",
		scale = 0.5,
        shift = {0.75, 0.15},
        x = 480,
        width = 160,
        height = 102
      }
    },
	placeable_position_visualization =
    {
      filename = "__core__/graphics/cursor-boxes-32x32.png",
      priority = "extra-high-no-scale",
      width = 64,
      height = 64,
      scale = 0.5,
      x = 3*64
    },
    circuit_wire_connection_points = circuit_connector_definitions["offshore-pump"].points,
    circuit_connector_sprites = circuit_connector_definitions["offshore-pump"].sprites,
    circuit_wire_max_distance = default_circuit_wire_max_distance

  }
  
})  
  
  