data:extend({

  {
    type = "electric-pole",
    name = Prototypes["big_wooden_electric_pole"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/poles/big-wooden-electric-pole.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = Prototypes["big_wooden_electric_pole"]["names"].item},
    max_health = 65,
    corpse = "small-remnants",
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.4}, {0.4, 0.4}},
    drawing_box = {{-0.5, -2.6}, {0.5, 0.5}},
    maximum_wire_distance = 14,
    supply_area_distance = 1.5,
    vehicle_impact_sound =  { filename = "__base__/sound/car-wood-impact.ogg", volume = 1.0 },
    pictures =
    {
      filename = "__AnonyMods__/graphics/entity/poles/big-wooden-electric-pole.png",
      priority = "extra-high",
      width = 128,
      height = 128,
      direction_count = 1,
      shift = {1.45, -1.4}
    },
    connection_points =
    {
      {
        shadow =
        {
          copper = {2.95, -0.75},
          red = {3.1, -1.2},
          green = {2.78, -0.4}
        },
        wire =
        {
          copper = {0, -3.05},
          red = {-0.3, -3.29},
          green = {0.3, -2.81}
        }
      },
     --[[ {
        shadow =
        {
          copper = {2.7, 0},
          red = {2.3, 0},
          green = {3.1, 0}
        },
        wire =
        {
          copper = {0, -2.7},
          red = {-0.375, -2.625},
          green = {0.40625, -2.625}
        }
      },
	  {
        shadow =
        {
          copper = {2.7, -0.05},
          red = {2.2, -0.35},
          green = {3, 0.12}
        },
        wire =
        {
          copper = {-0.04, -2.8},
          red = {-0.375, -2.9375},
          green = {0.1875, -2.5625}
        }
      },
      {
        shadow =
        {
          copper = {2.5, -0.1},
          red = {2.55, -0.45},
          green = {2.5, 0.25}
        },
        wire =
        {
          copper = {-0.15625, -2.6875},
          red = {-0.0625, -2.96875},
          green = {-0.03125, -2.40625}
        }
      },
      {
        shadow =
        {
          copper = {2.30, -0.1},
          red = {2.65, -0.40},
          green = {1.75, 0.20}
        },
        wire =
        {
          copper = {-0.03125, -2.71875},
          red = {0.3125, -2.875},
          green = {-0.25, -2.5}
        }
      }--]]
    },
    radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/small-electric-pole/electric-pole-radius-visualization.png",
      width = 12,
      height = 12,
      priority = "extra-high-no-scale"
    }
  },
  
})
  