
data:extend({

  {
    type = "generator",
    name = Prototypes["manual_generator"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/power/manual-generator.png",
    flags = {"placeable-neutral","player-creation"},
    minable = {mining_time = 0.5, result = Prototypes["manual_generator"]["names"].item},
	max_health = 100,
	corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    effectivity = 1,
    fluid_usage_per_tick = 0.25,
    maximum_temperature = 165,
    resistances =
    {
      {
        type = "fire",
        percent = 50
      },
      {
        type = "impact",
        percent = 15
      }
    },
    fast_replaceable_group = "steam-engine",
    collision_box = {{-1.35, -1.35}, {1.35, 1.35}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    fluid_box =
    {
      base_area = 1,
      height = 2,
      base_level = -1,
      pipe_covers = pipecoverspictures(),
      pipe_connections = {},
      production_type = "input-output",
	  filter = "inertia",
    },
    fluid_input =
    {
      name = "inertia",
      amount = 0.0,
      minimum_temperature = 165.0
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-output"
    },
    horizontal_animation =
    {
      filename = "__AnonyMods__/graphics/entity/manual-generator/manual-generator.png",
      width = 128,
      height = 128,
	  animation_speed = 0.815,
      frame_count = 32,
      line_length = 8,
      shift = {0.45, 0}
    },
    vertical_animation =
    {
      filename = "__AnonyMods__/graphics/entity/manual-generator/manual-generator.png",
      width = 128,
      height = 128,
	  animation_speed = 0.815,
      frame_count = 32,
      line_length = 8,
      shift = {0.45, 0}
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
	sound = {
      {
        filename = "__AnonyMods__/sound/manual-generator-1.ogg",
        volume = 1
      },  
      {
        filename = "__AnonyMods__/sound/manual-generator-2.ogg",
        volume = 1
      },
	  {
        filename = "__AnonyMods__/sound/manual-generator-3.ogg",
        volume = 1
      },   
	  {
        filename = "__AnonyMods__/sound/manual-generator-4.ogg",
        volume = 1
      },
     },
      match_speed_to_activity = true,
    },
    min_perceived_performance = 1,
    performance_to_sound_speedup = 0.25
  },
  
})  
  
  