
require ( "prototypes/entities/transport-belts/lightning-belt-shared" )

data:extend({
	
  	{
    type = "transport-belt",
    name = Prototypes["lightning_transport_belt"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/transport-belts/lightning-transport-belt.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.2, result = Prototypes["lightning_transport_belt"]["names"].item},
    max_health = 190,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 15
      }
    },
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/express-transport-belt.ogg",
        volume = 0.4
      },
      max_sounds_per_type = 3
    },
    animation_speed_coefficient = 32,
    animations =
    {
      filename = "__AnonyMods__/graphics/entity/lightning-transport-belt/lightning-transport-belt.png",
      priority = "extra-high",
      width = 40,
      height = 40,
      frame_count = 32,
	  line_length = 16,
      direction_count = 12,
      hr_version =
      {
        filename = "__AnonyMods__/graphics/entity/lightning-transport-belt/hr-lightning-transport-belt.png",
        priority = "extra-high",
        width = 80,
        height = 80,
        frame_count = 32,
        line_length = 16,
        direction_count = 12,
        scale = 0.5
      }
    },
    belt_horizontal = lightning_belt_horizontal,
    belt_vertical = lightning_belt_vertical,
    ending_top = lightning_belt_ending_top,
    ending_bottom = lightning_belt_ending_bottom,
    ending_side = lightning_belt_ending_side,
    starting_top = lightning_belt_starting_top,
    starting_bottom = lightning_belt_starting_bottom,
    starting_side = lightning_belt_starting_side,
    ending_patch = ending_patch_prototype,
    fast_replaceable_group = "transport-belt",
    speed = 0.15625,
	connector_frame_sprites = transport_belt_connector_frame_sprites,
    circuit_connector_sprites = transport_belt_circuit_connector_sprites,
    circuit_wire_connection_point = transport_belt_circuit_wire_connection_point,
    circuit_wire_max_distance = transport_belt_circuit_wire_max_distance
    },
	
})