
require ( "prototypes/entities/transport-belts/quick-belt-shared" )

data:extend({
	
  {
    type = "splitter",
    name = Prototypes["quick_splitter"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/transport-belts/quick-splitter.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = Prototypes["quick_splitter"]["names"].item},
    max_health = 200,
    corpse = "medium-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 60
      }
    },
    collision_box = {{-0.9, -0.4}, {0.9, 0.4}},
    selection_box = {{-0.9, -0.5}, {0.9, 0.5}},
    animation_speed_coefficient = 32,
    structure_animation_speed_coefficient = 1.2,
    structure_animation_movement_cooldown = 10,
    belt_horizontal = quick_belt_horizontal,
    belt_vertical = quick_belt_vertical,
    ending_top = quick_belt_ending_top,
    ending_bottom = quick_belt_ending_bottom,
    ending_side = quick_belt_ending_side,
    starting_top = quick_belt_starting_top,
    starting_bottom = quick_belt_starting_bottom,
    starting_side = quick_belt_starting_side,
    fast_replaceable_group = "splitter",
    speed = 0.125,
    structure =
    {
      north =
      {
        filename = "__AnonyMods__/graphics/entity/quick-splitter/quick-splitter-north.png",
        frame_count = 32,
        line_length = 16,
        priority = "extra-high",
        width = 83,
        height = 36,
        shift = {0.21875, 0},
        hr_version =
        {
          filename = "__AnonyMods__/graphics/entity/quick-splitter/hr-quick-splitter-north.png",
          frame_count = 32,
          line_length = 8,
          priority = "extra-high",
          width = 164,
          height = 70,
          shift = {0.25, 0.046875},
          scale = 0.5
        }
      },
      east =
      {
        filename = "__AnonyMods__/graphics/entity/quick-splitter/quick-splitter-east.png",
        frame_count = 32,
        line_length = 16,
        priority = "extra-high",
        width = 51,
        height = 80,
        shift = {0.109375, -0.03125},
        hr_version =
        {
          filename = "__AnonyMods__/graphics/entity/quick-splitter/hr-quick-splitter-east.png",
          frame_count = 32,
          line_length = 8,
          priority = "extra-high",
          width = 93,
          height = 157,
          shift = {0.148438, -0.179688},
          scale = 0.5
        }
      },
      south =
      {
        filename = "__AnonyMods__/graphics/entity/quick-splitter/quick-splitter-south.png",
        frame_count = 32,
        line_length = 16,
        priority = "extra-high",
        width = 85,
        height = 35,
        shift = {0.140625, -0.015625},
        hr_version =
        {
          filename = "__AnonyMods__/graphics/entity/quick-splitter/hr-quick-splitter-south.png",
          frame_count = 32,
          line_length = 8,
          priority = "extra-high",
          width = 168,
          height = 67,
          shift = {0.140625, 0.0234375},
          scale = 0.5
        }
      },
      west =
      {
        filename = "__AnonyMods__/graphics/entity/quick-splitter/quick-splitter-west.png",
        frame_count = 32,
        line_length = 16,
        priority = "extra-high",
        width = 51,
        height = 78,
        shift = {0.296875, -0.03125},
        hr_version =
        {
          filename = "__AnonyMods__/graphics/entity/quick-splitter/hr-quick-splitter-west.png",
          frame_count = 32,
          line_length = 8,
          priority = "extra-high",
          width = 94,
          height = 154,
          shift = {0.203125, -0.109375},
          scale = 0.5
        }
      },
    },
    ending_patch = ending_patch_prototype
  },
	
})