data:extend({
	
	{
    type = "ammo",
    name = Prototypes["electric_bullet_magazine"]["names"].item,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/combat/electric-bullet-magazine.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "bullet",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          source_effects =
          {
              type = "create-explosion",
              entity_name = "explosion-gunshot"
          },
          target_effects =
          {
            {
              type = "create-entity",
              entity_name = "explosion-hit"
            },
			{
              type = "create-entity",
              entity_name = "bullet-slowdown-capsule"
            },
            {
              type = "damage",
              damage = { amount = 6.5 , type = "electric"}
            }
          }
        }
      }
    },
    magazine_size = 30,
    subgroup = "AnonyMods-Bullets",
    order = "d",
    stack_size = 200
  },
  
  {
    type = "projectile",
    name = "bullet-slowdown-capsule",
    flags = {"not-on-map"},
    acceleration = 10,
    action =
    {
      type = "area",
      radius = 1.5,
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          type = "create-sticker",
          sticker = "bullet-sticker"
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/slowdown-capsule/slowdown-capsule.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high",
	  tint = { r=0, g=0, b=0, a=0 },
    },
    shadow = nil,
    smoke = nil,
  },
  
  {
    type = "sticker",
    name = "bullet-sticker",
    flags = {"not-on-map"},
    icon_size = 32,
	icon = "__base__/graphics/icons/slowdown-capsule.png",
    flags = {},
    animation =
    {
      filename = "__base__/graphics/entity/slowdown-sticker/slowdown-sticker.png",
      priority = "extra-high",
      width = 11,
      height = 11,
      frame_count = 13,
      animation_speed = 0.4,
	  tint = { r=0, g=0, b=0, a=0 },
    },
    duration_in_ticks = 1 * 60,
    target_movement_modifier = 0.4
  },

})