data:extend({

  {
    type = "equipment-grid",
    name = "power-armor-mk4",
    width = 17,
    height = 17,
    equipment_categories = {"armor"}
  },
  {
    type = "armor",
    name = Prototypes["power_armor_mk4"]["names"].item,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/combat/power-armor-mk4.png",
    flags = {"goes-to-main-inventory"},
    resistances =
    {
      {
        type = "physical",
        decrease = 15,
        percent = 45
      },
      {
        type = "acid",
        decrease = 16,
        percent = 40
      },
      {
        type = "explosion",
        decrease = 15,
        percent = 42
      },
      {
        type = "fire",
        decrease = 3,
        percent = 75
      },      
	  {
        type = "laser",
        decrease = 8,
        percent = 50
      },	  
	  {
        type = "electric",
        decrease = 4,
        percent = 30
      },	  
	  {
        type = "impact",
        decrease = 7,
        percent = 40
      },
    },
    durability = 40000,
    subgroup = "armor",
    order = "eee",
    stack_size = 1,
    equipment_grid = "power-armor-mk4",
    inventory_size_bonus = 50
  }

})