data:extend({
  
  {
    type = "gun",
    name = Prototypes["sniper_rifle"]["names"].item,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/combat/sniper-rifle.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "gun",
    order = "ee",
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "bullet",
      cooldown = 90,
      movement_slow_down_factor = 0.7,
	  damage_modifier = 15,
      shell_particle =
      {
        name = "shell-particle",
        direction_deviation = 0.1,
        speed = 0.1,
        speed_deviation = 0.03,
        center = {0, 0.1},
        creation_distance = -0.5,
        starting_frame_speed = 0.4,
        starting_frame_speed_deviation = 0.1
      },
      projectile_creation_distance = 1.125,
      range = 35,
      sound = make_heavy_gunshot_sounds(),
    },
    stack_size = 50
  }

})