data:extend({
	
	{
    type = "ammo",
    name = Prototypes["uranium_shotgun_shell"]["names"].item,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/combat/uranium-shotgun-shell.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "shotgun-shell",
      target_type = "direction",
      source_effects =
      {
        type = "create-explosion",
        entity_name = "explosion-gunshot"
      },
      action =
        {
          type = "direct",
          repeat_count = 14,
          action_delivery =
          {
            type = "projectile",
            projectile = "uranium-shotgun-pellet",
            starting_speed = 1,
            direction_deviation = 0.3,
            range_deviation = 0.3,
            max_range = 15
          }
        }
    },
    magazine_size = 15,
    subgroup = "AnonyMods-Pellets",
    order = "h",
    stack_size = 200
  },
  
  {
    type = "projectile",
    name = "uranium-shotgun-pellet",
    flags = {"not-on-map"},
    collision_box = {{-0.05, -0.25}, {0.05, 0.25}},
    acceleration = 0,
    direction_only = true,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          type = "damage",
          damage = {amount = 20, type = "radioactive"}
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/bullet/bullet.png",
      frame_count = 1,
      width = 3,
      height = 50,
	  tint = { r = 0.6, g = 1, b = 0.6 },
      priority = "high"
    },
  }

})