
DuplicatorItems = {

		"iron-plate",
        "copper-plate",
        "steel-plate",
        "sulfur",
        "iron-stick",
        "iron-gear-wheel",
        "copper-cable",

}

DuplicatingItems = {

		"tin_cable",
		"steel_gear_wheel",
		"steel_stick",
		"steel_bearing",
		"steel_ball",
		"titanium_gear_wheel",
		"titanium_stick",
		"titanium_bearing",
		"titanium_ball",
		"tungsten_gear_wheel",
		"tungsten_stick",
		"tungsten_bearing",
		"tungsten_ball",
		"iron_bearing",
		"iron_ball",
		"carbon",
		"aluminum_plate",
		--"bronze_plate",
		--"brass_plate",
		"cobalt_plate",
		"gold",
		"gold_plate",
		--"invar_plate",
		"lead_plate",
		"mercury",
		"nickel_plate",
		--"nitinol_plate",
		"silver_plate",
		"silver",
		"tin_plate",
		"titanium_plate",
		"tungsten_plate",
		"zinc_plate",
		"phosphorus_white",
		"phosphorus_red",
		"phosphorus_black",
		"powdered_tungsten",
		"calcium",
		"lithium",
		"magnesium",
		"silicon",
		"sodium",

}


function MakeDuplicatorRecipes( id, is_unique )

	if is_unique == true then

		data:extend({
			{
				type = "recipe",
				name = Prototypes[id]["names"].recipe.."-duplicating",
				icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/modules/duplicating.png",
				enabled = true,
				hidden = true,
				category = "duplicating",
				subgroup = "AnonyMods-Electronics-Modules-Duplicator-Recipes",
				order = "a",
				energy_required = 60,
				ingredients = { { Prototypes[id]["names"].item, 1 } },
				results = { { Prototypes[id]["names"].item, 1 } },
			},
		})
	
	else
	
		data:extend({
			{
				type = "recipe",
				name = id.."-duplicating",
				icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/modules/duplicating.png",
				enabled = true,
				hidden = true,
				category = "duplicating",
				subgroup = "AnonyMods-Electronics-Modules-Duplicator-Recipes",
				order = "a",
				energy_required = 60,
				energy_required = 60,
				ingredients = { { id, 1 } },
				results = { { id, 1 } },
			},
		})
	
	end

end
	 
for k, v in pairs ( DuplicatorItems ) do
	
	MakeDuplicatorRecipes( v, false )

end
 
local Duplicator_Recipes = DuplicatorItems
 
for k, v in pairs ( DuplicatingItems ) do

	if Prototypes[v]["enabled"] == true then
	
		table.insert( Duplicator_Recipes, Prototypes[v]["names"].recipe )
	
		MakeDuplicatorRecipes( v, true )
	
	end

end

function duplicatorlimitation()

	local NewRecipes = {}
	
	for k, v in pairs( Duplicator_Recipes ) do
	
		table.insert( NewRecipes, k, v.."-duplicating" )
		
	end

	return NewRecipes

end

function GetDuplicatorRecipes( module )

	return duplicatorlimitation()

end

