
data.raw["ammo"]["piercing-shotgun-shell"].subgroup = "AnonyMods-Pellets"
data.raw["ammo"]["piercing-shotgun-shell"].order = "b"
data.raw["ammo"]["piercing-shotgun-shell"].icon = "__base__/graphics/icons/shotgun-shell.png"
data.raw["ammo"]["piercing-shotgun-shell"].icon_size = 32
data.raw["recipe"]["piercing-shotgun-shell"].icon = "__base__/graphics/icons/shotgun-shell.png"
data.raw["recipe"]["piercing-shotgun-shell"].icon_size = 32

data.raw["recipe"]["piercing-shotgun-shell"].ingredients = CheckRecipe( Modifications["piercing_shotgun_shell"].recipe )

data.raw["projectile"]["piercing-shotgun-pellet"].action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          type = "damage",
          damage = {amount = 10, type = "piercing"}
        }
      }
    }

if Research["armor_piercing_pellets"]["enabled"] == true then
	data.raw["recipe"]["piercing-shotgun-shell"].enabled = not Research["armor_piercing_pellets"]["enabled"]
	data.raw["technology"]["military-4"].effects = nil
else
	data.raw["technology"]["military-4"].effects =
    {
      {
        type = "unlock-recipe",
        recipe = "piercing-shotgun-shell"
      },
    }
end
