
data:extend({

	{
		type = "technology",
		name = "military-science-pack",
		icon = "__AnonyMods__/graphics/technology/military-science-packs.png",
		icon_size = 128,
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "military-science-pack"
		  }
		},
		prerequisites = CheckResearchPrerequisites( { "automation", "labs_1", } ),
		unit =
		{
			count = 100,
			time = 30,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 1 }, 
				{ name = "science-pack-2", count = 1 },  
	
			}),
		},
		order = "s-p"
	},
	{
		type = "technology",
		name = "science-pack-3",
		icon = "__AnonyMods__/graphics/technology/science-packs-3.png",
		icon_size = 128,
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "science-pack-3"
		  }
		},
		prerequisites = { "military-science-pack" },
		unit =
		{
			count = 150,
			time = 45,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 1 }, 
				{ name = "science-pack-2", count = 1 },  
				{ name = "military-science-pack", count = 1 },  
	
			}),
		},
		order = "s-p"
	},
	{
		type = "technology",
		name = "production-science-pack",
		icon = "__AnonyMods__/graphics/technology/production-science-packs.png",
		icon_size = 128,
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "production-science-pack"
		  }
		},
		prerequisites = { "science-pack-3" },
		unit =
		{
			count = 200,
			time = 60,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 1 }, 
				{ name = "science-pack-2", count = 1 },  
				{ name = "military-science-pack", count = 1 },  
				{ name = "science-pack-3", count = 1 },  
	
			}),
		},
		order = "s-p"
	},
	{
		type = "technology",
		name = "high-tech-science-pack",
		icon = "__AnonyMods__/graphics/technology/high-tech-science-packs.png",
		icon_size = 128,
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "high-tech-science-pack"
		  }
		},
		prerequisites = { "production-science-pack" },
		unit =
		{
			count = 300,
			time = 80,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 1 }, 
				{ name = "science-pack-2", count = 1 },  
				{ name = "military-science-pack", count = 1 },  
				{ name = "science-pack-3", count = 1 },  
				{ name = "production-science-pack", count = 1 },  
	
			}),
		},
		order = "s-p"
	}
	
})
