data:extend({

	{
    type = "recipe",
    name = Prototypes["compressor_1"]["names"].recipe,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/assembly-machines/compressor-1.png",
    enabled = not Research["compressors_1"]["enabled"],
    energy_required = 1,
    ingredients = CheckRecipe( Prototypes["compressor_1"].recipe ),
    results=
    {
      {"compressor-1",1}
    },
    },
	
	--[[
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_2_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-natural-gas-in.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="fluid", name="natural-gas", amount=25},
      {type="item", name="gas-cylinder", amount=1}
	},
    results=
    {
      {type="item", name="natural-gas-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "a"
    },
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_2_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-natural-gas-out.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="item", name="natural-gas-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="natural-gas", amount=25},
      {type="item", name="gas-cylinder", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "aa"
    },		
	
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_3_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-petroleum-gas-in.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="fluid", name="petroleum-gas", amount=25},
      {type="item", name="gas-cylinder", amount=1}
	},
    results=
    {
      {type="item", name="petroleum-gas-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "b"
    },
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_3_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-petroleum-gas-out.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="item", name="petroleum-gas-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="petroleum-gas", amount=25},
      {type="item", name="gas-cylinder", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "bb"
    },		
	
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_4_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-oxygen-in.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="fluid", name="oxygen", amount=25},
      {type="item", name="gas-cylinder", amount=1}
	},
    results=
    {
      {type="item", name="oxygen-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "c"
    },
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_4_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-oxygen-out.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="item", name="oxygen-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="oxygen", amount=25},
      {type="item", name="gas-cylinder", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "cc"
    },		
	
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_5_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-hydrogen-in.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="fluid", name="hydrogen", amount=25},
      {type="item", name="gas-cylinder", amount=1}
	},
    results=
    {
      {type="item", name="hydrogen-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "d"
    },
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_5_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-hydrogen-out.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="item", name="hydrogen-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="hydrogen", amount=25},
      {type="item", name="gas-cylinder", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "dd"
    },	
	
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_6_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-chlorine-in.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="fluid", name="chlorine", amount=25},
      {type="item", name="gas-cylinder", amount=1}
	},
    results=
    {
      {type="item", name="chlorine-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "e"
    },
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_6_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-chlorine-out.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="item", name="chlorine-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="chlorine", amount=25},
      {type="item", name="gas-cylinder", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "ee"
    },	
	
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_7_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-nitrogen-in.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="fluid", name="nitrogen", amount=25},
      {type="item", name="gas-cylinder", amount=1}
	},
    results=
    {
      {type="item", name="nitrogen-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "f"
    },
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_7_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-nitrogen-out.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="item", name="nitrogen-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="nitrogen", amount=25},
      {type="item", name="gas-cylinder", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "ff"
    },	
	
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_8_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-compressed-gas-in.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="fluid", name="compressed-gas", amount=25},
      {type="item", name="gas-cylinder", amount=1}
	},
    results=
    {
      {type="item", name="compressed-gas-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "g"
    },
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_8_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-compressed-gas-out.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="item", name="compressed-gas-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="compressed-gas", amount=25},
      {type="item", name="gas-cylinder", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "gg"
    },	
	
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_9_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-sulfur-dioxide-in.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="fluid", name="sulfur-dioxide", amount=25},
      {type="item", name="gas-cylinder", amount=1}
	},
    results=
    {
      {type="item", name="sulfur-dioxide-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "h"
    },
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_9_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-sulfur-dioxide-out.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="item", name="sulfur-dioxide-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="sulfur-dioxide", amount=25},
      {type="item", name="gas-cylinder", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "hh"
    },

	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_10_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-propane-in.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="fluid", name="propane", amount=25},
      {type="item", name="gas-cylinder", amount=1}
	},
    results=
    {
      {type="item", name="propane-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "i"
    },
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_10_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-propane-out.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="item", name="propane-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="propane", amount=25},
      {type="item", name="gas-cylinder", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "ii"
    },

	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_11_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-butane-in.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="fluid", name="butane", amount=25},
      {type="item", name="gas-cylinder", amount=1}
	},
    results=
    {
      {type="item", name="butane-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "j"
    },
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_11_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-butane-out.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="item", name="butane-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="butane", amount=25},
      {type="item", name="gas-cylinder", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "jj"
    },

	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_12_1,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-nitrogen-dioxide-in.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="fluid", name="nitrogen-dioxide", amount=25},
      {type="item", name="gas-cylinder", amount=1}
	},
    results=
    {
      {type="item", name="nitrogen-dioxide-barrel", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "k"
    },
	{
    type = "recipe",
    name = Prototypes["compressor"]["names"].recipe_12_2,
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/pump-nitrogen-dioxide-out.png",
    enabled = true,
    energy_required = 1,
	category = "compressor",
    ingredients = 
	{
	  {type="item", name="nitrogen-dioxide-barrel", amount=1}
	},
    results=
    {
      {type="fluid", name="nitrogen-dioxide", amount=25},
      {type="item", name="gas-cylinder", amount=1}
    },
    subgroup = "AnonyMods-FluidsGases-GasBarreling",
    order = "kk"
    },--]]

})