
data:extend({

	{
		type = "technology",
		name = Research["alien_research"]["names"].technology,
		icon = "__base__/graphics/technology/alien-technology.png",
		icon_size = 128,
		effects = CheckResearchUnlock( { "alien_research" } ),
		prerequisites = CheckResearchPrerequisites( { "chemistry_2", "nitrogen_processing", "phosphorus_processing", "alcohol_processing_1", } ),
		unit =
		{
			count = 100,
			time = 30,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 3 }, 
				{ name = "science-pack-2", count = 2 }, 
				{ name = "military-science-pack", count = 1 }, 
	
			}),
		},
		order = "a-r"
	}
	
})

