
data.raw["technology"]["automobilism"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["automobilism_3"]["names"].technology,
		icon = "__base__/graphics/technology/automobilism.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "automobilism_3" } ),
		prerequisites = CheckResearchPrerequisites( { "automobilism_2", "engine_4", "titanium_processing" } ),
		unit =
		{
			count = 300,
			time = 30,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 4 }, 
				{ name = "science-pack-2", count = 3 }, 
				{ name = "science-pack-3", count = 2 }, 
				{ name = "production-science-pack", count = 1 }, 
	
			}),
		},
		order = "a"
	}
	
})

