
data.raw["technology"]["battery-mk2-equipment"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["large_battery_equipment_2"]["names"].technology,
		icon = "__base__/graphics/technology/battery-mk2-equipment.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "large_battery_equipment_2" } ),
		prerequisites = CheckResearchPrerequisites( { "battery-mk2-equipment", } ),
		unit =
		{
			count = 200,
			time = 45,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 2 }, 
				{ name = "science-pack-2", count = 1 }, 
				{ name = "science-pack-3", count = 1 }, 
				{ name = "production-science-pack", count = 1 }, 
				 
	
			}),
		},
		order = "l-b-e"
	}
	
})

