data.raw["technology"]["laser-turrets"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["laser_turrets_2"]["names"].technology,
		icon = "__base__/graphics/technology/laser-turrets.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "laser_turrets_2" } ),
		prerequisites = CheckResearchPrerequisites( { "laser-turrets", "steel-processing", "battery", "electric-engine", } ),
		unit =
		{
			count = 200,
			time = 40,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 2 }, 
				{ name = "science-pack-2", count = 1 },
				{ name = "military-science-pack", count = 1 },
	
			}),
		},
		order = "l-t"
	}
	
})

