data.raw["technology"]["laser-turrets"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["laser_turrets_3"]["names"].technology,
		icon = "__base__/graphics/technology/laser-turrets.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "laser_turrets_3" } ),
		prerequisites = CheckResearchPrerequisites( { "laser_turrets_2", "tungsten_mixing", } ),
		unit =
		{
			count = 300,
			time = 50,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 3 }, 
				{ name = "science-pack-2", count = 2 }, 
				{ name = "science-pack-3", count = 1 },
				{ name = "military-science-pack", count = 1 },
	
			}),
		},
		order = "l-t"
	}
	
})

