
data.raw["technology"]["logistics"].upgrade = true
data.raw["technology"]["logistics-2"].upgrade = true
data.raw["technology"]["logistics-3"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["logistics_4"]["names"].technology,
		icon = "__base__/graphics/technology/logistics.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "logistics_4" } ),
		prerequisites = CheckResearchPrerequisites( { "logistics-3", "tungsten_mixing" } ),
		unit =
		{
			count = 400,
			time = 30,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 3 }, 
				{ name = "science-pack-2", count = 2 }, 
				{ name = "science-pack-3", count = 1 }, 
				{ name = "production-science-pack", count = 1 }, 
				{ name = "high-tech-science-pack", count = 1 }, 
	
			}),
		},
		order = "l"
	}
	
})

