
data.raw["technology"]["logistics"].upgrade = true
data.raw["technology"]["logistics-2"].upgrade = true
data.raw["technology"]["logistics-3"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["logistics_5"]["names"].technology,
		icon = "__base__/graphics/technology/logistics.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "logistics_5" } ),
		prerequisites = CheckResearchPrerequisites( { "logistics_4", "titanium_processing" } ),
		unit =
		{
			count = 600,
			time = 60,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 4 }, 
				{ name = "science-pack-2", count = 3 }, 
				{ name = "science-pack-3", count = 2 }, 
				{ name = "production-science-pack", count = 1 }, 
				{ name = "high-tech-science-pack", count = 1 },
				{ name = "military-science-pack", count = 2 },
	
			}),
		},
		order = "l"
	}
	
})

