
data:extend({

	{
		type = "technology",
		name = Research["player_crafting_speed"]["names"].technology.."-1",
		icon = "__AnonyMods__/graphics/technology/player-crafting-speed.png",
		icon_size = 128,
		effects = nil,
		upgrade = true,
		max_level = "5",
		prerequisites = CheckResearchPrerequisites( { "automation", } ),
		unit =
		{
		  count_formula = "100*L",
		  ingredients =
		  {
			{"science-pack-1", 1}
		  },
		  time = 10
		},
		order = "p-c-s"
	},	
	{
		type = "technology",
		name = Research["player_crafting_speed"]["names"].technology.."-6",
		icon = "__AnonyMods__/graphics/technology/player-crafting-speed.png",
		icon_size = 128,
		effects = nil,
		upgrade = true,
		max_level = "10",
		prerequisites = CheckResearchPrerequisites( { Research["player_crafting_speed"]["names"].technology.."-1", } ),
		unit =
		{
		  count_formula = "100*L",
		  ingredients =
		  {
			{"science-pack-1", 1},
			{"science-pack-2", 1},
		  },
		  time = 20
		},
		order = "p-c-s"
	},	
	{
		type = "technology",
		name = Research["player_crafting_speed"]["names"].technology.."-11",
		icon = "__AnonyMods__/graphics/technology/player-crafting-speed.png",
		icon_size = 128,
		effects = nil,
		upgrade = true,
		max_level = "15",
		prerequisites = CheckResearchPrerequisites( { Research["player_crafting_speed"]["names"].technology.."-6", } ),
		unit =
		{
		  count_formula = "100*L",
		  ingredients =
		  {
			{"science-pack-1", 1},
			{"science-pack-2", 1},
			{"science-pack-3", 1}
		  },
		  time = 30
		},
		order = "p-c-s"
	},	
	{
		type = "technology",
		name = Research["player_crafting_speed"]["names"].technology.."-16",
		icon = "__AnonyMods__/graphics/technology/player-crafting-speed.png",
		icon_size = 128,
		effects = nil,
		upgrade = true,
		max_level = "20",
		prerequisites = CheckResearchPrerequisites( { Research["player_crafting_speed"]["names"].technology.."-11", } ),
		unit =
		{
		  count_formula = "100*L",
		  ingredients =
		  {
			{"science-pack-1", 1},
			{"science-pack-2", 1},
			{"science-pack-3", 1},
			{"production-science-pack", 1}
		  },
		  time = 40
		},
		order = "p-c-s"
	},	
	{
		type = "technology",
		name = Research["player_crafting_speed"]["names"].technology.."-21",
		icon = "__AnonyMods__/graphics/technology/player-crafting-speed.png",
		icon_size = 128,
		effects = nil,
		upgrade = true,
		max_level = "25",
		prerequisites = CheckResearchPrerequisites( { Research["player_crafting_speed"]["names"].technology.."-16", } ),
		unit =
		{
		  count_formula = "100*L",
		  ingredients =
		  {
			{"science-pack-1", 1},
			{"science-pack-2", 1},
			{"science-pack-3", 1},
			{"production-science-pack", 1},
			{"high-tech-science-pack", 1}
		  },
		  time = 50
		},
		order = "p-c-s"
	},	
	{
		type = "technology",
		name = Research["player_crafting_speed"]["names"].technology.."-26",
		icon = "__AnonyMods__/graphics/technology/player-crafting-speed.png",
		icon_size = 128,
		effects = nil,
		upgrade = true,
		max_level = "30",
		prerequisites = CheckResearchPrerequisites( { Research["player_crafting_speed"]["names"].technology.."-21", } ),
		unit =
		{
		  count_formula = "100*L",
		  ingredients =
		  {
			{"science-pack-1", 1},
			{"science-pack-2", 1},
			{"science-pack-3", 1},
			{"production-science-pack", 1},
			{"high-tech-science-pack", 1},
			{"space-science-pack", 1}
		  },
		  time = 60
		},
		order = "p-c-s"
	},	

})
