require ("prototypes/technology/turret-damage-shared")

data:extend({

	{
		type = "technology",
		name = Research["shotgun_turret_damage_3"]["names"].technology,
		icon = "__AnonyMods__/graphics/technology/shotgun-turret-damage.png",
		icon_size = 128,
		upgrade = true,
		effects = TurretDamageEffects( { "shotgun_turret_1", "shotgun_turret_2", "shotgun_turret_3", "shotgun_turret_4", "shotgun_turret_5", }, 0.2  ),
		prerequisites = CheckResearchPrerequisites( { "shotgun_turret_damage_2", } ),
		unit =
		{
			count = 150,
			time = 20,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 1 }, 
				{ name = "science-pack-2", count = 1 }, 
				{ name = "military-science-pack", count = 1 }, 
	
			}),
		},
		order = "s-t-d"
	}
	
})

