
data:extend({

	{
		type = "technology",
		name = Research["silver_zinc_battery"]["names"].technology,
		icon = "__AnonyMods__/graphics/technology/silver-zinc-battery.png",
		icon_size = 128,
		effects = CheckResearchUnlock( { "silver_zinc_battery" } ),
		prerequisites = CheckResearchPrerequisites( { "lithium_ion_battery", "zinc_processing", "silver_processing", "electrolysis_1", } ),
		unit =
		{
			count = 300,
			time = 45,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 4 }, 
				{ name = "science-pack-2", count = 3 }, 
				{ name = "science-pack-3", count = 2 }, 
				{ name = "production-science-pack", count = 1 }, 
	
			}),
		},
		order = "s-z-b"
	}
	
})

