require ("prototypes/technology/turret-damage-shared")

data:extend({

	{
		type = "technology",
		name = Research["sniper_turret_damage_4"]["names"].technology,
		icon = "__AnonyMods__/graphics/technology/sniper-turret-damage.png",
		icon_size = 128,
		upgrade = true,
		effects = TurretDamageEffects( { "sniper_turret_1", "sniper_turret_2", "sniper_turret_3", "sniper_turret_4", "sniper_turret_5", }, 0.4  ),
		prerequisites = CheckResearchPrerequisites( { "sniper_turret_damage_3", } ),
		unit =
		{
			count = 200,
			time = 30,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 1 }, 
				{ name = "science-pack-2", count = 1 }, 
				{ name = "science-pack-3", count = 1 }, 
				{ name = "military-science-pack", count = 1 }, 
	
			}),
		},
		order = "s-t-d"
	}
	
})

