
data.raw["technology"]["tanks"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["tanks_2"]["names"].technology,
		icon = "__base__/graphics/technology/tanks.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "tanks_2" } ),
		prerequisites = CheckResearchPrerequisites( { "tanks", "engine_3", "advanced-electronics-2", "titanium_processing" } ),
		unit =
		{
			count = 100,
			time = 40,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 1 }, 
				{ name = "science-pack-2", count = 1 }, 
				{ name = "science-pack-3", count = 1 }, 
				{ name = "military-science-pack", count = 1 }, 
				{ name = "production-science-pack", count = 1 }, 
	
			}),
		},
		order = "t"
	}
	
})

