data.raw["technology"]["turrets"].upgrade = true

data:extend({

	{
		type = "technology",
		name = Research["turrets_4"]["names"].technology,
		icon = "__base__/graphics/technology/turrets.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "turrets_4" } ),
		prerequisites = CheckResearchPrerequisites( { "turrets_3", "titanium_processing", "brass_processing", "invar_processing", } ),
		unit =
		{
			count = 200,
			time = 40,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 3 }, 
				{ name = "science-pack-2", count = 2 }, 
				{ name = "science-pack-3", count = 1 },
				{ name = "military-science-pack", count = 1 },
	
			}),
		},
		order = "t"
	}
	
})

