
function PlaceSmallWindTurbine ( event )

	local ent = event.created_entity

	if not ent.valid then return end
	
	if ent.name == "small-wind-turbine" then

		global.wind_turbines = global.wind_turbines or {}
		local num = ( #global.wind_turbines + 1 )
		
		table.insert( global.wind_turbines, num, ent )
		--ent.fluidbox[1] = { type = "water", amount = 1000, temperature = 100 }
		global.WindTurbineSpeed = global.WindTurbineSpeed or math.random( 16,99 )
		
		DebugPrint( "Small Wind Turbine placed on position "..num )	
	
	end

end

function DestroySmallWindTurbine ( event )

	if not event.entity.valid then return end

	if event.entity.name == "small-wind-turbine" then

		for k, v in pairs ( global.wind_turbines ) do
	
			if event.entity == v then
	
				DebugPrint( "Small Wind Turbine "..k.." is being removed" )
	
				table.remove( global.wind_turbines, k )
			
			end
		
		end
		
	end	

end

function ThinkSmallWindTurbine ( event )

	if global.wind_turbines ~= nil then
	
	--WindTurbineTime = WindTurbineTime or 0
	global.WindTurbineSpeed = global.WindTurbineSpeed + ( math.random( -1, 1 ) / math.random( 1, 100 ) )
	if global.WindTurbineSpeed < 16 then
		global.WindTurbineSpeed = 16
	elseif global.WindTurbineSpeed > 100 then
		global.WindTurbineSpeed = 100
	end
	
		--if ( game.tick / 60 ) > WindTurbineTime then
		
			for k, v in pairs ( global.wind_turbines ) do
			
				if global.wind_turbines[k].valid then
					
					local fluidpipe = global.wind_turbines[k]
					
					fluidpipe.fluidbox[1] = { type = "wind", amount = global.WindTurbineSpeed, temperature = global.WindTurbineSpeed }
					--WindTurbineTime = WindTurbineTime + 60
					
				end
				
			end
			
		--end
	
	end


end

AddEventFunction( "on_tick", ThinkSmallWindTurbine )
AddEventFunction( "on_built_entity", PlaceSmallWindTurbine )
AddEventFunction( "on_robot_built_entity", PlaceSmallWindTurbine )
AddEventFunction( "on_preplayer_mined_item", DestroySmallWindTurbine )
AddEventFunction( "on_robot_pre_mined", DestroySmallWindTurbine )
AddEventFunction( "on_entity_died", DestroySmallWindTurbine )

